CHANGES
=======

18.4.0
------

* fluentd: rework openstack logs match
* Generate system scoped public-openrc
* magnum: Add k8s\_cluster\_api\_rockylinux to CAPI drivers list
* [CI] Fix Ansible 2.16.14 breakage (cephadm jobs)
* [CI] Fix testing inventory template due Ansible 2.16.14 breakage
* [2024.1 and older] CI: Fix exclude paths for ansible-lint
* Fix: add common options to RabbitMQ version check

18.3.0
------

* CI: Use debian/ubuntu mirrored images on build
* [stable/2024.1 only] CI: remove openeuler
* Fix nova-libvirt's secrets - device or resource is busy
* Change from PERCONA\_SCHEMA to mysql for mariabackup
* CI: Use libpod/registry for registry
* Fix IPv6 address format in ProxySQL configuration
* Updating proxysql.yaml.j2 to use mariadb\_port for backends
* Do not remove inventory file if placed in /etc/kolla
* Add logrotate config for redis
* Fix mariadb backup unable to create history table
* Prevent accidental downgrades of RabbitMQ
* Fix health checks for neutron\_ovn\_agent and neutron\_ovn\_metadata\_agent
* Fix Octavia service upgrade failure from 2023.1
* ovn: Fix FQDN-based deployments
* Add configuration for NTP server in Ironic Inspector DHCP server
* [CI] Fix OVN jobs - add required neutron\_dns\_domain
* Fixing typo in etc/kolla/globals.yml
* Add a precheck to catch RMQ SLURP upgrades
* Fix octavia-interface timeout
* Be clear that rabbitmq-upgrade is not idempotent
* Docs: point to RMQ SLURP handing in upgrade guide
* Fix typo in RabbitMQ versions pinning
* Fix os-brick multipathd del map fails for SAN multipath devices
* CI: Mark aarch64 non-voting
* Add NET\_RAW to dnsmasq container
* systemd: Add Wants=docker.service for docker
* Separate outputs of kolla\_toolbox inner module

18.2.0
------

* Revert "Allow setting any\_errors\_fatal true for gather-facts"
* Fix links in docs for unmaintained releases
* Apply public firewalld rules immediately
* Add REQUESTS\_CA\_BUNDLE to kolla-toolbox container
* hardening horizon: don't mount hosts /tmp
* CI: improve get\_logs.sh
* [2024.1 only] CI: RMQ version upgrade before SLURP
* external/internal vip: use proper ip comparison
* Add command to upgrade to a target version of RMQ
* CI: Only migrate RMQ queues during SLURP
* Avoid unnecessary secondary fact gathering failure
* Fix issue with Swift Recon middleware
* fact gathering: Group hosts before gathering facts
* fact gathering: Remove gathering of package facts
* Fix post-config of OVS for manila-share servers
* Fix prometheus.yml templating
* Work around OVN DB leader election race condition
* CI: drop RMQ reconfigure step in queue migrations
* Restart OVS container after hw-offload change
* Add /v3 suffix to OPENSTACK\_KEYSTONE\_URL
* fix flake8 error in database\_shards.py
* CI: Use u-c in openstack-clients role
* Support custom Nova Compute Ironic host names
* Fix keystone configuration for haproxy

18.1.0
------

* docs: Remove Stream 8 and Jammy past references
* Fix barbican's configuration
* Support CloudKitty deployment with internal TLS
* Fix mariadb recovery
* Add ca\_path for module uri in opensearch role
* Fix prechecks for interfaces with dashes
* Fix kolla-ansible systemd restart behaviour
* Support mode in named volumes when using podman
* Fix the docker container dimensions comparison for short notation
* RMQ: enable all stable feature flags at once
* Skyline: Fix incorrect keystone port
* kolla\_url: port is a string
* Use the running MariaDB server image for backups
* CI: increase timeout for server resize confirmation
* Set node to a valid rabbitmq host
* Fix missing commas in kolla\_podman\_worker
* Fix trove module imports
* Fix: Update Skyline stop task
* Revert "CI: Use 2023.2 image for rabbitmq on ipv6 scenario"
* CI: Pin codespell to <2.3.0
* CI: Pin requests to <2.32 for docker sdk
* Remove mistral and redis

18.0.0
------

* ironic: mount metrics in conductor only when exporter is enabled
* neutron: add service role
* loadbalancer: fix upgrade task when podman is used
* [2024.1 only] Use 2024.1 Kolla images
* [2024.1 only] Use a-c-k stable/2024.1 branch
* Update TOX\_CONSTRAINTS\_FILE for stable/2024.1
* Update .gitreview for stable/2024.1

18.0.0.0rc1
-----------

* Refine release notes before kolla 2024.1 release
* Fix link in reno
* reno: Update master for unmaintained/zed
* Re-add the neutron-fwaas
* Drop Vitrage
* Drop Murano
* Drop Senlin
* Drop Sahara
* Drop Solum
* Drop Freezer
* Allow overriding of Skyline logos
* CI: Add codespell to pep8
* mariadb: fix cluster recovery
* Revert "Deprecate Masakari"
* CI: Mark OpenSearch as non voting
* Update cell0 database connection
* Add sysctl role
* Change the default ceph\_nova\_user in globals
* CI: bump cirros version
* Revert "CI: Drop masakari jobs from project.yaml"
* fix swift keystone auth url
* tests: Replace imp with importlib.machinery
* [doc] fix typo
* ironic: disable heartbeat\_in\_pthreads
* CI: fix check-failure.sh sudo missing
* common: Fix fluentd labels when using Docker 26
* Fix incorrect condition in kolla\_container\_facts
* Fix installation of ovs-dpdk service
* Fix the ansible intro\_inventory.html link
* Configure log level field for the Grafana OpenSearch datasource
* Revert "podman: install "rich" dependency"
* fix confusing jammy upgrade docs
* Update configuration to enable more services in Skyline Console
* Fix Skyline API Server TLS configuration
* CI: Increase galera node timeouts
* Update Skyline configuration to enable SSO
* Update Grafana OpenSearch datasource configuration
* octavia: add missing bool to the enable\_octavia\_jobboard parameter
* doc: Add a note about SLURP upgrades
* Bump ansible-core versions to 2.15 and 2.16
* CI: Use 2023.2 image for rabbitmq on ipv6 scenario
* Add conditionals for IPv6 sysctl settings
* rabbitmq: bump wait timeout to 60 seconds
* Fix images pull in ovs-dpdk role
* Skyline configure Prometheus
* Fix creation of ovs bridges
* Fix coordination when redis used
* [doc] document --limit limitations
* CI: Replace etcd with redis in GATE\_IMAGES for cephadm scenario
* rabbitmq: Add 3.12 feature flags (for upgrade to 3.13)
* Allow customizing of Skyline configuration
* Fix typo in release note
* Missing reno for Ic121bf9f90c9865cd4d08890c80247570ef310ae
* Adds feature flag for ironic-inspector in bifrost
* prometheus: Add friendly instance labels for ironic and alertmanager
* CI: Break OVN cluster before reconfigure
* Fix 'cinder-backup' service when Swift with TLS enabled
* Add password rotation docs page
* Revert "Disable new defaults and scope for Ironic (RBAC)"
* Template system scoped admin-openrc and clouds.yml files
* Add service role to ironic service users
* Ironic: enable elevated access for project scoped service role
* cinder: Stop using admin service token
* CI: Change prometheus jobs to voting and gating
* CI: Fix prometheus-opensearch-upgrade CI job
* CI: Increase RADOS timeout for cephadm jobs
* CI: Switch cephadm jobs to redis
* Remove the \`grafana\` volume
* CI: Run SLURP upgrade job
* [CI] Enable testing horizon
* Fix horizon deployment
* Rework horizon role to support local\_settings.d
* openvswitch: Set fail\_mode to standalone for external bridges
* Fix mariadb role when used with check mode
* reno: Update master for unmaintained/yoga
* openvswitch: use Ansible modules to set up bridge
* Rename horizon settings filenames
* openvswitch: add external-ids:hostname
* Sync development quickstart doc
* Fix gnocchi-metricd when TLS and Swift enabled
* Disable new defaults and scope for Ironic (RBAC)
* Configure missing nova services to expose vendordata over configdrive
* [CI] Test neutron DNS integration and designate
* Fix neutron DNS integration
* Enable instance usage audit only when ceilometer is enabled
* Update keystone service user passwords
* [CI] Fix podman cross-dependency build
* Configure Blazar with custom CA file
* update openstack\_previous\_release\_name var for bobcat
* Update horizon local settings for Django 4
* Remove outdated comments in dev mode docs
* Bump ansible-lint version
* Revert "zun: Deprecate Zun provisionally"
* Zun: remove docker's cluster-store option
* Revert "Pin zun jobs to Docker 20"
* Adjust Ceph metrics scrape interval in Prometheus
* Drop more remnants of install\_type
* use docker\_custom\_config override for Kolla CI upgrade jobs
* Fix OpenSearch upgrade tasks idempotency
* Fix trove failed to discover swift endpoint
* Fix trove failed to connect rabbitmq - quorum queues support
* Fix trove failed to connect rabbitmq - durable queues support
* Update python classifier in setup.cfg
* CI: Test Nova server resize functionality
* Fix Nova scp failures on Debian Bookworm
* Enable glance proxying behaviour
* cadvisor: Set housekeeping interval to Prometheus scrape interval
* Enable HAProxy Prometheus metrics endpoint
* Fix long service restarts while using systemd
* ironic: Remove enable\_ironic\_pxe\_uefi bits
* CI: Use 2023.2 as previous\_release
* Use service-images-pull role for letsencrypt and venus
* Test haproxy single external frontend
* haproxy: Fix single frontend after LE cert path change
* magnum: Disable CAPI driver when kubeconfig missing
* post-2023.1: Remove keystone admin endpoint bits
* Remove after-Zed TODOs
* Set a log retention policy for OpenSearch
* Remove nova cell sync comment
* CI: Rework docker config vars
* fluentd: Fix LE pos\_file path after version bump
* Drop redundant note in globals-default.j2
* Rework quorum queues precheck
* CI: Drop masakari jobs from project.yaml
* quorum: add missing octavia and masakari
* CI: treat ansible-lint warnings as errors
* CI: fix two ansible-lint warnings
* CI: test job definitions when zuul files change
* CI: Drop duplicated variables in base.yaml
* CI: Move openstack clients setup to a role
* Fix Docker health check for sahara\_engine
* Add precheck for RabbitMQ quorum queues
* CI: Pin docker to <7 in setup\_gate.sh
* RabbitMQ: correct docs on Quorum Queue migrations
* CI: Add SCENARIO env var to upgrade.sh
* CI: Use ControlPersist and ControlMaster
* Fix broken list concatenation in horizon role
* Support Ansible max\_fail\_percentage
* Fix wsrep sync status task while switched to TCP/IP
* Update master for stable/2023.2

17.0.0.0rc1
-----------

* magnum: support kubeconfig configuration file
* fluentd: Fix getting podman labels
* CI: Install rich on depends-on podman builds
* enable quorum queues
* etcd: update to v3.4
* etcd: deduplicate environments for containers
* CI: Fail on fluentd log parsing errors
* podman: install "rich" dependency
* Update etcd docs and reno
* CI: Add oslo\_db.exception.DBConnectionError to check-logs.sh
* etcd: Add support for more scenarios
* fluentd: Use labels for transition to v5
* Fix Horizon WSGI application log parsing
* Revert "Enable RabbitMQ HA queues by default"
* Fix typo
* Fix octavia's proxysql configuration
* Fix expose prometheus externally with single frontend
* Configure CloudKitty with Prometheus basic auth
* Move [oslo\_policy] back inside Jinja if block
* Fix an issue with prometheus scraping itself
* Fix grafana prometheus datasource
* Set HAProxy server timeout for openstack exporter
* CI: bump upgrade jobs timeout to 3h (10800)
* Deprecate Masakari
* Fix proxysql get mariadb\_backup\_database\_password
* Enable the Fluentd Plugin Systemd
* keystone: Add support for OIDC options
* Rename kolla\_docker to kolla\_container
* Introduce oneshot docker\_restart\_policy
* Make designate bind9 cmdline configurable
* CI: Fix tenks for newer libvirt
* octavia-certificates: fix missing collection for ansible-core
* CI: Add redis to octavia scenario in setup\_gate
* Fix kolla\_docker module
* Add support for ansible-core
* [CI] Add skyline scenario
* Support exposing prometheus\_server externally
* CI: Adds a kolla-variables parent job
* Add fluent config for letsencrypt
* Add support for LetsEncrypt-managed certs
* octavia: enable jobboard
* Set HORIZON\_IMAGES\_UPLOAD\_MODE to direct by default
* [podman] Fix cross dependency image build
* keystone: do not report changed on tasks that list
* Adds condition to handle QoS extension in sriov\_agent.ini template
* CI: Configure ephemeral disk using Kolla role
* CI: Install container engine sdk
* Deploy Glance and Cinder Backup with S3 backend support
* Add support of podman deployment
* ovn: Fix wording in limit check
* Revert "CI: Pin ansible-core due to breakage"
* Rename per role filters files
* CI: Log details about failed containers
* Improve grok pattern matching for apache logs
* [doc] Fix the incorrect URL of 'Quick Start for development'
* Fix services config in single external frontend
* Fix podman logs
* Configures the tap-as-a-service neutron plugin
* CI: Pin ansible-core due to breakage
* Enable 3.12 Required Feature Flags for RabbitMQ
* Remove keystone admin leftovers
* Add a separate interface address for tgtd
* Default keystone user role changed to member
* Generate hostnqn
* Remove Glance and Neutron TLS proxies from fluentd input config
* kolla\_address: check correct error return value
* Remove remnants of Monasca and deps
* CI: Move test-ovn before test-core-openstack
* ironic: only bootstrap ironic-tftp when service is enabled
* Persist Neutron agent state files in volume
* Fix http/2 support for internal endpoints
* zun: Deprecate Zun provisionally
* Add ML2/OVN and ML2/OVS setting checks for neutron
* [haproxy] Adds http/2 support to HAProxy
* Add option for extra kernel modules in neutron role
* prometheus: Fix etcd scrape when etcd uses TLS
* Fix ansible-lint warnings related to jinja spacing
* keystone: ensure bool for two parameters
* ceilometer: process custom event\_pipeline.yaml with merge\_yaml
* ovn: Fix broken deployment/reconfig on Ubuntu
* debian: Remove kolla-ansible-debian-zun job
* README: link to the meetings page directly
* CI: Remove redundant set/unset\_cirros\_image\_q35\_machine\_type
* Configure Nova libvirt.num\_pcie\_ports to 16 by default
* CI: add q35 hardware machine type to tests
* Support customising Nova config at the individual service level
* senlin: add missing cafile parameter
* CI: add block support to validate-all-file.py
* ovn: Improve clustering
* Add forgotten release note for 892427
* Revert "CI: retry smoke tests and instance creation"
* Add forgotten release note for 886747
* CI: Add back ARA logging
* Change regex for the multiline parser at the fluentd rabbitmq input
* ansible: bump min version to 2.14 and max to 2.15
* Add ironic-prometheus-exporter
* Fixes task name in notify module to the actual task name
* Remove duplicate whitespace
* Fix Cyborg endpoints again
* Configure OVN to emit "need to frag" packets in case of MTU mismatch
* Fix designate-producers not running properly
* Fix D001 Line too long in mariadb-guide
* cleanup: fix cleanup containers
* Drop useless DUMMY\_ENVIRONMENT environment for cron container
* Enable RabbitMQ HA queues by default
* Add command to force reset the state of RabbitMQ
* debian: Add Bookworm Host OS support
* Adding mariadb\_port to wsrep sync status so alterative ports can be used
* Fixes WEBSSO\_KEYSTONE\_URL Value
* glance/neutron: drop nbproc and add nbthread support
* loadbalancer: remove support for haproxy\_processes
* toolbox: use script handling signals
* systemd: handle running container without systemd unit
* CI: bump ansible version in linter
* update ansible version
* Deny access to public /server-status in http Openstack services
* CI: venus - replace elastic with opensearch in gate deps
* Add nova conf for cyborg
* Add genconfig to the Operating Kolla guide
* loadbalancer: support cpu-map for threads
* loadbalancer: support setting nbthread with variable haproxy\_threads
* ironic: add ironic\_agent\_files\_directory parameter
* Fix an undefined variable bug for venus deployment
* Enable nova libvirt driver skip\_cpu\_compare\_on\_dest workaround
* cephadm: log to file
* Fix L3 agent docs typo
* Fix loop label syntax error with ansible-core 2.15
* Fix OpenSearch Dashboards health check
* Correct glance.conf example in external Ceph guide
* Trivial: Add deploy-containers for skyline
* zun: Fix capsule functionality and tests
* CI: drop ceph jobs ulimit config for EL9
* haproxy: support single external frontend
* loadbalancer: Add option to not define track script
* Fix glance-api failed to start privsep daemon
* Use better default bind address for ironic-tftp
* Fix issue with octavia security group rules creation
* Add python 3.10 to setup.cfg metadata
* Set previous\_release to stable/2023.1
* Use friendly prometheus instance labels
* Fixing kolla\_container\_engine option
* Fix Bifrost: remove an extra curly bracket
* Refactor MariaDB and RabbitMQ restart procedure
* Add support for multiple ceph files
* opensearch-dashboard: fix permissions
* Fix Venus containers start issue
* docs: Correct indentation in quickstart (again)
* docs: Correct indentation in quickstart
* Fix the Cyborg service
* Fix passwords.yml permissions
* Correct [pci] syntax in Nova SRIOV documentation
* CI: cephadm - set rbd application on pool creation
* Update master for stable/2023.1
* Fix the fluentd regexp to collect the logs
* opensearch: alter path after using rpm/deb packaging
* Fix log collection

16.0.0.0rc1
-----------

* neutron: Add neutron-ovn-agent support
* ansible: bump min to 2.13 and max to 2.14.2
* docs: Remove redundant section about vagrant-vbguest
* always add service\_user section to nova.conf
* Remove kolla-ansible-ubuntu-binary-upgrade job
* Clarifies misleading error on ceilometer role\`s precheck task
* CI: retry smoke tests and instance creation
* Correct ovn-ctl --db-nb-pidfile usage in templates
* Add container engine option to scripts
* Add support for checking Octavia cert expiration
* Deprecate Sahara and Vitrage
* octavia: Fix hm-interface after bumping openstack collection
* Fix Bash variable expansion issues in openrc file
* Designate: provide certificates file to use for neutron client requests
* Fix faulty precheck for RabbitMQ
* Revert "ansible: bump min to 2.13 and max to 2.14"
* Trivial fix - add int filter for rabbitmq definitions
* Add check\_mode: false to Nova upgrade checks
* Add precheck to fail if RabbitMQ HA needs configuring
* Configure coordination in default for masakari-api
* opensearch: default dashboards tag to opensearch\_tag
* Fix maximum width of the DIB Multiline-YAML
* ansible: bump min to 2.13 and max to 2.14
* Remove RabbitMQ ha-all policy when not required
* RabbitMQ use maintenance mode on container restart
* rabbitmq: Do not stop containers on upgrade
* Fix create sasl account before config file is ready
* nova: Fix live migration on RHEL9 derivatives
* Fix merge action plugins verbose output
* cli: fix find globals.d
* Add LimitRequestBody configuration for Horizon
* Update notes about CentOS support
* Add note about removing leading tabs in ceph.conf files
* Use the upgraded image to run Nova upgrade checks
* [CI] Test Neutron with IPv6 networks
* magnum: Fix trustee creation after ansible-collections-openstack bump
* Fix restart\_container when restart\_policy is no
* Fix improper designate-manage command usage
* Set RabbitMQ message TTL and queue expiry
* Add flags for RabbitMQ message TTL & queue expiry
* Set RabbitMQ ha-promote-on-shutdown=always
* Pin zun jobs to Docker 20
* Fix OpenStack exporter scrape with internal TLS & FQDN
* ironic: fix dev mode for inspector
* Update Stackalytics links
* Prevent libvirtd reload when only generating config
* rabbitmq: add rabbitmq\_datadir\_volume parameter
* mariadb: add mariadb\_datadir\_volume parameter
* Add neutron\_ovn\_availability\_zones parameter
* Set the etcd internal hostname and cacert for tls internal enabled deployments
* etcd: Set the proper peer and client protocol when tls is enabled
* CI: cephadm: Fix EL9 (Rocky)
* Allow to override CirrOS version in init-runonce
* CI: Run hashivault jobs only for relevant changes
* [Doc] update REAMDE.rst
* Refactor DockerWorker into ContainerWorker
* hacluster: Use nodename to align with nova service names
* CI: cephadm: copy cephadm log
* CI: Pin ansible-lint to <6.13.0
* Fix deploy/genconfig in check mode
* CI: bump cirros to 0.6.1
* Improve RabbitMQ performance by reducing ha replicas
* Add flag to change RabbitMQ ha-mode definition
* CI: Use libvirt/cpu\_models instead of cpu\_model
* Use loadbalancer to connect to etcd
* Put etcd behind HTTP loadbalancer
* RabbitMQ: Support setting ha-promote-on-shutdown
* CI: Drop apparmor installation
* CI: Add Rocky9 upgrade jobs
* remove elasticsearch remnants in antelope cycle
* CI: Install lvm on setup\_disk scenarios
* Fix kolla\_docker module
* Do not support dimensions:kernel\_memory on Docker API 1.42
* docs: fix information about libvirt SASL auth
* Switch trove-api to wsgi running under apache
* Trivial: Add connection: local for keystone-fernet cron generate task
* Add skyline service
* Default neutron\_tls\_proxy and glance\_tls\_proxy to haproxy\_tag
* Remove support for Ubuntu Focal 20.04 hosts
* Remove system scope token to access services
* CI: make debian/aarch64 voting
* CI: show coverage report in job
* Adding optional delay between l3 agent restarts
* Set scheduler.max\_attempts for nova conductor
* CI: Rename jobs - drop source part
* Add systemd container control
* Add ability to configure rabbitmq
* Disable new defaults and scope for Nova API policies (RBAC)
* CI: Avoid running tgtd if BASE\_DISTRO is rocky
* CI: Rework docker\_custom\_option
* Remove [trustee]/auth\_uri option from heat.conf
* Remove use\_forwarded\_for configuration option
* Fix issue with genconfig and octavia\_auto\_configure
* Add a flag to handle RabbitMQ high availability
* CI: Use nodepool.public\_ipv4 if nodepool.private\_ipv4 is empty
* Fix prechecks in check mode
* Drop remnants of install\_type
* Stop firewalld config during kolla genconfig
* Set previous\_release to zed
* iscsi: Use assert on checks for readability
* loadbalancer: Use assert on checks for readability
* neutron: Use assert on checks for readability
* ansible: Use assert on checks for readability
* host\_os: Use assert on checks for readability
* rabbitmq: Use assert on checks for readability
* zun: Use assert on checks for readability
* Drop skydive
* Explicitly set the value of heartbeat\_in\_pthread
* docs: add note about tag suffix for aarch64
* CI: Support tox4
* CI: Run validate-config at the end of deploy
* ovn: add ovn-monitor-all variable
* ovn: Change order of deployment
* Integrate oslo-config-validator
* Remove AvailabilityZoneFilter from enabled\_filters
* cloudkitty: set cafile for fetcher\_keystone
* Add service-images-pull tag to tasks in the service-images-pull role
* Remove shebang to properly support venv in ansible-core 2.13+
* Fix generation of OpenSearch Dashboards config
* Add git package to the list of dependencies
* Switch to 2023.1 Python3 unit tests and generic template name
* Update master for stable/zed

15.0.0.0rc1
-----------

* Monasca reno followup polish
* Tidy up renos for Monasca and dependencies
* Rework the Quickstart Guide to make it easier for Newcomers
* Add Quickstart Developer Guide
* Remove kafka, storm, zookeeper
* docs: Fix reference to Libvirt TLS
* [release] Tidy up release notes for Zed
* CI: Cleanup rocky9 upgrade jobs
* Replace ElasticSearch and Kibana with OpenSearch
* ovn: Change NB/SB connection setup to allow usage of inactivity probe
* ovn: Break out role into ovn-db and ovn-controller roles
* Removal of dockerSDK check for other container engines
* Remove allow\_overlapping\_ips configuration option
* Fix some neutron configuration options
* Revert "Generate ovn-chassis-mac-mappings on ovn-controller group"
* Improve kolla-ansible error on missing Ansible
* Monasca removal followup
* cinder: Pure roce followup
* Generate ovn-chassis-mac-mappings on ovn-controller group
* Adds a wrapper script to run ovs-vsctl commands in the container
* docs: Octavia OVN provider
* Remove support for deploying OpenStack Monasca
* Add NVMe-RoCE Cinder driver support for Pure Storage
* Adding container\_engine to kolla\_toolbox module
* Adding container engine to kolla\_container\_facts
* Fix missing logrotate configuration for proxysql logs
* Fix ironic interface option for ironic-inspector
* octavia: run auto\_configure only when amphora is enabled
* Usage of kolla\_container\_engine variable instead of docker
* CI: set cpu\_model to Nehalem for kvm jobs
* post-deploy: add public-openrc.sh
* designate: Enable Sink only when designate is enabled
* Adds ability to configure ProxySQL's max replication lag
* Mount /run directory into zun\_cni\_daemon container
* Fix freezer deployment
* Default to Rocky Linux instead of CentOS Stream
* Update RHEL family information
* Deprecate Monasca and dependencies
* Skip ansible-lint fqcn for module actions and role-name
* Allow setting any\_errors\_fatal true for gather-facts
* CI: Fix init-swift
* Fix image from volume upload ERRORs and WARNINGs with Ceph RBD
* Make Cinder with iSCSI use fewer volumes
* [CI] Improve Cinder testing robustness
* Stop showing image locations
* [heat] Remove an ancient deprecated task
* Support specifying Nova compute provider config
* Fix indentation in test script
* [CI] Test image from instance
* Bump Ansible min version to 2.12/5 and max to 2.13/6
* CI: Enable rocky9-cells job
* set haproxy balance algorithm to roundrobin for horizon
* [glance][cinder] Stop owning RBD defaults
* CI: Always build images for centos jobs
* Add Rocky to default distro map and use published images
* Keystone OIDC JWKS fix
* Remove dhcp-sequential-ip in ironic dnsmasq config
* [tox] Fix installation of requirements
* [ironic] Drop an extra wait
* [ironic] Remove useless tasks
* bifrost: Use the combined Ironic service instead of API+conductor
* init-runonce: use CirrOS 0.6.0
* Remove the deprecated enable\_ironic\_ipxe
* init-runonce: Add KOLLA\_CONFIG\_PATH support
* CI: rocky9 - add to multiple if base\_distro statements
* Change clouds.yaml location
* Do not enable nova\_legacy service by default
* Specify number of threads for designate bind9 backend
* Make Keystone admin endpoint creation optional
* Remove deprecated sysctl knobs
* ansible-lint: cleanup our skip list
* Fix interface option for ironic-neutron-agent
* Fix Ironic API healthcheck with backend TLS
* CI: allow Jinja templating anywhere inside task and play names
* Fix issues introduced by ansible-lint 6.6.0
* [CI] Do not use the kolla user
* [CI] Do not install wheel
* Modify the git repository url of venus
* [CI] Run Kolla Ansible from its own venv
* Fix AlertManager's external web url
* Add CentOS Stream 9 / Rocky Linux 9 host support
* [CI] Let Tenks manage its own venv
* mariadb: Add reuseaddr to socat execution
* cephadm: Bump used Ceph to Quincy
* Increase the Fluentd request timeout for ES
* Fix Hashi login method for approles
* Allow exposing OpenStack exporter via HAProxy
* [CI] Run the cells scenario on Ubuntu
* Fix creation of prometheus user and grant permissions
* [doc] Run docker registry with host network
* Fix haproxy prechecks after deployment
* Switch Prometheus Alertmanager to active/passive
* Use active\_passive parameter for existing services
* keystone: Remove redundant 'when'
* Support configuring HAProxy services as active/passive
* [CI] Drop bindep
* [security] Make Ironic tftpd run as nobody
* [docs] Fix Ironic flavor creation command
* [TrivialFix] Fix task name in Ironic config
* [docs] Update IPA images urls
* [docs] Align IPA images urls
* [docs] Fix OVS link
* [docs] Overview of Ironic, instead of scaring
* Use Docker healthchecks for mariadb-server service
* Upgrade openEuler Distro
* Introduce variables for cinder backend names
* Add prometheus-msteams to get container facts loop
* Add support for deploying prometheus-msteams
* [CI] Test ProxySQL with shards in the nova cells scenario
* Add proxysql-config role and wrap it in loadbalancer-config role
* Add loadbalancer-config role and wrap haproxy-config role inside
* Edit services roles to support database sharding
* Add clouds.yaml file and use it
* cephadm: Use distro-provided Quincy on Jammy
* loadbalancer: ignore missing keepalived container
* Honour the linuxbridge experimental status
* Enable TLS in Bifrost
* Persist Bifrost's autogenerated passwords
* haproxy-config: move firewalld reload handler to haproxy role
* haproxy-config: Drop project\_name variable
* Add proxysql support for database
* Fix nova online volume resize with multipathd
* Adjust the distro\_python\_version for Jammy
* Switch to Jammy images
* Remove RabbitMQ policy removal code
* adds firewalld configuration based on enabled services
* Remove the deprecated storage\_interface var
* Revert "Allow cinder-backup to be configured to use S3 backend."
* [CI] Fix storage upgrade jobs to run on Focal
* clustercheck: move from xinetd to socat
* Fix var-spacing
* Allow cinder-backup to be configured to use S3 backend
* init-runonce: Migrate to ECDSA keys
* make "external\_labels" optional on prometheus.yml
* Add [taskflow] section for masakari.conf.j2
* Corrected the config file to use when stopping neutron-openvswitch-agent
* Add support for Ubuntu Jammy Jellyfish (22.04 LTS)
* Add api\_workers for each service to defaults
* Set the ironic notification level
* Support configuring prometheus fetcher for CloudKitty
* Support configuring the CloudKitty fetcher
* inspector: Prevent use of noauth in multi-region setup
* Don't disable neutron-bgp-dragent with OVN
* Remove unused variable haproxy\_enable\_federation\_openid
* CI: Add ovn upgrade jobs
* Make external access to monitoring services configurable
* Add ironic\_http\_interface parameters
* Support setting Nova API microversion for openstack-exporter
* Fix typo in prometheus-node-exporter restart handler
* Fix nested mounts of /run/openvswitch
* ovn: Fixup inventories after 842364
* CI: cephadm: Add osds/pools/users in one run
* Further Keystone-related cleanups
* CI: Switch upgrades xena->yoga to yoga->master
* Add keystone\_authtoken.service\_type
* CI: drop all CentOS Stream 8 jobs
* Fix typo in endpoint influxdb\_internal\_endpoint variable
* Enable hacluster role when it is needed
* Remove nova related config from placement
* Increase openstack-exporter timeout to 45 seconds
* Remove configuration related to api\_workers
* Switch to Cortex-A72 cpu on AArch64
* Split haproxy and keepalived restarts
* [CI] Use the script module for running core tests
* [CI] Properly use Yoga u-c everywhere
* Fix a comment on openstack\_interface
* Do not use keystone\_admin\_url et al
* [CI] Nullify attempts
* Do not use a different port for Keystone admin endpoint
* Make redis connection string configurable
* Control Masakari monitors deploy
* talk TLS to openstack exporter via haproxy
* genpwd: handle lack of password file nicer
* CI: Fix prometheus-efk scenario with TLS enabled
* Use the new image naming scheme
* masakari: support libvirt SASL in instance monitor
* [CI] Restore token critical error filter
* [CI] Keep testing with Yoga u-c
* ovn: add network group to neutron-ovn-metadata-agent
* Add support for custom alert notification templates
* [CI] Move queue setting to project level
* Delete keystone\_token\_provider variable
* Fix redis\_sentinel container restarts
* Remove sanity checks
* Add support for Pure Storage FlashArray backend to Cinder
* ovn: add ovn-openflow-probe-interval var
* Put openstack exporter behind HAproxy so only one is queried at a time
* [CI] Raise [keystone\_authtoken]http\_request\_max\_retries
* Fix Ansible errors if globals.yml is not modified
* Fix malformed OIDCMemCacheServers
* Fix typos in docs
* Skip /etc/kolla/globals.d on host cleanup
* Use 'cloudkitty\_influxdb\_use\_ssl' when creatign InfluxDB database
* Performance: site.yml remove redundant 'when'
* [bifrost] add bifrost\_deploy\_verbosity parameter
* Fix formatting of code block
* CI: add binary->source upgrade job
* nova: use any\_errors\_fatal for once-per-cell tasks
* [ironic] add coordination backend for ironic inspector
* Add doc fix for all-in-one in venv
* [CI] Always use quay.io via infra's mirror
* Fix ansible version in install command
* drop install\_type from image names
* fluentd: remove deprecated parameter
* [CI] Make kolla-build quiet
* Switch prometheus to active/passive mode
* Configure Prometheus Pushgateway Options
* Multiple DHCP ranges for Ironic Inspector
* ovs-dpdk: add ovs-dpdkctl.sh to the role itself
* [CI] Remove reliance on install\_type
* added missing become in ovs-dpdk role
* CI: no need to set install\_type
* Bump ansible-lint version to 6.\*
* Move lint requirements to dedicated file
* doc: do not mention install\_type
* drop qdrouterd support
* Add Python3 zed unit tests
* Update master for stable/yoga
* Deprecate enable\_ironic\_pxe\_uefi
* Deprecate enable\_ironic\_ipxe
* Ironic: rename containers
* Ironic: Support both plain PXE and iPXE
* drop binary install type from templates and config
* tests: use source instead of binary
* CI: remove binary jobs
* libvirt: Fix nova-libvirt-cleanup command

14.0.0.0rc1
-----------

* Move venus group to the correct inventory section
* [release] Tidy up release notes for Yoga
* neutron: add ssh key
* nova: improve compute service registration failure handling
* Add openEuler Distro support
* Adds FluentD configuration for OpenvSwitch log matching
* Change grafana provisioning.yaml indentation
* re-add rabbitmq config for clustering interface
* Use jinja2.pass\_context instead of contextfilter
* designate: Allow to disable notifications
* designate: allow designate\_ns\_record to be a list
* monasca: Remove monasca-grafana leftovers
* Enable memcached backend for mod\_auth\_openidc
* designate: fix external backend deployment
* Ironic: rebootstrap ironic-pxe on upgrade
* Support Prometheus as metrics database for Ceilometer
* libvirt: add nova-libvirt-cleanup command
* libvirt: make it possible to run libvirt on the host
* rabbitmq: follow up for classic queue mirror removal
* [external-ceph] Use template instead of copy
* ADD venus for kolla-ansible
* [CI] Add Venus scenario
* CI: pin ansible-lint to <6
* libvirt: support SASL authentication
* docs: state supported Python version
* Adds etcd endpoints as a Prometheus scrape target
* Explicitly unset net.ipv4.ip\_forward sysctl
* [CI] Remove an old override
* [CI] Ironic: use ipmitool retries
* [CI] Use Tenks in Ironic job
* [TrivialFix] Remove old comment
* Fix prechecks for "Ironic iPXE" container
* Ironic: Avoid setting deprecated pxe\_append\_params
* Add Rocky Linux support as Host OS
* rabbitmq: add node parameter in rabbitmq\_user call
* CI: cephadm - stop copying keyrings
* Enable Ironic iPXE support by default
* Add openvswitch and prometheus to logrotate
* Fix hard coded OIDC response type
* Fix location of release note for ironic-neutron-agent healthcheck
* Remove grafana [session] configuration
* Remove classic queue mirroring for internal RabbitMQ
* cloudkitty: fix URL used for Prometheus collector
* Install openstack.kolla collection
* Configure node-exporter to report correct file system metrics
* Add support for VMware First Class Disk (FCD)
* Allow to define extra parameters for Prometheus exporters
* Add support for VMware NSXP
* Updating python testing classifier as per Yoga testing runtime
* CI: Fix new ansible-lint failures
* Remove bslurp module
* Adds prometheus\_scrape\_interval
* Fix fluentd v1 buffer syntax issue
* Refactor fluentd syslog logging
* docs: add information about development libvirt TLS certs
* CI: Bump Ceph to Pacific
* neutron: fix placement endpoint type configuration
* ironic: sync default inspection UEFI iPXE bootloader with Ironic
* [CI] Filter fluentd errors more
* [haproxy] optionally set socket to allow admin commands
* octavia: drop warning about certificate changes
* Fix Apparmor libvirt profile removal
* Revert "Add workaround for keystonemiddleware/neutron memcached issue"
* [CI] Test Glance interaction with Cinder
* [CI] Add kolla-ansible-debian-source-zun job
* [CI] Replace parted with lsblk
* CI: enable libvirt TLS in TLS jobs
* certificates: generate libvirt TLS certificates
* Deploy Zun with Cinder Ceph support
* Add OIDCDiscoverURL mod\_oidc option
* Glance: add lock\_path setting
* horizon: Support custom themes
* Fix bad openstack command while registering IDP
* Fix log rotation for fluentd created files
* update the default value of node\_custom\_config
* Use subnet\_dns\_publish\_fixed\_ip Neutron extension
* openvswitch: add option to set hw offload
* Revert "[CI] [to-revert] Avoid upgrades on CentOS Stream 8"
* Use Docker healthchecks for ironic-neutron-agent services
* [CI] Test Ironic when touching Neutron
* Remove custom value for max\_allowed\_request\_size\_in\_bytes
* Clean up chrony cleanup
* Remove custom value of max\_allowed\_secret\_in\_bytes
* Fix permission denied errors with ping on c8s
* [CI] [to-revert] Avoid upgrades on CentOS Stream 8
* Access to zun container fails when tls\_external enabled
* [CI] Test that Cinder can create volume from image
* multiple: remove duplicated variables between defaults and group vars
* Improve MariaDB restore procedure
* rabbitmq: enable/disable prometheus plugin follow up
* Make nova\_ssh listen on api\_interface as well
* Add logrotate configuration for placement service
* OpenID Connect certifiate file is optional
* Support enable/disable rabbitmq prometheus plugins
* Add Ansible 5 aka core 2.12 support
* Refactor of kolla\_docker into module\_utils
* [CI] Drop unused nodeset
* nova: disable external metadata haproxy frontend
* Add support for deploying Prometheus libvirt exporter
* Use Volume V3 API in OpenStack exporter
* glance: Remove duplicate glance\_\*\_endpoint variables from role defaults
* Remove obsolete opt from cinder.conf
* docs: adjust to current defaults
* [docs] Rewrite operating-kolla upgrade-wise
* Continue to run all actions if one action failed in curator
* Make cron logfile minsize,maxsize configurable
* Move project\_name and kolla\_role\_name to role vars
* CI: future-proof return semantics in check-failure.sh
* fluentd: remove legacy parsing config
* [CI] Check fluentd errors
* Add ovn\_sb\_connection to octavia.conf
* fluentd: add modern parsing config
* Remove unused template wsgi\_python.conf.j2
* Fluentd cleanup
* Deprecate storage\_interface variable
* Revert "Use friendly target names in Prometheus"
* [docs] swift: fix mentions of interfaces config
* bifrost: preempt change in defaults for TFTP and HTTP boot paths
* Delete the logrotate files because they do not have separate logs
* Add ironic-inspector policy configuration
* horizon: move horizon\_enable\_tls\_backend to group\_vars
* [CI] Test Ironic on Debian
* Stop creating non-keystone admin endpoints
* Added upgrade note for separate nova and cinder keys
* Drop vmtp
* [docs] Mark init-runonce properly
* Add logrotate to libvirt service
* cinder: restart services after upgrade
* [Security] Add log4j vulnerability mitigation in Elasticsearch
* bifrost: set IPA deploy logs dir to /var/log/kolla/ironic
* Bump timeout for grafana startup
* ovn: configure ovn in ovsdb only on ovn-controller hosts
* Prepare tests for the Ironic combined service
* Fix aodh wsgi config file in Debuntu binary
* kibana: do not send cluster statistics to Elastic
* Update noVNC URL for noVNC >= 1.0.0
* CI: check-logs - add another exception
* Fix monasca-thresh upgrade
* Cleanup leftovers of the removed tempest role
* Support copying static Vendordata file into Nova API container
* openvswitch: move from docker exec to openvswitch\_db
* CI: Test minimum and maximum supported ansible versions
* haproxy: remove unused tls check condition in config
* Add kolla-ansible --version option
* Finish removing Monasca Log Transformer
* The deprecated iscsi deploy interface has been removed since xena
* Remove Monasca Log Metrics service
* Specify log file name for Nova API
* Add way to change logrotate scheduling
* docs: stop installing kolla in quickstart
* docs: fix venv path "share/share"
* docs: Install openstack-client with upper constraints
* [release] Set previous\_release to xena
* docs: Get release name dynamically
* Replace deprecated assertRaisesRegexp
* Fix octavia doesn't set subnet gateway\_ip
* docs: Fix python-openstackclient package name and init-runonce path
* mariadb: use add\_host to include inactive hosts in shard grouping
* Fix wrong opts in cyborg.conf
* Fix missing Ansible version in the error message
* Revert "Do not load br\_netfilter"
* docs: Parameterize kolla-ansible version and branch
* CI: make Debian source jobs voting
* Fix broken deploy of placement service
* Fix wrong distro assumptions
* Drop enable\_host\_ntp
* Grafana: Run priviliged when copying home dashboard file
* docs: Improve info about neutron external interface
* mariadb: Remove wsrep-notify.sh
* [mariadb] Start new nodes serially
* Add Python3 yoga unit tests
* Update master for stable/xena

13.0.0.0rc1
-----------

* Tidy up renos before Xena release
* Update dnsmasq logging
* Add support for Ironic inspection through DHCP-relay
* Correctly create the dhcp\_agent.ini and l3\_agent.ini
* Trivial but necessary fix - loadbalancer weight
* Stop creating unused cron/logrotate directory
* Trivial fix shebang in keystone's fernet-node-sync.sh.j2
* Fix privileges for MariaDB 10.5
* Docs: Update to opendev.org domain
* Debian: apt-transport-https is transitional package
* Add missing CloudKitty documentation
* Do not become root when searching for custom prometheus alert rules files
* Do not load br\_netfilter
* monasca: change default of monasca\_ntp\_server
* CI: monasca: ignore exited monasca\_thresh container
* Remove chrony role from kolla
* [CI] Stop adding the DROP workaround
* Add support for Ceph RadosGW integration
* docs: ceph: add copy-on-write for Glance
* Deploy source type images by default
* Do not set net.ipv4.ip\_forward sysctl
* Transition Keystone admin user to system scope
* [mariadb] Drop some old workaround
* Do not create haproxy and swift log dirs needlessly
* Add way to change weight of haproxy backend per service
* [CI] Collect info about environment before deploy
* Bump up Ansible max supported ver to 4.x
* Use friendly target names in Prometheus
* Add check and diff options to kolla-ansible
* Use mariadb\_tag as default for all mariadb tags
* Do not enable mariadb-clustercheck when not needed
* Switch default images source to quay.io
* Remove haproxy,keepalived groups
* use ironic user in ironic\_neutron\_agent.ini file
* Fix neutron upgrade using host limit without controllers
* [CI] Fix upgrade with kolla-build
* CI: Temporarily enable insecure registry
* Zun: Temporarily skip capsule test for ubuntu
* toolbox: Allow different users logging to ansible.log
* Bump libvirtd memlock ulimit
* reno: follow up
* [tox] Add docs-iterative command
* [tox] Optimise docs actions
* [CI] Test instance health after upgrade
* Restore libvirtd cgroupfs mount
* docs: Add placeholder page for CI & testing information
* Add kolla-ansible gather-facts command
* Fix usage of Subject Alternative Name for TLS
* docs: adding and removing host: add --all-projects option
* Fix Masakari in multi-region deploys
* Never make Docker registry insecure by default
* Use Docker healthchecks for neutron-bgp-dragent service
* Rename role haproxy to loadbalancer
* Add ability to retry image pulling
* Remove an unused file
* Fix haproxy precheck when kolla\_externally\_managed\_cert is used
* Use Docker healthchecks for keystone-fernet container
* tools: use /usr/bin/env bash instead of /bin/bash
* Update Manila deploy steps for Wallaby
* Use Docker healthchecks for nova-spicehtml5proxy service
* [CI] Test Swift upgrades
* Allow override of rabbitmq config in kolla toolbox
* Fix kolla-toolbox with IPv6 and disabled RabbitMQ
* [CI] Fix Debian upgrade
* Validate if running CentOS OS is CentOS Stream
* Trivial fix nova's healthchecks
* Use api-paste.ini from /etc/neutron
* Refactor and optimise image pulling
* ironic: Follow up for ironic\_enable\_keystone\_integration
* Support monitoring Fluentd with Prometheus
* CI: stop setting ceph\_nova\_user
* Fix release note for ansible\_facts
* neutron: fix neutron-server config.json with VMware
* Remove unused imports in merge\_yaml
* Extra var ironic\_enable\_keystone\_integration added
* Remove deprecated Designate option
* Elevated privileges required to set owner/group/mode by ansible
* Remove support for Prometheus v1
* Trivial fix horizon's healthcheck when SSL turned on
* Do not run timesync checks on deployment host
* Fix freezed spice console in horizon
* watcher: add missing become for copying configs
* Support multiple inventories
* Use more RMQ flags for less busy wait
* Delete haproxy\_single\_service\_listen.cfg.j2 template
* nova: Use cinder user for Ceph
* [manila] Drop tenant\_id templating from v2 endpoint
* Fix nova deployment failure when rabbitmq is disabled
* Fix incorrect config of linuxbridge multiple external networks
* cyborg: add missing become for api-paste.ini
* [CI] Slim down Masakari job
* prometheus: add tls\_connect blackbox module
* ironic: always enable conductor HTTP server
* Fix variable names in Octavia documentation
* Fix deployment failure when kolla\_dev\_mod is enabled
* Fix ironic\_ipxe healthcheck on Debian/Ubuntu
* manila: add glance section in manila-share.conf
* Fix typos in release note
* Fix typo in keystone role
* Reduce container metrics cardinality
* baremetal: use docker\_yum\_gpgkey to fetch docker GPG key
* Fix config action when OVN is enabled
* Remove tempest role
* Blazar: Fix support for external keystone in multiregion deploy
* Make setup module arguments configurable
* Add disable\_firewall variable
* Fix Masakari host monitor default config
* Remove rally and panko again
* Support storing passwords in Hashicorp Vault
* CI: Avoid generating a nova key in cephadm scenario
* [CI] Do not set ansible\_python\_interpreter for Zuul
* reno: fix typo
* Replace auth\_uri with www\_authenticate\_uri
* Allow user to set sysctl\_net\_ipv4\_tcp\_retries2
* CI: Don't generate certificates before upgrade
* Use ansible\_facts to reference facts
* magnum: Add CA certificate configuration for internal TLS
* Remove unused region\_name option
* Add missing region\_name in keystoneauth sections
* Fix host bootstrap pkg removal on Debian
* Drop support for Cinder ZFSSA backend
* Do not set pid file for iscsid
* Revert "Reduce container metrics cardinality"
* Fix up 'Persist nova libvirt secrets in a Docker volume'
* Update previous\_release to Wallaby
* Reduce container metrics cardinality
* Remove rally deployment
* Drop /sys/fs/cgroup mounts
* Reno follow up for docker\_disable\_ip\_forward
* Remove support for panko
* Disable docker's ip-forward when iptables disabled
* [CI] Test bifrost on Ubuntu as well
* Revert "cephadm: Set auth\_allow\_insecure\_global\_id\_reclaim to true"
* Fix RabbitMQ restart ordering
* Add forgotten 'Restart container' handler for swift
* Reduce RabbitMQ busy waiting, lowering CPU load
* Robustify fluentd output tag matching
* monasca-thresh: Fix topology submission to storm
* [TrivialFix] Remove extra slash
* baremetal: fix /etc/hosts generation when api\_interface has dashes
* Add suppress\_type\_name to stop warnings with ES7
* Fix parsing of infra.mariadb.xinetd logs
* Stop fluentd deprecation warnings of type vs @type
* chrony: allow to remove the container
* [CI] Drop Zuul host groups
* Fix release note markup
* docs: Update Freenode to OFTC
* [CI] Move to Debian Bullseye
* Add support for Debian Bullseye (11) as host distro
* Add the ansible\_managed header for admin-openrc.sh
* [docker] Add support for setting CgroupnsMode
* Bump min Docker version
* Use mariadb-server image for mariabackup
* fluentd: Fix check for external elasticsearch
* CI: fix backups Ceph pool name
* Remove [octavia]/base\_url option from neutron.conf
* tox: Add find command to allowlist\_externals list
* CI: Use PATH to find kolla-ansible script
* Fix exit code with bogus command name
* CI: Configure IP on a linux bridge instead of OVS br-ex
* linters: Mock additional variables in validate-all-file.py
* CI: add grafana to monasca image list
* [CI] Fix testing in cephadm scenario
* Make rabbitmq cluster\_partition\_handling configurable
* baremetal: Install Docker SDK less than 5.0.0
* Indented two spaces to match the other things in this block
* Mariadb shards documentation
* CI: Disable amphora in OVN jobs
* [CI] Log dbus services
* CI: Wait for NTP synced status in systemd
* baremetal: Don't start Docker after install on Debian/Ubuntu
* Trivial if conditional fix in keystone.json
* gnocchi: fix external ceph integration when gnocchi-statsd is disabled
* docs: update supported OS distros
* Disable Alertmanager's peer gossip in non-HA deployments
* CI: allow Elasticsearch status to be green or yellow
* Add ability to use the Neutron packet logging framework
* Use @type instead of type
* cleanup no longer needed task for cinder
* Do not write octavia\_amp\_ssh\_key if auto\_config disabled
* octavia: Fix duplicate api\_settings
* ovn: make DVR work on VLAN tenant networks
* ovn: omit unnecessary bridge mappings
* CI: Fix nfv job with kolla dependency
* Deprecate tempest and rally
* setup.cfg: Replace dashes with underscores
* Redis configuration syntax update
* Fix neutron-ovn-metadata-agent with policy.yaml
* Check config when checking the containers
* Deprecate enable\_host\_ntp
* cephadm: Set auth\_allow\_insecure\_global\_id\_reclaim to true
* Remove redundant Monasca Kafka client option
* Remove Monasca Grafana service
* Add Monasca Grafana deprecation notice
* [doc] fix a typo
* Skip setting rp\_filter by default
* Bump up python version for Debian Bullseye
* Avoid an Ansible quirk in hacluster role
* Add Python3 xena unit tests
* Update master for stable/wallaby

12.0.0.0rc1
-----------

* Apply Zun configuration for Docker based on inventory
* [doc] introduce octavia tenant management network
* Tidy up Wallaby renos
* Extend support for custom Grafana dashboards
* docs: Improve policy documentation
* mariadb: Deprecate wsrep-notify.sh
* Additional small changes in role/mariadb
* mariadb: Disable wsrep-notify script if clustercheck enabled
* Use Docker healthchecks for rabbitmq services
* octavia: Add support for disabling amphora provider
* masakari: support host monitor
* Support editable installation in all cases
* CI: pull images before deploy
* Use Docker healthchecks for zookeeper services
* Add HAcluster Ansible role
* Refactor mariadb to support shards
* Nit fixes for change 776219
* masakari: fix minor issues with instance monitor
* CI: Move to centos-8-stream
* CI: Use 5G loop device for ceph
* Drop the NTP service precheck
* [CI] Save systemctl info
* Deprecate and disable chrony by default
* [CI] Use images from quay.io
* octavia: Ensure service auth project exists
* octavia: Fix log directory permission
* Use Docker healthchecks for memcached services
* baremetal: Add support for Docker http/https proxy setup
* Use Docker healthchecks for mistral services
* Fix cyborg api doesn't listen on api interface
* OVN: Make OVS db entries idempotent
* openvswitch: Add healthchecks
* docs: Add note about internal VIP when HAProxy is disabled
* Switch octavia-api to wsgi running under apache
* Add missing octavia-driver-agent
* [CI] Drop the workaround in Masakari client calls
* cinder: fix condition to copy backend TLS certs
* Add global tag variables for Panko and Skydive
* Disable usage collection in Kibana
* Add Alertmanger metric target(s)
* [CI] Fix broken docker registry
* CI: Fix yamllint comments-indentation in .ansible-lint
* Trivial fixes in grafana-guide doc
* docs: fix registry mirror example
* Make it possible to override automatic fluentd version detection
* Add support for custom grafana dashboards
* Update blazar.conf template
* Upgrade service configuration for ELK 7
* Use Docker healthchecks for ceilometer services
* prometheus: Collect metrics from rabbitmq
* Set changed\_when to false for group\_by tasks
* Use Docker healthchecks for haproxy services
* Use Docker healthchecks for qdrouterd services
* Disable Docker iptables and bridge networking by default
* [docker] Added a new flag to disable default network
* Use Docker healthchecks for elasticsearch services
* Use Docker healthchecks for storm services
* Use Docker healthchecks for kuryr services
* Use Docker healthchecks for kibana services
* ansible-lint: add unnamed-task to the skip list
* Use Docker healthchecks for zun services
* Reduce number of logs and disable ara HTML report
* Introduce nova\_libvirt\_logging\_debug
* Correctly configure S3 Token Middleware for Swift
* Remove cinder v2 api
* Use Docker healthchecks for solum services
* Use User and Group variables instead of sudo
* Use Docker healthchecks for vitrage services
* Use Docker healthchecks for aodh services
* Use Docker healthchecks for gnocchi services
* Use Docker healthchecks for ironic services
* Use Docker healthchecks for designate services
* Bump up supported Ansible version to 2.10
* Use Docker healthchecks for kafka services
* Document calculation of indentation
* Follow up fixes for Monasca docs and formatting
* Remove whitespace around equal signs in zookeeper.cfg
* Add variable for changing Apache HTTP timeout
* Support bypassing Monasca Log API for control plane logs
* Support disabling Monasca alerting pipeline
* CI: octavia: create and test a load balancer
* Disable Monasca Log Metrics service by default
* Remove Monasca Log Transformer
* Use Docker healthchecks for watcher services
* Use Docker healthchecks for senlin services
* Use Docker healthchecks for cyborg services
* Use Docker healthchecks for octavia services
* Use Docker healthchecks for skydive services
* Use Docker healthchecks for redis services
* CI: octavia: remove octavia from magnum scenario
* octavia: support tenant management network
* Add \`kolla\_externally\_managed\_cert\` option
* CI: Move from ceph-ansible to cephadm
* Deprecate Prometheus 1.x
* nova-cell: Stop printing ceph keys in output
* Use Docker healthchecks for tacker services
* Use Docker healthchecks for trove services
* don't use the same CIDR in octavia\_amp\_network\_cidr and init-run-once
* CI: Add ssh retries
* Fix Cinder log parsing
* docs: add code reviews to contributor guide
* Improve trove  releasenote
* Add Neutron DHCP agent to OVN networking setup
* Register Elasticsearch in Keystone
* CI: Reduce neutron RPC service workers to 1
* Use Docker healthchecks for sahara services
* Use Docker healthchecks for magnum services
* Use trove.conf  for all trove services
* CI: Initial jinja2 templates syntax checks
* chronyd crash loop if Debian server is rebooted
* ovn: Fix disabling of gateway chassis
* Rename eswitchd.conf -> eswitchd.conf.j2
* Add Monasca Grafana security note
* Revert "CI: Temporarily disable rabbitmq internal tls"
* Add support to OpenID Connect Authentication flow
* Fix installation with pip install --user
* CI: fix ceph-ansible installation after cryptography 3.4 release
* CI: only run cells job on changes to nova role
* Fix monasca-grafana check
* CI: fix kolla-ansible installation after cryptography 3.4 release
* Lint and fix renos
* docs: Add information on tuning Ansible
* Add missing elasticsearch cloudkitty storage and prometheus collector backend support
* Add IPv6 configuration options to Octavia management network
* Use Docker healthchecks for manila services
* Add a ovsdb\_timeout variable for better configuration
* Negative seqno need to be considered when comparing seqno
* [docs] Unify project's naming convention
* Fix Barbican API log config
* Replace db-sock with db-nb-sock and db-sb-sock
* Persist nova libvirt secrets in a Docker volume
* remove the unused variable in mariabackup
* Correct spell error
* remove unicode from code
* Fix "Restart mariadb-clustercheck container" during config gen
* CI: Add monasca scenario
* [docs] Add link for project's release notes
* [docs] Correct project naming on Release Notes page
* Do not wait for grafana to start when kolla\_action=config
* [docs] Prometheus 2.x follow-up change
* [docs] Add templates and examples of renos
* Add Prometheus 2.x deployment
* Support explicit creation of Monasca Kafka topics
* Use Docker healthchecks for blazar services
* Use Docker healthchecks for barbican services
* Use Docker healthchecks for cinder services
* Register resources info for octavia upgrading
* Fix remove libvirt apparmor disabled profile
* Use Docker healthchecks for cloudkitty services
* Install gnupg before adding docker apt gpg key during pre-install
* Fixes solum\_api Listening on 127.0.0.1
* octavia: fix typo in defaults
* Update website URL for InfluxDB
* Fix Ceph links
* Fix dpdk deploy failed
* [CI] Cinder upgrade testing
* Use ansible\_distribution\_release instead of ansible\_lsb.codename
* Fix api\_adress\_family typo
* Remove Retired Karbor Support
* Remove support for Ubuntu Bionic 18.04 hosts
* CI: Switch upgrade jobs to Ubuntu focal 20.04
* Drop lower-constraints
* [doc] Fix a typo in dpdk doc
* Add support for using a tmpfs for Cinder image conversion
* Add support to kolla\_docker for tmpfs mounts
* Remove retired Searchlight support
* Remove retired Qinling support
* Revert "Performance: Use import\_tasks in the main plays"
* [docs] Add python3-venv package to quickstart.rst
* Pin ansible in test-requirements
* [CI] Drop periodics
* Fix failure during Monasca Grafana upgrade
* Fix mariadb\_recovery when mariadb container is missing
* Fix prechecks with Docker 20.10.0
* Edit ironic inspector pxe filter driver name none to noop
* Do not start swift-object-updater on stop
* Monasca log-metrics - Drop "notice" and "note" loglevel metrics by default
* [CI] Fix the NFV scenario
* docs: Add magnum guide
* Fix an Ansible warning
* Delete the default parameters of the gluster NFS driver
* docs: improve external Ceph docs
* Remove validate-install-command.sh
* Update docs for Ubuntu 20.04
* RabbitMQ handler refactored to restart services in serial
* [CI] Add trove smoke test CI
* Fix kolla-ansible to work with pyenv-virtualenv
* CI: add missing --fail argument to curl
* Add override timeout for openstack exporter
* Add service specific custom haproxy config override
* Upgrade from Victoria
* ovn: Do not schedule SNAT routers on computes
* [CI] Set 0 swap size
* Remove a CentOS IPv6 FIXME meant for Ussuri
* Add Python3 wallaby unit tests
* Update master for stable/victoria
* CI: Temporarily disable rabbitmq internal tls

11.0.0.0rc1
-----------

* Use TOX\_CONSTRAINTS\_FILE
* Update TOX\_CONSTRAINTS\_FILE
* docs: Improve multinode Docker registry setup
* kibana: Remove 6.x migration from upgrade
* Do not set 'always' tag where unnecessary
* Performance: Use import\_tasks in the main plays
* Update source to "." to export the octavia openrc
* CI: prometheus-efk: add tests/test-prometheus-efk.sh to files
* docs: add octavia auto-configuration
* Add support for GlusterFS NFS Manila backend
* follow up: Fix the centos8 default path error in the quickstart.rst document
* Fix the centos8 default path error in the quickstart.rst document
* Fix permission denied during Fernet key rotation
* Fix keystone-startup.sh - remove Fernet key age check
* docs: Add link back to Train CentOS 8 migration page
* Fix fernet cron path on Ubuntu/Debian
* Use a better process name for httpd subprocess
* Revert VMware deprecation
* docs: add info on adding and removing hosts
* fix a typo in global.yml
* Performance: optimize genconfig
* Add support for encrypting backend Neutron API Server
* Fix stop containers task in Swift rolling restart
* Apply bool filter to all enable\_prometheus\_\* variables
* remove redundant line and replace octavia user
* baremetal: Install iptables for Docker if enabled
* Fix haproxy bundle generation
* add octavia openrc file
* octavia: generate certificates automatically
* CI: enable designate in magnum CI job
* Allow overwrite of placement-api wsgi config
* Update ironic iPXE configuration
* horizon: stop using deprecated django.py
* Use Docker healthchecks for core services
* Coordinate haproxy and keepalived restarts
* Update release note for httpd keep alive
* Implement automatic deploy of octavia
* add releasenote for octavia configuration
* Control Neutron migrations
* Add healthchecks option to kolla\_docker
* Fix invalid mariadb log options
* Remove kolla-cli from cleanup-host script
* Bump the remained minimum Ansible version to 2.9
* [baremetal]: Use $releasever in docker-ce repo
* Add support for ACME http-01 challenge
* CI: enable TLS in single node upgrade jobs
* Add release note and upgrade docs for Ubuntu Focal 20.04
* Fix keystone-startup.sh
* Add support for encrypting Ironic API
* Bump minimum Ansible version to 2.9
* Fix common role when using external mariadb
* Reduce the use of SQLAlchemy connection pooling
* Add support for with\_frontend and with\_backend
* Change the default haproxy template to split variant
* Fix default mode in haproxy\_single\_service\_split
* Allow setting container\_proxy per service
* Allow to skip and unset sysctl vars
* Add support for changing sysctl.conf path
* replace internal with openstack\_interface
* Fix glance-tls-proxy logrotate and fluentd log permissions
* Add the missing doc/requirements into running-tests.rst
* Update py37 to py38 for running-tests.rst
* docs: add scaffolding for redirects
* CI: add magnum scenario, also covering octavia
* Support neutron\_sriov\_physnet\_mappings to support multiple devices
* bump py37 to py38 in tox.ini
* Support TLS encryption of RabbitMQ client-server traffic
* Change mariadb image to mariadb-server
* replace openstackclient with ansible module
* [CI] Ensure network is set for Zun
* Revert "Add support for encrypting Ironic API"
* [CI] Test Ironic Inspector API
* Fix test-ironic.sh not catching errors
* Stop install unnecessary packages when run tox -e releasenotes
* [CI] Support building source images with in-review changes
* Fix l-c testing for Ubuntu Focal (py38)
* [CI] Remove setup\_gate.sh symlink
* Set neutron-ovn-metadata-agent metadata\_workers to 2
* Make no\_proxy handling more robust
* Remove six from lower-constraints.txt
* Fix external mariadb documentation for database\_user
* Remove unused configuration for prometheus-openstack-exporter
* Add support for encrypting Ironic API
* Performance: use import\_tasks for register and bootstrap
* Performance: remove one include\_tasks in nova-cell
* Performance: replace unconditional include\_tasks with import\_tasks
* Fix bifrost deployment after removal of env-vars
* Drop support for /etc/modules
* add region name for tasks
* Disable arp\_responder option for LinuxBridge agent
* Fix fernet bootstrap and key distribution - follow up
* Drop option http-tunnel for neutron-server
* Drop python-path
* Make keep-alive timeout configurable
* remove useless files from destroy role
* replace os-tenant-name with os-project-name in openstackclient
* change the timezone precheck task's condition
* Add the missing hosts for vitrage
* Fix kolla-ansible not reflect environment changed
* [TrivialFix] Clean a recent comment
* Fix ansible-lint after upgrade to 4.3.1
* Update String type for Monasca ES template
* Delete the /var/log/kolla directory should use sudo
* remove obsolete configurations
* Add workaround for keystonemiddleware/neutron memcached issue
* Add cinder auth config to nova-cell nova.conf.j2
* Use iSCSI multipath for libvirt
* Fix ownership and permissions of admin-openrc.sh
* Standardize use and construction of endpoint URLs
* Fix tz handling for newly introduced services
* Skip broken ansible-lint
* Add support to use bifrost-deploy behind proxy
* Deprecate kolla\_internal\_address variable
* Add support for encrypting Nova API
* Deploy neutron-mlnx-agent and neutron-eswitchd containers
* Prevent overwriting existing Keystone Fernet keys
* Add Keep Alive Timeout for httpd
* CI: enable Ansible SSH pipelining
* Synchronize REST\_API\_REQUIRED\_SETTINGS with Horizon
* [doc] add ovn plugin into globals.yml file
* Revert "Fix post-deploy mode"
* Fix post-deploy mode
* ubuntu: move to 20.04 Focal
* Mount /etc/timezone based on host OS
* Add trove-guestagent.conf
* Fix Barbican client (Castellan) with TLS (part 2)
* CI: add kolla\_python\_version variable
* Enable glance role to copy extra configuration
* keystone: all distros are Python3 - use /usr/bin/python3
* Add missing mistral services log files
* Update TLS documentation
* Fix actions for Aodh and Swift
* Fix play hosts for ironic, monasca, neutron, nova
* Update conf for magnum
* Fix Masakari role missing deploy-containers
* linuxbridge: Fix name of securitygroup section
* CI: Add centos linuxbridge job
* CI: drop not used Xenial nodeset definitions
* Remove deprecated options in Trove
* Add timesync prechecks
* Performance: use a single config file for fluentd
* Performance: use a single config file for logrotate
* Performance: use import\_tasks for check-containers.yml
* Drop a no-longer-relevant note
* Drop RDP console variables
* prometheus-openstack-exporter config service filtering
* Move TLS documentation to its own page
* Remove Hyper-V integration
* [docker] Added a new flag to disable default iptables rules
* Improve Grafana DB bootstrap
* Set Kafka default replication factor
* fluentd: log to a file instead of stdout
* Revert "Remove the waiting for ironic-api to be accessible"
* add missing conditional for octavia
* Masakari: copy TLS certificates into containers
* Fix some CloudKitty API responses when behind SSL
* Update glance configuration file for backend
* Fix fluentd warnings caused by "type copy"
* Configure prometheus-openstack-exporter to use internal endpoints
* fix deploy freezer failed when kolla\_dev\_mod enabled
* Update trove config file
* Make /dev/kvm permissions handling more robust
* CI: Add CentOS KVM job
* CI: Update ceph-ansible to v5 - deploy Ceph Octopus
* Use Confluent Kafka client in remaining Monasca services
* Logstash 6 support
* Add py38 package metadata
* Evaluate PASSWORDS\_FILE later
* [CI] Remove obsolete ceph configs
* CI: add prometheus-efk scenario
* Fix Barbican client (Castellan) with TLS
* Remove the ml2\_conf.ini merging for agents
* Remove the waiting for ironic-api to be accessible
* Load br\_netfilter module in nova-cell role
* Manage octavia health manager worker through openstack\_service worker
* Fix incorrect value of [storage]/ceph\_keyring in gnocchi.conf
* [doc] Add missing required packages
* Performance: Run common role in a separate play
* Performance: remove unnecessary conditions from includes
* Remove monasca log api upgrade task (planned)
* Use the children group for site.yml
* Remove policy file from nova-conductor config.json template
* Manila - adjust logic for Open vSwitch configuration generation
* Support editable virtualenv installation for development
* make barbican notification driver configurable
* Fix Fluentd date format for MariaDB xinetd
* Set a chunk size for Fluentd bulk log upload to Monasca
* Make ES Curator schedule multinode-friendly
* Syntax error in Fluentd Monasca output config
* Use public interface for Magnum client and trustee Keystone interface
* Add support for encrypting etcd service
* Fix the Elasticsearch Curator cron schedule run
* [docs] Update quickstart for Ussuri+
* Fix Zun configuration for TLS
* Fix unexpected message without globals.d
* Add support for the Neutron service plugin "trunk"
* Fix etcd protocol configuration
* Skip storm play when not enabled
* openvswitch: Use ansible\_hostname for system-id
* Verify TLS by default for Kibana to Elasticsearch
* Support CA certificate for fluentd & Elasticsearch
* Change neutron-ovs-agent deploy only with manila generic backend
* Use internalURL endpoint\_type for all clients used by Magnum
* Fix Magnum trust operations in multi-region clouds
* Enable ZooKeeper when Storm is enabled
* Remove mox3 from lower-constraints.txt
* nova-cell role clone failed
* octavia: Add documentation
* Remove the neutron-fwaas roles since it retired
* Remove the congress roles since it has been retired
* Remove mongodb integration
* Adding support for multiple globals files
* Add support of octavia dev mod
* Revert rename of Monasca API config file
* CI: use venv only (and not virtualenv)
* CI: Make ARA rsync quiet
* Clean up the unnecessary "" for include\_tasks
* Switch octavia to use service project in service\_auth
* Replace internal and external VIP CA with root CA
* Generate Root CA for Self-Signed Certificates
* Remove max count from Cinder online schema migration
* Remove mongodb supported for panko backend
* Fix prometheus-elasticsearch-exporter flags
* Remove chrony package if containerized chrony is enabled
* Fix Grafana datasource update
* Fix issues with Prometheus config generation
* fix deploy nova failed when use kolla\_dev\_mod
* Remove nova-consoleauth task in U cycle
* CI: Add Ubuntu KVM job
* CI: Move NFV reqs installation to where it belongs
* Fix group\_vars and cinder template per documentation
* Support custom elasticsearch configuration files
* Support customizing skydive.conf file
* Remove the unnecessary task for octavia
* Remove XenAPI integration
* Add 'ovn' to list of valid values of neutron\_plugin\_agent
* Fix handler notification for mariadb-clustercheck
* permission denied when enable\_kolla\_dev\_mod
* Switch to newer openstackdocstheme and reno versions
* Add missing become to some VMWare tasks
* Fix bug in deploying monasca\_agent\_forwarder
* Fix STATIC\_ROOT for Debian, Ubuntu
* barbican: Use python3 plugin in uwsgi config
* Remove swift sanity check
* Stop to use the \_\_future\_\_ module
* Use api\_interface as migration\_interface default value
* CI: drop pre-ussuri upgrade support
* Add EL8 packages
* Set previous release to Ussuri
* Victoria: Add releasenote for remove congress role
* Do not ask for a SSH key password
* Fix glance backend TLS configuration task
* Safeguard kolla\_source\_version
* Remove confusing docs
* Make openstack\_release more obvious
* Switch to Monasca API for logs
* Remove post\_config from the Kibana role
* Add Python3 victoria unit tests
* Update master for stable/ussuri
* Improve error reporting in password utilities
* Add First login steps back into Kibana doc
* enable prometheus-openstack-exporter to use ca cert
* [Community goal] Update the contributor guide
* Custom haproxy script for monitoring galera

10.0.0.0rc1
-----------

* Add ussuri prelude to release notes
* Fix pygments style
* Fix kolla\_address in IPv6 fully-routed topo case
* Tidy up release notes for Ussuri
* Modify api-paste.ini v1 to v2 for cyborg
* Fix some error of j2 syntax
* CI: Add ansible-lint to tox
* Enable W503 for flake8 check
* fix can not generate ovs-dpdk.conf
* make murano work with endpoints with non-public CA
* Improve fernet\_token\_expiry precheck
* Fix deprecation warnings in fluentd
* Configure RabbitMQ user tags in nova-cell role
* Fix registration of Monasca Grafana datasource
* Fix Heat WSGI Logging
* dpdk-vswitchd: some ovs tools require ovs daemons pidfiles
* Fix Keystone Centos 8 mod\_ssl
* Fix file extension in MariaDB backup docs
* Add support for encrypting Barbican API
* Fix hacking min version to 3.0.1
* Ansible lint related fixes
* CI: Blacklist Ansible 2.9.8
* Add extras directory to prometheus config
* Support customizing prometheus.cfg files
* Add extend\_lists option to merge\_yaml
* Stop mocking ansible modules globally
* Fixes Gnocchi & external Ceph integration
* multipath requires udev-rules in host
* Make nova perms consistent between applications
* Add release note for CloudKitty configuration fixes
* Use FQDN to communicate with Kibana and Elasticsearch
* Use FQDN for elasticsearch
* OVN IPv6
* Add support for encrypting Horizon and Placement API
* Add support for encrypting Glance api
* Zun: Add zun-cni-daemon to compute node
* Adapt to Octavia Certificate Configuration Guide
* Fix telegraf invalid TOML syntax
* CI: Fix Debian aarch64 jobs
* ironic: handle Swift object storage
* Make sure octavia uses internal endpoint to barbican
* Check that used Ansible can see Kolla Ansible
* Deprecate rabbitmq\_hipe\_compile
* [octavia] Adds region\_name if enable\_barbican
* Fix haproxy restarting twice per Ansible run
* Remove redundant listen on haproxy handler
* CI: Discern between Ironic client and grep failure
* Cleanup py27 support
* [skydive] fix: Use Keystone backend to authenticate API users
* Add docs and release note for CentOS 8
* CI: Make bashate happy
* Add support for encrypting heat api
* Removing a extra word in Central Logging docs
* Fix that cyborg agent failed to start privsep daemon
* Drop handling of 'easy\_install'
* Improve CI ansible plays to pass ansible-lint
* Avoid multiple haproxy restarts after reconfiguration
* Manage nova scheduler workers count
* Fix cyborg api failed to load api-paste.ini file
* Remove support for Python 2 on the host
* Update Advanced Config guide to clarify paths
* Fix that cyborg conductor failed to communicate with placement
* CI: add Debian source upgrade job on AArch64
* Add vitrage-persistor service
* Remove unused rgw\_port ceph variable
* Remove octavia user from admin project
* OVN: Followup changes
* CI: Set post timeout to half hour
* Ansible lint: lines longer than 160 chars
* Fix nova cell message queue URL with separate notification queue
* Add support for encrypting cinder api
* CI: do not build images on aarch64
* [horizon] Move 'balance' HAProxy keyword
* Fix Octavia CA cert paths
* nova: Add debug logging to libvirtd.conf
* Support Neutron policy file in both .json and .yaml format
* Fix nova compute addition with limit
* [haproxy-config] Fix missing servers in split cfg
* Refactor copy certificates task
* Fix service\_mapped\_to\_host filter for common services
* Fix Designate not to use etcd coordination backend
* CI: Test ironic on nova-cell change
* Allow operators to use "ceilometer-upgrade" parameters
* CI: tell Nova which CPU to emulate on AArch64
* CI: do 12 attempts to connect to test instance
* Ignore .vscode/ in Git
* Set mistral to use internalURL in admin-openrc.sh
* Add cafile for ironic-neutron-agent
* Introduce /etc/timezone to Debian/Ubuntu containers
* Fix live migration to use migration int. address
* Add support for encrypting backend Keystone HAProxy traffic
* OVN Support
* Fix monasca deployment due to monasca\_log\_dir
* Fix kibana deployment with openstack\_cacert unset
* Remove support for CentOS 7
* Perform host configuration during upgrade
* [elasticsearch] Add migration for Kibana 6.x index
* [elasticsearch] Update config for 6.x
* manila share container name variable
* Update hacking for Python3
* CI: Avoid tox (and clean up gate setup)
* Remove default(omit) from openstack\_cacert in templates
* Use unittest.mock instead of PyPI mock
* Separate per-service host configuration tasks
* Avoid unconditional fact gathering
* Fix ovs fw driver for the other ovs agent
* CI: Always use upper-constraints
* Support setting Kafka storage volume
* Be less confusing about custom Docker registry
* Add feature to support managing dynamic pollsters
* keystone roles container name variable
* kolla-toolbox container name variable
* Add clients ca\_file in heat
* Add glance\_ca\_certificates\_file when using self sign cert in glance
* Fix HAProxy prechecks during scale-out with limit
* mariadb container name variable
* Fix kolla-ansible stop with heterogeneous hosts
* cirros: upgrade to 0.5.1
* Support disabling Prometheus server
* Fix service\_mapped\_to\_host filter
* Do not enforce vxlan in init-runonce
* CI: Add instance console log to test-core-openstack.sh
* CI: add Debian/source upgrade job
* CI: Enable fluentd in MariaDB jobs
* Fix deployment of fluentd without any enabled OpenStack services
* Make Fluentd config folders readable
* CI: Bump up ceph-ansible to 4.0.16
* CI: Change ceph-ansible docker tag to latest-nautilus
* CI: install tox
* Fix native openvswitch firewall driver in neutron-openvswitch-agent
* CentOS 8: Use master image tag by default
* CI: Ignore neutron-server CRITICAL about WSREP
* Use proper es schema in fluentd when use internal tls
* CI: CentOS 8: Enable Masakari job and periodics
* Fix telegraf with zookeeper (wrong port variable reference)
* Copy ca certificates also to horizon container
* Host OS prechecks follow up
* support ipv6 for grafana.ini.j2
* Use macro to avoid repetition
* Check supported host OS distributions in prechecks
* Fix HAProxy monitor VIP precheck
* CI: CentOS 8: Enable Ceph Ansible upgrade check job
* Add notify restart container when cert changed
* Delete stale fluent config on restart
* Fix elasticsearch configuration in ipv6 environments
* CI: Add CentOS 8 upgrade to gate
* CI: Enable CentOS 8 bifrost job
* zun: load container driver from entry point
* Remove enable\_cadf\_notifications variable
* zuul: drop all CentOS 7 jobs
* Deprecate neutron-fwaas support
* Add deprecation note to nova-hyperv role
* Fix renos
* Add deprecation notes to vmware/xenserver/hyperv guides
* CI: Use network mode = host for builds
* CentOS 8: CI: Add upgrade job
* CI: Add Ceph groups back to inventory
* service-rabbitmq: do not log password (use no\_log)
* Configurable logrotate rotation interval and count
* Use "name:" instead of "role:" for \*\_role modules
* CI: Fix cinder smoke test
* CI: Debug init-runonce
* [ussuri][goal] More cleanup for python 2.7 drop
* Add Ansible group check to prechecks
* CI: Add doc8 linting of release notes
* CI: CentOS 8: Enable TLS on core scenario
* CI: Test floating ip allocation and connectivity to the instance
* Add /run/netns bindmount to Neutron containers
* CI: Add addressing on external network
* Construct service REST API urls using configured protocol
* Fix neutron-metadata-agent to use provided CA for Nova metadata
* Fix client TLS in neutron-metadata-agent
* CI: Fix TLS upgrade test
* CI: Use upper constraints when installing clients
* Add missing release note for Glance multi store move
* Allow to override external network params in init-runonce
* Construct service configuration urls using kolla\_internal\_fqdn
* Remove useless neutron-linuxbridge-agent env vars
* Bifrost: Stop stopping RabbitMQ
* [baremetal] Drop useless reboot task
* CI: sync inventory with multinode
* Fix invalid JSON body in Elasticsearch API requests
* CI: Remove useless pre task
* CI: Replace dummy interface (fake for neutron external) with VXLAN
* Stop using deprecated stores and default\_store in glance
* CI: Fine tune Galera gmcast.peer\_timeout to 15 seconds
* Revert "Upgrade virtualenv in pre"
* CI: Remove dbus from bindep and playbooks
* Update docs to say that external Ceph required
* CI: Add linuxbridge jobs
* CI: Refactor VXLAN overlay setup
* Fix reno paths of three recent renos related to deprecations
* Deprecate Hyper-V integrations
* Change /run bind mount for neutron/openvswitch
* [gnocchi] Disable statsd daemon by default
* Deprecate XenAPI integrations
* Deprecate VMware integrations
* Clean up some kolla-kubernetes cruft in OVS
* Introduce influxdb\_datadir\_volume
* Allow setting additional galera WSREP options
* Deprecate deployment of MongoDB
* Fix RabbitMQ hostname address resolution precheck
* CI: Add CentOS 8 ceph-ansible job
* Fix Cinder Backup access to kernel modules (iscsi\_tcp issue)
* Follow up on Ansible version checking
* CI: Remove ceph-base and remove file check from ceph-ansible-base
* Fix swift entries in group\_vars/globals.yml
* CI: Generate ARA HTML
* Fix Prometheus mysqld exporter pointing to VIP address
* Upgrade virtualenv in pre
* Use more permissive regex to remove the offending 127.0.1.1
* Docs: Document EXTRA\_OPTS
* Use internal API for masakari-monitor
* Remove kolla-ceph
* Ironic: fix documentation again
* External Ceph: Fix hardcoded gnocchi keyring
* CI: Fix deploy guide jobs
* CI: Ignore zuul.d
* Ironic: fix documentation
* Docs: fix cells upgrade guide
* Add --clean to kolla-mergepwd
* Docs: show other versions
* Use InfluxDB default [http]/max-row-limit setting
* Swift: remove meta field from rsync command
* CI: Use auto-detected python interpreter except on CentOS 7
* CentOS 8: Add deploy jobs in CI
* CI: Replace cinder-lvm scenario with zun scenario
* Ceph-Ansible upgrade jobs
* Disable Fluentd Monasca plugin retry limit
* Enable buffering to file for Monasca logs
* Fixes gnocchi-api script name for Ubuntu/Debian
* Fix keystone fernet bootstrap
* Followup on MariaDB handling fixes
* Fix qemu loading of ceph.conf (permission error)
* Remove unused python path calculation from vmtp
* Python 3: Use distro\_python\_version for monasca agent CA file
* Python 3: Use distro\_python\_version for WSGI python\_path
* Python 3: Use distro\_python\_version for dev mode
* CI: build swift images for swift scenario
* doc: external Ceph - add manila ceph caps note
* doc: fix bullets in external\_ceph.rst
* External Ceph: add ceph\_\*\_user variables
* Use listen port for Placement precheck
* CI: Add TLS tests
* Generate self signed TLS certificates
* Use kolla\_toolbox to execute REST methods
* Copy CA into containers
* CentOS 8: Deploy CentOS 8 containers
* CI: Reduce unnecessary gate image builds
* CI: Refactor base jobs
* Adds Docker image pruning command
* Rename main.yaml to main.yml in modules-load role
* Use include\_tasks in the storm role
* CI: Add Ceph-Ansible jobs
* Add serial to haproxy in site.yml
* doc: move to train in quickstart
* Update link to Gnocchi website
* CI: Add timestamps to Docker container logs
* External Ceph: keys as variables
* Ansible lint: disable some checks
* Ansible lint: Variables should have spaces before and after
* Fix multiple issues with MariaDB handling
* Enable Glance to use Cinder iSCSI backend
* Start using docker\_image\_info
* External Ceph: copy also cinder keyring to nova services
* Ansible lint: task names - horizon
* Configure services to use Certificate Authority
* Fix fernet-node-sync error catching
* Ansible lint: use command module instead of shell
* Ansible lint: version constraints for pip and docker
* Ansible lint: set -o pipefail when shell pipes used
* Ansible lint: task names
* Ansible lint: whitespace
* Ansible lint: remove comparison with true or false
* Fix Zun Docker runtime selection
* Use distro\_python\_version in fernet-node-sync
* Use kolla\_logs volume for Elasticsearch
* CentOS 8: Support variable image tag suffix
* Remove unnecessary group\_by for openstack\_release
* Stop gzipping logs in get-logs.sh
* Adds maximum supported version check for Ansible
* Configure Cinder to use lioadm on CentOS/RHEL 8
* Change Manila cephfs driver
* remove unused designate\_pool\_manager\_database\_password
* CentOS 7 IPv6 doc changes
* CentOS 8 migration spec
* Fix duplicated words issue like "are are out of"
* Docs: add new rules regarding release notes usage
* Fix MariaDB galera IPv6 deployment on CentOS 7
* Fix /etc/kolla to node\_config\_directory
* Adds monasca-ui to horizon
* Generate HAProxy configuration for all enabled servvices
* Docs: remove some bad recommendations
* Add AArch64 CI job
* Fix unable to connect to epmd when deploy rabbitmq by train with ipv6
* Update section names in cloudkitty config
* External Ceph: template cinder backend config when cinder\_backend\_ceph
* Allow ironic\_ipxe to serve instance images
* Get rid of Python 2 support
* Drop python 2 support from action plugins
* CI: Use python3 for openstack clients
* Template custom HAProxy service configuration
* CI: Test Swift
* CI: Test Zun with Cinder LVM backend (iSCSI)
* Use local python interpreter for keystone cron generator
* CI: Use python 3 for local kolla-ansible execution
* Neutron: Added loading ip6\_tables kernel module
* Support deploying Elasticsearch Curator
* Fix fluentd parsing of WSGI logs
* Make fluentd-elasticsearch configuration more robust
* CI: Move ansible installation & configuration to Ansible
* Support python 3 in kolla-ansible script
* CI: Don't fail on expected critical log messages
* Default to etcd3gw driver for etcd-based coordination
* Improve Apache logging
* Add also\_notifies to Infoblox backend for Designate
* Added senlin-conductor and senlin-health-manager
* Fix Prometheus template generation
* Fix Swift with kernel 4.19 and later
* Support configuration of Docker client timeout
* Start README.rst with a better title
* [neutron] Adjust neighbour table thresholds
* Split out OVS/Linuxbridge agent configs from ml2\_conf.ini
* Add internal TLS variables to globals.yml
* Fix kolla\_ansible python module check
* CI: Refactor a lot
* Add python3-dev[el] to bindep.txt
* [Train] Fix Tacker config for the local Glance store
* Fix 'nova\_cephx\_raw\_key' is undefined
* Remove endpoint\_type from neutron.conf [DEFAULT] group
* CI/Debian: Push images after building
* Use valid\_interfaces instead of os\_interface for placement
* Change local\_action to delegate\_to: localhost
* Allow region setting for ironic-neutron-agent
* Fix hard-coded admin project name and username in blazar task
* CI: Wait for Zun to delete the test container
* Fix missing environment variable for Qinling
* Fix deployment of Qinling
* CI: Switch to Ussuri jobs and drop py27 one
* Fix local\_action and line\_length>160 in common role
* Remove Neutron integration with ONOS
* Vitrage: typo in precheck task
* CI: Reconfigure deployment after checking health
* Remove OpenDaylight role
* Adjust the order of src and dest for template module
* Use internal API for heat -> keystone communication
* CI: Add more service list checks to OS "smoke testing"
* Attempt to pull image before stopping and removing container
* CI: Remove Stein upgrade support from CI
* Remove precheck for nova\_enable\_rolling\_upgrade
* Remove transitional support for neutron-lbaas removal
* Remove transitional support for influxdb in cloudkitty upgrade
* Remove enable\_xtrabackup variable
* Set previous release to Train
* Fixes the compatibility issue at HAProxy role with Ansible 2.9
* Add support for custom HAProxy service config
* CI: Ignore more file paths when considering ansible runs
* Update master for stable/train
* Start Docker after upgrade
* CI: Add mariadb test
* CI: use become to install python3
* CI: Remove playbook-setup-nodes.yml
* CI: Remove unused tests/ansible\_setup\_ceph\_disks.yml
* CI: Don't always build images for Debian
* Fix restart policy after MariaDB recovery
* CI: install Python 3 package
* Fix defaults filename of module-load role
* Fix indentation of HAProxy internal http-request config
* Fix keystone fernet rotation for source images
* Collect rabbitmq logs by fluentd
* Fix empty match while setting supported\_policy\_files
* Fix haproxy deploy for external mariadb cluster

9.0.0.0rc1
----------

* Use mariabackup for database backups
* Enable load balancing to Galera nodes in Donor state
* Allow nova to delete volume with cinder auth
* Fix playbooks for Ansible 2.9
* Workaround ironic inspector startup issue
* Parse MariaDB log messages in different formats into Fluentd
* Fail kolla-ansible early when not available in the PYTHONPATH
* Fix deploy-containers command for mariadb
* Disable cinder-backup in cinder-lvm scenario
* Fix nova scheduler down after first docker restart
* Allow passing arguments to RabbitMQ server
* Update swift templates to support swift\_extra\_ring\_files
* Fix kolla-bootstrap-servers with docker\_storage\_driver set
* Tidy up release notes for Train
* Add proper wsgi loglevel when openstack\_logging\_debug
* Fix swift.conf custom configuration path collision
* Bump Sphinx lower constraints to 1.8.0
* Default to disabling haproxy for memcached
* Zun: fix Cinder (volume) iSCSI support
* CI: run check-logs in post too
* Remove python clients from test-requirements.txt
* Docs: Add IPv6 control plane (address families)
* Typo fix in docs
* Swift: compute the list of containers dynamically in the reconfigure task
* Perform database migration in monasca upgrade
* Extract cephx keys from vault encrypted files
* Add prelude for Train release
* Limit open file descriptors for Neutron agent containers
* [train] Add required Tacker Conductor config and docs
* Add IPv6 control plane feature release note
* [train] Finish configuring Zun to use Placement
* Fix placement being enabled always instead of with nova
* Zun: add Cinder (volume) iSCSI support
* Add unit tests for Nova Cells filters
* Use versioned python binary with fetch ceph keyrings
* [nova][train] Remove deprecated RetryFilter
* Docs: add nova cells
* Do not disable IPv6 in Tempest
* Neutron: add support to use legacy iptables
* Add a spec for ceph-ansible
* Fix OpenSSL template
* Refactor NSS database var
* Support multiple nova cells
* Openvswitch: some ovs tools require ovs daemons pidfiles
* Fixes missing boolean for Neutron FWaaS
* CI: Increase timeout for upgrade jobs by 30 minutes
* Implement IPv6 support in the control plane
* CI: Increase job run attempts to 5
* Fix CI failures
* Fix Python3 compatibility for kolla-genpwd
* Fixes glance image cache deployment
* tox: Keeping going with docs
* Set RabbitMQ cluster\_partition\_handling to pause\_minority
* setup.cfg: Cleanup
* Do not install ntp package on host when not used
* Remove /etc/hosts entries pointing hostname to localhost and prevent cloud-init to manage /etc/hosts
* Change ceph\_client caps to use profile rbd
* Docs: improve Nova documentation
* CI: Use any\_errors\_fatal in pre.yml and run.yml
* Fix swift-proxy-server memcached configuration
* Add Debian/source CI job
* Horizon: fix for Debian
* Haproxy: fix haproxy\_cmd for Debian
* Copy Nova role as a basis for the Nova cell role
* Add service-rabbitmq role
* CI: Remove multinode non-ceph glance exception
* Update mention of Kayobe in documentation
* Fall back to regexes in kolla\_toolbox with Docker API 1.24
* [designate] Add coordination backend for designate workers
* Remove deprecated option 'ovsdb\_interface'
* Remove Nova legacy upgrade
* Add a job that \*only\* deploys updated containers
* Update Neutron reference docs
* Remove delegate\_to from service-ks-register tasks
* Fix deployment of Grafana
* Switch default cloudkitty storage backend to influxdb
* [prometheus] Added documentation for deployment and setting extra options
* Create and grant all keystone roles in service-ks-register
* Swift: add swift\_extra\_ring\_files variable to handle multi-policies deployment
* Ensure keepalived is restarted during upgrade
* Add <project>\_install\_type for all projects
* CI: Reinstate use of Docker registry mirror
* [prometheus] Added support for extra options
* CI: Fix check-logs.sh
* Remove some deprecated config options
* Add retries to keystone resource registration tasks
* CI: collect more system configs (name resolution)
* Fix Octavia to use keystone\_admin\_project variable
* Add support for libvirt+tls
* CI: Use VXLAN overlay network
* Fix for haproxy precheck failing on CentOS running non-root
* Update many invaild links for README
* CI: Configure the upgrade jobs from the current branch
* Remove support for OracleLinux
* Adding Prometheus blackbox exporter
* Update stackalytics link for README
* Refactor service, endpoint and user registration
* Update documentation on overriding config files
* Build pdf doc
* Catch errors and changes in kolla\_toolbox module
* Add custom filters for checking services
* Update "openstack\_release" variable to static brach name
* [designate] Fix admin api configuration
* [designate] Removed deprecated pool manager settings
* CI: Test accessing dashboard
* Fix enforced horizon redirect to https
* Fix prometheus-alertmanager cluster bug
* Sync enable flags in globals.yml
* Enable Swift Recon
* Update minimum version of Ansible to 2.6
* Ignore create\_cells and discover\_computes when nova-api is disabled
* Add DNS to subjectAltName in Self-Signed Certificate
* Delete influxdb admin port
* Fixes default volumes config for masakari-instancemonitor
* Configure Zun for Placement (Train+)
* Update python\_path for "source" install type
* Add [nova] section to ironic.conf
* Fix removed and deprecated options in ironic.conf
* Fix misspell word
* Modernize the way of configuring Docker daemon
* Improve admin-openrc
* Fix Nova cell search
* Add support to enable l3 port-forwarding plugin
* Remove Heat environment file disabling deprecated plugins
* [nova] Fix service catalog lookup of Neutron endpoint
* Use net\_default\_mac in ansible/roles/ironic/templates/ironic\_pxe\_uefi.default.j2
* Use secure websocket for nova serial console proxy when TLS enabled
* Set my\_ip in ironic.conf
* [octavia] Add region-specific catalog lookups
* Fix Zun Docker remote API host
* [blazar] Use database\_address as default DB addr
* Remove invalid reference to Placement API
* docs: ceph-ansible usage, add note around ceph keys
* Implement TLS encryption for internal endpoints
* Don't assume etcd group exists in baremetal role
* Use fluentd image labels
* Remove stale nova-consoleauth variables
* Add --force to ceph mgr dashboard enablement
* Add meta for some roles
* Fix import of horizon custom\_local\_settings on python3
* Fix HAProxy check for MariaDB
* Removes monasca\_grafana persistent volume
* Set default timeout to 60 seconds for docker stop
* Fix Zun connectivity to itself and Cinder
* Check for CRITICAL, WARNING and ERROR log messages in CI
* CI: Zun jobs
* Allow to configure docker for Zun
* Support configuration of trusted CA certificate file
* CI: Add docker inspect output to docker\_info logs
* TrivialFix: remove unused template var
* Standardize the configuration of "oslo\_messaging" section
* Use internal API for heat -> heat communication
* Add Masakari Ansible role
* Wait for MariaDB to be accessible via HAProxy
* Allow cinder coordination backend to be configured
* update horizon configuration for python3 migrating
* Add missing when condition for swift config files
* Testing Masakari role in gate
* Fix idempotency of fluentd customisations
* Add missing Octavia policy file to Horizon
* HAProxy backend connection limits
* Add support for Swift S3 API
* Fix swift log level configuration
* Configure Telegraf to monitor Docker containers
* Fixes Monasca log transformer UTC offset exception
* Set 'distro\_python\_version' variable
* Fix FWaaS service provider (v2, Stein issue)
* Support namespacing RabbitMQ logs
* Add support for using custom Logstash patterns
* Use default BGP speaker driver in bgp\_dragent.ini
* Add support for sha256 in ceph key distribution
* Stop using MountFlags=shared in Docker configuration
* Enable iscsid on cinder-backup hosts
* CI: Sanity check that nodepool.private\_ipv4 is assigned
* Remove support for Docker legacy packages
* Moves monasca-thresh java.io.tmpdir to existing docker volume
* Support mon and osd to be named with hostname
* Add Kafka input to telegraf config
* Do not require EPEL repo on RHEL-based target hosts
* ceph: fixes to deployment and upgrade
* Remove unnecessary option from group\_vars/all.yml
* Fix fluentd monasca pos path for Debian/Ubuntu x86\_64
* CI: Fix multinode job glance issues
* CI: fix checks for upgrade and multinode jobs
* Remove FWaaS v1 related options
* Do not recreate Blazar DB if using preconfigured
* [gnocchi] Don't recursively modify file perms on start
* Fix glance bootstrap with file backend
* Fix handling of docker restart policy
* Updated multi-region docs to include keepalived
* CI: clean up requirements installation
* CI: Test Zun and NFV scenarios also when modifying relevant tests
* Add ceph-mds/rgw/nfs to gate
* ceph-nfs: Add rpcbind to Ubuntu host bootstrap
* Note that kolla doesn't support ovsdpdk for RHEL-based distros
* Fix ironic inspector iPXE boot with UEFI
* Add Region and Multiples into default globals.yml
* Language tweaks in multi-region docs for clarity
* During deploy, always sync DB
* Fix glance with file backend
* Do not require valid migration\_interface for controllers
* Enhance merge\_\* action plugins to allow expected relative includes
* init-runonce: make public1 network optional
* Add 'allow \*' to getting ceph mds keyring
* Update designate-guide cli command for dns\_domain
* Internal OpenStack endpoints encryption spec
* Fix the incorrect backup\_driver configuration
* Trivial fix: log stderr of init-runonce as well
* Test minimum supported and latest versions of Ansible
* Fix nova deploy with Ansible<2.8
* Handle more return codes from nova-status upgrade check
* Add Python 3 Train unit tests
* Fixes for MariaDB bootstrap and recovery
* Add mon address to ceph release version check
* CI: Pull images before upgrade
* Deprecate Ceph deployment
* Add parameters to configure number of processes and threads of horizon
* Wait for all compute services before cell discovery
* CI: Test ironic also when nova role is modified
* CI: Collect docker and systemd configs
* CI: set the same gate queue for kolla and kolla-ansible
* Update the UPPER\_CONSTRAINTS\_FILE to releases.openstack.org
* Fix deploy guide build (missing kolla project reference)
* CI: Keep stderr in ansible logs
* Cloudkitty InfluxDB Storage backend via Kolla-ansible
* Add upgrade-bifrost command
* Add 'db=0' to redis\_connection\_string
* CI: Use template-overrides.j2 from kolla
* Add note to CI config regarding registry during upgrade
* Revert "CI - remove unnecessary logic when building images for upgrade"
* Bump minimum Ansible version to 2.5
* Specify endpoint when creating monasca user
* Exit on failure in init-runonce
* Remove nova [DEFAULT]firewall\_driver option
* Simplify handler conditionals
* CI: add periodic-stable-jobs Zuul project template
* Add extra volumes support for services that were not previously supported
* Add support for neutron custom dnsmasq.conf
* Restart all nova services after upgrade
* Fix conditionals in CI playbook
* Don't rotate keystone fernet keys during deploy
* Make nova external ceph key extraction tasks non-changing
* Remove \`\`hnas\_iscsi\`\` from the supported storage backends list of Cinder
* Add gnocchi extra volumes
* Designate - remove obsolete task
* CI - remove unused setup scripts
* Replace merge\_configs with merge\_yaml for merge mongodb.conf
* Enable InfluxDB TSI by default
* Implement Apache WSGI for Qinling
* CI - remove unnecessary logic when building images for upgrade
* Add missing docker\_registry\_insecure in globals.yml
* CI - remove unused required-projects
* Add some notes for users Migrating to Kolla Monasca
* Fix Qinling deployment and reconfigure
* Add logrotate configuration for horizon
* Fix default deployment of freezer, use mariadb
* Format internal Fluentd logs
* Fix the redis\_connection\_string for osprofiler and make it generic
* Don't drop unmatched Kolla service logs
* Increase log coverage for Monasca
* Ingest non-standard Monasca logs
* Make Ceph upgrade check Ceph release to avoid EPERM
* Make cron jobs generator command task in keystone non-changing
* doc: Start using openstackdoctheme's extlink extension
* Avoid parallel discover\_hosts (nova-related race condition)
* Fix mongo command for supporting other port
* Fix checking mongodb replication status
* Do not run Zuul kolla-ansible-base jobs when modifying globals.yml
* Comment out all variables in globals.yml
* Remove nova-consoleauth
* Do not create Keystone domain-specific config directory if useless
* Remove heat\_watch\_server\_url configuration option
* Fix placement log perms in config.json
* Add CI job for ironic
* Disable and remove OracleLinux CI jobs
* Fix mongo command for checking replication status
* Include cron\_generator script in coverage report
* Fix issue finding custom, host specific plugins
* Remove Neutron LBaaS support
* Add support for idempotent container stop and removal
* Add load monitoring plugin config for Monasca
* Supporting monitoring time synchronisation with Monasca
* Check for 'become' in tasks that use Docker in pep8
* Use become for all docker tasks
* Stop duplicating Nova cells
* Make bootstrap more idempotent
* Fix docs - do not mention the old, deprecated CLI clients
* Fix docs - simply run the script instead of sourcing it
* Update contributor guide
* Add blazar to fluentd aggregation
* [heat] Multi-region support for bootstrap
* Fix Blazar Nova aggregate in multi-region setup
* Hide logs when looping over passwords
* Support multi-region discovery of Nova cells
* Improve Qinling documentation
* [cloudkitty] Remove unused option from configuration file template
* Fix the deploy guide build failed
* runonce: do not set hw\_firmware\_type=uefi
* Spelling mistake in manila.conf.j2
* Test Ceph upgrade in CI
* Remove \`/%(tenant\_id)s\` suffix from v2.1 endpoints
* Adds Qinling Ansible role
* Remove unused [service\_credentials] config sections
* Fix monasca grafana organisation check
* Fix the document of external ceph for gnocchi
* Add support for elasticsearch TLS and authentication in fluentd
* Add deploy guide stuff to irrelevant file list of zuul
* Add a explanatory note for "placement\_api\_port"
* Fixes VMTP deploys
* Elevate privileges for copying gnocchi policy.json
* Update service\_provider for FWaaS v2
* Remove ceilometer transformers config
* Pin ARA to <1.0.0 and use stable setup interface to find callback plugin
* Remove obsolete roles middleware
* Set log message field name in Monasca Fluentd plugin
* Add support for ceilometer custom pipeline.yaml
* Make "Check if firewalld is installed" task quieter
* Add support for ceilometer custom event yaml
* Add ansible\_nodename (system hostname) to /etc/hosts
* Method to override the default ceilometer meters.yaml via Kolla-ansible
* Fix quickstart for virtual environments
* there is no easy\_install in Debian 'buster'
* prechecks: be nice, use print in Py3 way
* nova: Fix DBNotAllowed during compute startup
* Use'openstack\_region\_name' in cloudkitty collectors and fetchers
* Use 'openstack\_service\_workers' as the nb of Cloudkitty workers
* Fix keystone fernet key rotation scheduling
* Add unit test for keystone fernet cron generator
* Make kolla-ansible support extra volumes
* link kolla\_logs volume to docker\_runtime\_directory if docker\_runtime\_directory variable exists
* Configure region\_name in cloudkitty.conf
* Enable kolla-ansible to use a custom metrics files with Cloudkitty
* Tiny fix of quickstart guide
* Install a list of packages to speed up package installation
* Fix issues obtaining Keystone token with Monasca Grafana
* Ansible flush\_handlers ignores conditional clauses
* Update Python 3 test runtimes for Train
* Enable deflate when using tls for horizon
* Updated ansible uri module HEADERS\_ field
* Updating Jinja filters to conform to Ansible 2.5+
* fixed spelling of 'Bootstrapping' in tools/kolla-ansible
* Check if glance\_upgrading is defined before using it
* Add support for Ceilometer custom gnocchi\_resources.yaml
* Move to opendev
* Update the min version of tox
* Increase retries numbers of grafana check task
* OpenDev Migration Patch
* Provide support for neutron dev mode in kolla
* Set external web URL for Prometheus services
* Fix periodic CI jobs
* Don't install empty package name on old Ubuntu
* Remove RabbitMQ support from Bifrost
* Add become for prometheus-openstack-exporter tasks
* Fix ubuntu binary deploys
* Add non-voting binary deploy jobs
* Update quickstart instructions
* Don't use easy\_install on Ubuntu 18+
* Use ironic inspector 'dnsmasq' PXE filter by default
* Update Monasca docs to use enable\_openstack\_core flag
* Make monasca notification templates optional
* Do some Train TODOs
* Remove placement migration code
* Remove shutdown of MariaDB
* Set previous release to Stein
* Update master for stable/stein

8.0.0.0rc1
----------

* Use database\_address and database\_port var for mariadb check
* Change heat bootstrap to use internal API interface
* Check configuration file permissions in CI
* Fix up config file permissions on the host
* Use ipc\_mode: host for manila share
* Change action to kolla\_action
* Tidy up release notes for Stein release
* add version to OPENSTACK\_KEYSTONE\_URL
* Add support for ovsdb conversion
* Test upgrades in CI
* Removing '/certificates' entry in generate.yml as this causes an incorrect path when generating certificates
* Retry perform a synced flush task while upgrading elasticsearch
* update the event\_connection to connection for panko
* Remove recurse: yes for owner/perms on /etc/kolla
* Bump up timeout for ceph jobs
* Fix MariaDB 10.3 upgrade
* Fix booting instances after nova-compute upgrade
* Update openstack\_previous\_release\_name to rocky
* Add mising handlers for external Ceph
* Wait for cinder volume to become available in CI
* Fix neutron rolling upgrade
* Fix placement-api WSGI error
* Fix swift reconfigure
* Don't pull images during upgrade
* Run jobs on bionic instead of xenial
* Standardise Prometheus install type
* Use endpoint\_override for nova-compute-ironic
* Use service-specific \_install\_type variables in wsgi scripts
* Split placement from nova
* Fix action\_plugins python3 compatibility
* Add lower-constraints.txt to irrelevant-files
* Support separate Swift storage networks
* Update programming language mentioned in setup.cfg
* Add ceilometer\_ipmi container into ceilometer role
* ubuntu: update configuration Stein UCA
* Fix failure to mount cephfs
* Support the prometheus elasticsearch exporter
* Fix Neutron precheck to not fail with newer Docker
* cmd: Extract methods to allow import from external
* Fix kolla-docker possible undefined variable
* Edit ansible script for deploy kibana
* Fix bootstrap-servers on Ansible 2.6+
* Fix format file message field
* Support customising Fluentd formatting
* Add cyborg to kolla-ansible
* Fix tempest.conf permissions
* Remove redundant copying of Fluentd input files
* Added ability to skip enabled backends pre-check
* Allow horizon listening port to be different than reachable port
* Allow gnocchi services to use independent hostnames
* Allow aodh services to use independent hostnames
* Allow heat services to use independent hostnames
* Allow ironic services to use independent hostnames
* Allow swift proxy server to use independent hostnames
* Allow senlin services to use independent hostnames
* Allow octavia services to use independent hostnames
* Allow barbican services to use independent hostnames
* Allow designate services to use independent hostnames
* Allow cinder services to use independent hostnames
* Use keystone\_\*\_url var in all configs
* Deploy Sahara with unversioned endpoints
* Restart containers when ceph.conf changed
* Add cinder-lvm CI job
* Use new cinder target\_helper option
* Use become for Cinder LVM precheck
* Use prometheus tag for OpenStack exporter
* Update arguments for starting Prometheus exporters
* Update links in docs to latest
* Default to Prometheus tag for all Prometheus images
* Drop py35 jobs
* Add elasticsearch\_datadir\_volume
* Improve standalone ironic support
* fluentd: Configure td-agent only for x86\_64
* Add haproxy stats to gate logs
* Configure region\_name\_for\_services in heat.conf
* Fix location of hostdirs for Murano services
* Parse Monasca Log API timestamps correctly
* Make Kafka maintenance easier
* [Vitrage] Add Prometheus datasource configuration
* add python 3.7 unit test job
* designate: Correctly match hostnames
* Fix rabbitmq reconfigure, simplify role
* Fix MariaDB bootstrap issues on CentOS
* Automate Monasca documentation for configuring Kafka
* Karbor providers managed from deployment node
* Fix link to Manila Guide
* add debug option to  ceph mon or osd start command
* disable cinder-backup caused deploy failed
* Fix py35/py36 and k-a-ubuntu-source gate jobs
* Allow keystone services to use independent hostnames
* Allow neutron services to use independent hostnames
* Allow glance services to use independent hostnames
* Allow nova services to use independent hostnames
* haproxy: Support for external IPv6 (VIP)
* Option "scheduler\_default\_filters" from group "DEFAULT" is deprecated
* Optimize reconfigure action for iscsi
* Add missing dirs
* remove pep8 from lower-constraints.txt
* Set [pxe] tftp\_server in ironic.conf
* Add zookeeper info to README
* updating Designate docs with Infoblox configuration
* Link kolla\_log volume dir to /var/log/kolla
* add ulimit support for kolla\_docker
* Remove Vitrage Collector
* Add support for Infoblox in Designate role
* Fix missing transport\_url for ironic inspector
* oslo.config>=5.2.0 which is a dependency of kolla-ansible requires rfc3986>=1.2.0
* [prometheus] Support the prometheus openstack exporter
* Nics for dpdk should be binded to proper dpdk driver
* Wait for volume attachment in CI before detach
* optimize qemu.conf
* repair ceph\_nfs container start failed
* Fix reconfigure of neutron ml2\_conf.ini
* Update tacker CLI to openstack CLI in cleanup-tacker
* Run Zun job on kuryr's changes
* kuryr: use internal neutron endpoint
* Correct two wrong words
* Add ceph docs note about rgw keystone integration
* Use kolla-ansible version to tag images
* Fix command connect to replica set primary
* Doc: Update Kolla Ceph document for mixed Ceph OSD deployment

8.0.0.0b1
---------

* Update the remain hacking version for lower-constraints
* Fix Telegraf configuration template
* Use <project>\_install\_type instead of kolla\_install\_type
* Cleanup glance-registry
* Add documentation for bootstrap-servers command
* Add customizable gnocchi volume
* Add Kolla Ceph filestore CI jobs
* Allow separate listen port in haproxy-config templates
* Fix bootstrap prometheus container location
* Update hacking version
* remove cinder v1 endpoint
* hinese quotes
* Fix Vitrage wrong configuration
* Add missing transport\_url config
* Add become for Octavia configuration tasks
* Allow custom horizon policy files for disabled openstack projects
* Add NFV orchestration services CI job
* Add become for Prometheus configuration tasks
* Use template for lower-constraints
* Test zun container creation in gates
* Support list of controller ip for the amphorae heartbeat receiver
* Add kolla-ansible to zuul job dependencies
* [Designate] Configure named to also listen on 'dns\_interface'
* Fix prometheus prechecks for haproxy and memcached
* Support Docker CE in bootstrap-servers
* Add support for Quobyte backend to Cinder and Nova
* Configure vitrage notification topic
* Find Monasca agent plugins locally
* Call Grafana APIs only once
* Create cells before starting nova services
* Make Rabbitmq config files overridable
* remove unused library
* Change xtrabackup to mariadb-backup for mariadb 10.3
* Add cache configuration for ceilometer project
* Add Prometheus as Vitrage datasource
* Fix fact gathering with --limit
* Scalability improvements for disabled services
* change the state value from installed to present
* Allow set tty for containers
* Fix glance configuration when using external ceph
* Change openstack-dev to openstack-discuss
* Option neutron\_plugin\_agent: "opendaylight" added
* Allow operators to customise Nova vendor info
* Add note to external ceph docs for pools/keyrings
* Fix section trustee of sahara.conf
* Factor out OpenStack release detection playbook
* Fix section keystone\_authtoken of sahara.conf
* Fix Karbor endpoints
* Set region\_id for karbor\_client
* Update the reference of External MariaDB
* Add ironic\_dnsmasq\_interface parameter to globals.yml
* Fix karbor upgrade
* Remove the memcache container restart
* Support stop specific containers
* Make the monasca support deploy separated
* Rework documentation into more specific folder
* Add new option to perform an on-demand backup of MariaDB
* Add YAML format into docs for policy file
* Remove the deprecate the Glance Registry
* Document glance service
* Add glance-cache support
* Load configfs kernel module for iscsid
* Add neutron metering role into kolla-ansible
* Add jmespath to requirements.txt
* Support Ironic Inspector dnsmasq PXE filter
* Fix fluentd input log parser for OpenDaylight
* Suppress log copy output in gates
* Fix "Error: Connection activation failed: Failed to find a compatible device for this connection"
* Add missing steps to Vagrant instructions
* Use correct variable for default certificate paths
* Set "no\_log" for "databases user and setting permissions" tasks
* Update the openstack\_release
* update gather\_facts to false for storm
* Use openstack command in CI
* Replacing the HTTP protocal with HTTPS
* add monitoring of zookeeper
* Freezer: Update freezer driver with elasticsearch
* Refactor tests/templates/globals.yml
* Add monitoring of redis
* Edit document for cinder guide
* Update docs for monasca-grafana
* Automatically configure Monasca Grafana datasource
* Collect StatsD metrics from Monasca services
* Add logs\_dir to kolla-ansible CI jobs
* Add Monasca quickstart guide
* Add action plugins and modules to coverage report
* Add cover job
* Deploy mistral-event-engine service
* Refactor CI testing scripts
* Support deploying storm worker and storm nimbus separately
* Remove deprecated compute groups
* Set ramdisk logs path for ironic inspector
* Remove stestr from requirements.txt
* Add python 3.6 unit test job
* Support merging nested yaml config
* Configure coordination in default for cinder when redis is enabled
* Disable ceph osd crush update on start in default
* Don't allocate pseudo-TTY when creating containers
* Ensure keystone endpoint is updatable
* Add support for deploying Monasca Grafana
* Support using external DBs in Monasca
* Add missing HAProxy port checks for Monasca
* Enable Kibana if Monasca enabled
* Add missing project name for Monasca
* Add documentation for Monasca standalone deployment
* Support external Keystone in Monasca
* Monasca specific config for Fluentd
* Add initial documentation for Monasca
* Support deploying the Monasca Agent
* Update min tox version to 2.0
* Make tunnel timeout for nova\_serialconsole\_proxy configurable
* Apply Swift rolling upgrade
* Apply Neutron rolling upgrade logic
* Add missing pid mode check for Prometheus
* Don't set recurse on config folders
* fix misspelling of "configuration"
* Add missing keystone\_authtoken section for vitrage
* fixed memcached is not restarted when config changed
* Allow the deployment group to be optional
* Add missing project\_name variables
* Use kibana instead of Kibana as project\_name
* Fix template src of kibana configuration file
* nova: add support for a dedicated migration network
* Fix keystone domains directory permissions
* Make custom kibana configuration files possible
* Allow custom mongodb configurations
* Make the reconfigure action works
* Fix the zun-wsproxy group missing in site.yml
* Add Zun scenario job for ubuntu
* Ignore doc build path
* Fernet cron path
* Use openstackclient instead of neutronclient
* Make the neutron container restart when it changed
* Optimize reconfiguration for multipathd
* fix misspelling of "configuration"
* Update the links to https
* Enable setting of ceilometer as a non-root user
* Add Aodh evaluation\_interval
* Add the missing Monasca's url
* Fix on setting enable\_openvswitch
* Forward system logs to Monasca Log API
* Remove deprected notification\_topics option
* Constrain the size of Docker logs
* Load known, standard kernel modules from the host, not within containers
* Fix transport\_url vhost
* Generate Ceph configuration during upgrade
* Update log metrics config for Logstash downgrade
* Support using binary Logstash image
* Update Monasca Log Transformer config
* Update Monasca Log Persister config
* Increase maximum payload size for Monasca Log API
* Prevent Monasca Notification using YAML mode
* Support custom monasca-notification templates
* Don't quote {posargs} in tox.ini
* Disable InfluxDB reporting
* Fix bug in deploying ceilometer using dev mode
* Make the aodh support deploy separated
* Support Octavia custom policy
* Git checkout version support for several projects
* [nova] Fix missing blacklist permission
* Add Quobyte cinder backend spec
* Don't use 'become' in CI tests
* Fix non-root reconfiguration with ceph enabled
* Fix Cinder backup driver
* Add become for Cinder configuration tasks
* Fix haproxy server config for memcached backends
* openvswitch: always run handler to to ensure OVS bridges are up
* Use iptables as section header instead of firewall
* Remove '.. end' comments
* Improve registration of Monasca InfluxDB database
* Add region to Monasca Log API
* Support configuring Monasca Persister performance
* Add missing Monasca persister and notification dimensions
* Support deploying Monasca Persister
* Add some missing parameters for Monasca Notification
* Support deploying Monasca Notification engine
* Support deploying Monasca Thresh
* Support deploying an Apache Storm cluster
* Allow fluentd to read barbican-api.log
* Refactor haproxy config (split by service) V2.0
* Support deploying Monasca Log Metrics
* Support configuring Monasca log pipeline performance
* Improve scalability of Kafka
* Remove Kafka partitions config option
* Fix missing slash at mount volumes for prometheus-cadvisor
* Add swift as gnocchi storage option
* Fix POST\_FAILURE in CI when ARA DB doesn't exist
* Revert commit of fixing ceph gates
* Update rabbitmq to use new conf & clustering
* Fix aodh task name
* Provide support for freezer dev mode in kolla
* Move the ironic-check action into prechecks.yml
* Use alembic migrations to bootstrap Monasca database
* Increase CI job timeout to 2 hours
* Apply Nova rolling upgrade logic
* Add support Octavia network interface
* Update the inner-compute name
* Allow disabling keepalived for external LBs
* Fix the zookeeper group missing when run tests
* Rework ceph-guide bluestore/filestore sections
* Allow configure java params for ODL karaf
* Remove\_images in kolla\_docker module
* Make haproxy proxy to the right glance\_api backend
* Change the owner of the wsgi-zun.conf to zun
* Allow custom fluentd input configurations
* Fix the syntax issues of ovs-dpdk
* Create /volumes when using external ceph
* Remove compute hosts from etcd group
* Update reno for stable/rocky
* Add check.yml for prometheus and vitrage
* Run etcd on controller node only
* fix condition of kibana pull action
* Fix Copying 10-rest-connector.xml task
* Fix bluestore disk naming format in kolla-ansible

7.0.0.0rc1
----------

* Remove the unncessary register variable defined
* Remove usage of nova's RamFilter
* Provide support for nova dev mode in kolla
* add python 3.6 unit test job
* switch documentation job to new PTI
* import zuul job settings from project-config
* Fix redis sentinel change myid every time when it restarted
* Temporarily remove the rabbitmq clusterer plugin
* add trove policy file customization
* Explicitly specify endpoint type during Monasca registration
* Temporary ignore B303 in bandit tests
* Make source jobs voting and gating
* Include default\_docker\_volume\_type for magnum.conf
* Fix cloudkitty mispelling
* Fixes bind9 restarting when no designate\_forwarders\_addresses
* Support checkout dedicated version from git with dev mode
* Use lbproxy instead of lbagent in neutron when deploy Octavia
* Update usage of "|" to "is"
* fix sahara\_api is always restarting
* Monasca API uses new  config file name
* Remove keystone version in tacker.conf
* Fix kolla\_docker ansible-doc examples
* [prometheus] Allow custom alert rules to be configured
* [prometheus-alertmanager] use template/first\_found instead of merge\_yaml
* Clear all l3 related namespace before starting neutron-l3-agent only when l3\_ha is enable
* Add ResellerAdmin role for ceph-rgw
* Split zuul.yaml into multiple files
* Deprecate auth\_uri option
* Fix ironic inspector dnsmasq listening interface
* Allow 400 response when creating kibana ES index
* Update elasticsearch and kibana version to 5.x
* Add Cinder credentials to ironic.conf
* Added kolla\_inspector\_extra\_kernel\_options
* Disable the ntp service when bootstrap-servers
* Add elasticsearch port
* Remove the outdated note information
* Fix the name of the CI log for reconfigure
* Extract cinder\_iscsi\_helper default from role
* Stabilise Bifrost CI job
* Stop reporting changed in prechecks
* Enable rgw\_swift\_enforce\_content\_length
* fix aodh warning
* Improve ODL configuration
* Bump ansible\_version\_min to 2.4
* Fix ceph gates
* zun: set docker api version to 1.24
* Fix depends on kolla changes
* Fix ceilometer bootstrap
* Fix magnum api dimensions
* Allow object versioning for ceph-rgw
* Add enable\_monasca in global vars
* Remove when condition in roles/swift/tasks/deploy.yml
* Bump ansible\_version\_min to 2.4
* Use include\_tasks instead of include
* Fix etcd when Kuryr is disabled
* Update the help text of init-runonce
* Use fernet for barbican crypto key
* Update Ubuntu dependencies of VagrantUp in docs

7.0.0.0b3
---------

* Minor corrections in cinder-guide documentation
* Apply Resource Constraints to Services
* Fix monasca auth variable
* Fix action -> kolla\_action for ironic-neutron-agent
* Fix ceph role with ansible < 2.4
* Allow configuring a gateway for the inspection network
* Apply Resource Constraints to Openstack Services
* Use include\_tasks instead of include
* Save targetcli configuration to a volume for container upgrades
* Add check to ansible argument\_spec
* Improve ceph-rgw compatibility with Swift API in Kolla-ansible
* Add when condition to freezer role
* Fix prechecks for adding a new haproxy node
* Switch to stestr
* Update tacker CLI to openstack CLI in tacker demo
* Add networking-baremetal configuration
* Apply Resource-Constraints to all services
* Fix typo in nova rp\_filter sysctl
* [prometheus] Enable ceph mgr exporter
* Add safe shutdown systemd jobs to tools
* Support setting rp\_filter mode
* Disable TLS 1.1 on haproxy
* Allow externally managed swift as glance backend
* Fix monasca use of "action" -> "kolla\_action"
* Fix glance config copy when a service is disabled
* remove uid, gid from rsyncd.conf for swift user
* Add support for onos
* Apply Ironic rolling upgrade logic
* Allow disabling nova-ssh
* Allow passing forks to kolla-ansible script
* Enable chrony container by default
* Add resource Constraints to Nova containers
* Support deploying Monasca Log Persister
* Extending designate named template to include "forwarders" parameter
* [prometheus] Initial implementation of prometheus-alertmanager
* Keep timestamp field
* Bifrost: set TFTP cache master path properly
* Trigger bifrost CI job on changes and periodically
* Fix sudoers in bootstrap-servers when user != group
* Make sudoers config optional in bootstrap-servers
* Append to kolla user groups in bootstrap-servers
* Fix ownership of virtualenv in bootstrap-servers
* update ansible command usage at user document
* Support deploying Monasca Log Transformer
* Update the min version for ansible
* Add enable\_ironic\_ipxe option to globals.yml
* Added delay\_auth\_decision config option for swift
* Fix missed notify for zun-wsproxy container
* Make nova nova\_instance\_datadir\_volume configurable
* Standardise Monasca Kafka variable name
* Upgrade identity v2 to identity v3 API
* Skydive: Update Keystone and Neutron configuration
* Update docker config docs for insecure registry
* Remove trusts\_delegated\_roles
* Add kuryr prechecks for zun
* Create and use keystone\_admin[project|user]
* Option for enable SSL verification on docker registry
* fixed destroy confirmation no properly evaluated
* Migrate ceph keyring creation to kolla\_ceph\_keyring module
* Only start tgtd when cinder\_iscsi\_helper=tgtadm
* Add zun-wsproxy into kolla-ansible
* Update using openstack section of quickstart
* Add the role enabled check for some projects
* Expire mysql binary logs out of the box
* Revert "Remove keystone\_authtoken section for aodh"
* Stop enabling the ironic's pxe\_ipmitool driver
* Fix the task about --limit does not perform
* dev mode: Add support for blazar
* Drop python-cinderclient usage
* Fix cinder volume issue with multipathd
* Add sudo package for bootstrap-servers
* dev mode: Add support for trove
* Provide support for cloudkitty dev mode in kolla
* Provide support for ceilometer dev mode in kolla
* Provide support for solum dev mode in kolla
* Provide support for manila dev mode in kolla
* config proxy settings inside glance\_api container
* fix freezer prechecks
* Enable yamllint strict mode
* Fix pre-commit-hook can't work
* Use full path for globals.yml
* Add missing \`enable\_horizon\_fwaas\` variable
* Doc: update ceph-guide in kolla-ansible
* Allow nova to use cephfs cinder volumes without nova cephfs backend
* Make Swift log\_level changeable
* Enable neutron vpnaas dashboard dynamically
* Add possibility to increase Murano agent timeout
* Optimse the external ceph configure action
* Allow Kolla Ceph to deploy bluestore OSDs in Kolla-ansible
* dev mode: Add support for designate
* Add endpoint\_type for vitrage
* Add a job for testing deployment of bifrost
* dev mode: Add support for Watcher
* dev mode: Add support for vitrage
* Supporting configuring Monasca Kafka topics
* Enable ceph dashboard by default
* dev mode: Add support for congress
* dev mode: Add support for cinder
* Remove ceilometer collector for cloudkitty-processor
* Document kolla-ansible stop command
* Added dependency package for kolla-ansible deploy
* fix tox python3 overrides
* Fix copy external ceph files from custome/gnocchi in gnocchi
* Support check and diff mode for merge\_config and merge\_yaml module
* Add driver into oslo\_messaging\_notifications section
* Make neutron vpnaas dashboard configurable
* Correct path to use for development
* Fix the /etc/kolla copy path
* Fix typo in docs
* Add NUMBER\_OF\_MONITOR\_NODES for bootstrap
* Fix the MongoDB description
* Add the missing group for kolla-cli
* fix ansible warning about blazar
* Delete the unused openrc-example
* Remove unnecessary period for operating-kolla.rst
* Fix enabled state for some prometheus services
* Set up the kolla-cli and inventory for the vagrant dev environment
* update sahara.conf file for kolla
* Specify 'become' for all tasks that use kolla\_docker module
* Remove openstackdocstheme from test-requirements.txt file
* dev mode: Add support for sahara
* Avoid removing kolla-cli directories on destroy
* Fix the pep8 warning
* Update the description for Heat
* remove unused template file in baremetal role
* Fix usage of openstack\_ceph\_rgw\_auth

7.0.0.0b2
---------

* Add support for Ceilometer custom polling.yaml
* fix sahara service-type
* Document the China registry mirror
* Fix the ceph warning after upgrade to luminous
* Make it possible to override chrony bindaddress
* Rename wrong ovsdpdk precheck file
* dev mode: Add support for ironic
* Add support for NSXV3
* Rabbitmq bootstrap enhancement
* Use its own host gruop for ceilometer
* osprofiler support redis
* Add custom option for docker
* Add freezer-scheduler hosts into site.yml
* Put upper limit on cmd2 in kolla-toolbox
* Mariadb bootstrap\_cluster enhancement
* check cron container error
* Add cAdvisor for Prometheus monitoring
* Remove keystone\_authtoken section for aodh
* To avoid creating empty volume for heat
* Add support for enabling ipxe boot with ironic
* Remove duplicated content
* [prometheus] Add memcached\_exporter
* Adds parameter to configure HAProxy defaults balance
* fix a typo
* Fix Nova authentication in Cinder configuration file
* [kibana] enforce index creation for ELK > 5 (debian)
* Cinder fails to run because snapshots are not compatible with secure NAS
* Remove keystone\_authtoken section for vitrage
* Updated genpwd to work with python35
* fix blazar error in deployment
* [elasticsearch] Change ES\_HEAP\_SIZE  to ES\_JAVA\_OPTS
* Support deploying the Monasca Log API
* Following the new PTI for document build
* Support deploying the Monasca API
* Adding ironic\_dnsmasq\_boot\_file parameter to globals.yml
* horizon: allow to configure by custom\_local\_settings.j2
* Remove the unnecessary register.yml for upgrade
* Optimise the tag for common role
* Use multipathd hostgroup in the multipathd role
* nova: make libvirt port configurable and check if the port is free
* dev mode: Add support for barbican
* Fix missed kolla\_action for murano
* Fix Grafana config for extra conf
* Fix missed kolla\_action and kolla\_serial
* Optimize reconfiguration for murano
* Compatible with ubuntu 18.04
* Update the deprecated vnc options
* Fix the freezer-scheduler start failed
* Delete the null notify
* Fix the permissions of mgr and mds keyring
* Update the freezer services link
* Update the supermark for Kolla-ansible link
* Remove keystone\_authtoken section for ceilometer
* Remove old upgrade task from Ceilometer
* Fix create Magnum trustee user role failed
* dev mode: Add support for mistral
* ovs-dpdkctl.sh syntax error
*  optimize the freezer tag
* Fix default value logic of 'glance\_backend\_file' variable
* [haproxy] Enable global optimization options
* Fix ansible warning
* Fix nova\_proxy\_admin\_tenant\_name typo
* Make generated private key files not world readable
* Apply Glance database migration
* Update "ceph -s" command output
* Make the workers configurable for gnocchi metricd
* List and map compute hosts by service instead of by compute node
* Update the cirros default password
* Reinstate testing of changes to requirements.txt
* Avoid running kolla source jobs for unnecessary  files
* Gate fix: Cap hacking to avoid gate failure
* Disable glance-registry
* Enforce removal of container network namespace
* Allow setting computes\_need\_external\_bridge
* Extra fix for removed module\_extra\_vars
* Make sure aodh/service\_credentials wotks with internalURL
* add the environment attribute to etcd deploy
* kolla-ansible fix to correct magnum k8s deployment
* Remove kubetoolbox image from common role
* Only copy custom fluentd filters when fluentd is enabled
* Remove "keystone\_token\_provider==uuid" from keystone.conf
* Fix "tox -e pep8" warning
* Remove uuid as keystone\_token\_provider
* Automatically add Prometheus as a Grafana datasource
* Update the Blazar link
* Config typo in external Ceph guide
* Remove ironic\_host\_manager usage
* Add endpoint type specifications to murano config
* Fix the ceph-mgr connect to cluster failed
* Restructure the vpnaas roles
* Add node state management to ironic guide
* Update the Ceph pgs value for tests
* Add cap NET\_ADMIN for ironic\_dnsmasq
* Make DNS resolvers configurable
* Ironic dnsmasq should not use VIP for TFTP server
* Update swift\_devices\_mount\_point propagation settings
* Update the Bugs link for triage
* Fix the prechecks action for prometheus\_server
* Add test for credentials set
* Correct the description for Ironic
* Increase timeout for kolla\_toolbox module
* Reduce the default values for Ceph pgs
* Fix the magnum description
* Fix the profile missing when run bootstrap.sh
* Fix rabbitmq-env.conf ownership in bifrost
* Trivial: Update pypi url to new url
* Fix etcd container check failed
* Update the database connection for keystone
* Avoid creating an empty volume
* Add owner and group when create directories
* Add precheck for haproxy certificate file
* Add congress-dashboard into Horizon
* Added support for kolla-cli development
* Add blazar-dashboard into Horizon
* Add role to deploy prometheus
* Update the Ironic documentation
* Fix version name in quickstart guide
* Fix SSL api for multiple services
* Fix Congress Service Type
* Update upgrade information in operating-kolla.rst
* dev mode: Add support for Zun
* Delete the unused policy file check
* dev mode: Add support for senlin
* Remove the duplicated condition check for iscsi
* Configure Infoblox as an IPAM driver for neutron
* Add support for deploying Kafka
* Add task to create volumes path in cephfs
* Add the manila-data service into manila guide
* Add the missing mds and mgr groups into site.yml
* Remove useless module\_extra\_vars in registry.yml
* Make dev mode available to glance-registry
* Simplify init-runonce boot command
* Custom configuration for grafana
* dev mode: Add support for aodh
* Do not create nova db user if database unchanged
* Update lower-constraints to match local requirements
* Add the Manila for external ceph guide
* Support extra ml2 plugins in neutron
* Remove the unnecessary "'"
* Fix mariadb recover seqnum regex
* Reset multipath.conf
* Correct the path of configure file
* Add the inventory when use ansible command
* Quickstart rewrite
* Use the pbr generated wsgi binary file located in binary folder
* Update the cirros to 0.4.0 for tempest
* Update doc with new option
* Add freezer-scheduler role
* Refresh nova cell cache in nova-scheduler process
* Deprecate os\_region\_name option
* When copying glance-swift.conf ensure mode and become used
* Support accessing InfluxDB via HAProxy
* Fix ipc\_mode comparison in the latest docker
* Followed the become: true ordering
* Improvement in code-base
* Escalate privileges when copy fluentd custom config
* Modify permissions on ceph file in manila
* Add Octavia Horizon plugin
* Introduce variable to allow different DVR modes
* [HAProxy] Allow extra options to be specified per listener
* [Horizon] Allow configuration of Keystone's URL
* Update listener config file entry
* fixing wrong designate producer image used in deploy
* Implement ARA sqlite databases over http feature
* Set glance to alphabetically in globals.yml
* Update ceph client.admin caps during upgrade
* Add common\_options to keystone container check
* Specification for additions for Prometheus monitoring
* Use a large number for haproxy timeout tunnel
* Verify external VIP set when TLS enabled
* Fix panko database creation
* Error path of WSGIScriptAlias of panko for ubuntu
* Make it possible to not haproxy memcached
* Use redis as gnocchi incoming storage and tooz backend when enabled
* Verify YAML syntax in gates
* Run database migrate for horizon during upgrade
* Designate: Fix neutron handler
* Use the pbr generated wsgi binary file located in binary folder
* XenAPI: Add guide document for XenServer
* Add cpu\_mode into deployment-philosophy.rst
* Use higher max memory for items in memcached
* Add support for deploying ZooKeeper
* fix typos in the documentation
* fix word in the documentation
* Fix the novnc valid options for all.yml
* add lower-constraints job
* Glance policy copy is not using correct name
* Configure application for ceph pool
* cloudkitty-processor service error when using ceilometer collector
* Fix wrong panko mysql connection string
* Remove the duplicate "become" for config-nova-fake.yml
* Have glance notifications work like the other projects
* Add documentation for Ansible become feature
* Swift configuration misses quotas to pass DefCore
* Support custom config for InfluxDB
* Use the pbr generated wsgi binary file located in binary folder
* Remove the duplicate dict key (become)
* Remove the duplicate when condition check
* Make the certificates role just run on deploy node
* XenAPI: use dom0's hostname for nova-compute
* Support custom\_config for trove-taskmanager/conductor
* Upgrade the rst convention of the User Guide
* Optimize reconfiguration for ironic
* Upgrade the rst convention of the Reference Guide [4]
* s/openstack\_version/openstack\_release/g
* Upgrade the rst convention of the Reference Guide [3]
* Upgrade the rst convention of the Reference Guide [2]
* Updated from global requirements
* Support parsing ini files with no sections
* Fix wrong register variable name in ceilometer
* New murano\_auth section in Murano config
* Updated from global requirements
* Security reinforce for apache server
* Updated from global requirements
* Specify 'become' for only necessary tasks (Queens roles)
* murano internal authentication needs /v3
* Specify 'become' for only neccesary tasks (all other roles)
* Updated from global requirements
* Skydive: Fix endpoint for keystone (analyser)
* Duplicated [oslo\_policy]
* Remove policy.json
* Use zuul firewall rules in gate
* Detect openstack\_release in kolla-ansible deploy-bifrost
* Revert "Revert "Use fernet in gates""
* Optimise the destroy role by script module
* Handle external ceph configs as templates
* Use www-data user for bifrost nginx log directory
* Updated from global requirements
* Fix telegraf output for influxdb
* Workaround for Bifrost being unable to write to /etc/hosts
* Don't set mysql\_service\_name for bifrost
* XenAPI: centralize the facts files
* Security memcached: disable UDP
* Fix disable haproxy causes the neutron service connection error
* Update reno for stable/queens

6.0.0.0rc1
----------

* Fix skydive agent openvswitch configuration
* keepalived: ability to use unicast instead of multicast
* Use kolla\_user variable to setting kolla user name
* Use Elasticsearch via HAProxy in Kibana
* Fix the warning when reload the docker
* Add the missing ceph\_mon host groups for Manila
* Use rpc\_transport\_url in blazar
* Replace kolla title with kolla-ansible
* Retry glance API sanity checks
* Use rpc\_transport\_url in vitrage.conf
* Fix fernet deploy on gate
* Revert "Use fernet in gates"
* Fix tacker vnffgd version
* Remove mariadb settings from freezer defaults/main.yml
* Support configuring grafana local admin username
* Fix murano authentication configuration options
* Use fernet in gates
* Add permission to notify dns server from worker
* Don't check api\_interface for 'deployment' group
* Use bash instead of sh when calling deploy-tacker-demo-sfc
* Deploy of keystone fails if api\_interface names differ
* Fix MySQL access denied error during upgrade
* Allow normal user to create functions during databas sync in glance
* Fix sed command within external mariadb doc
* Upgrade the rst convention of the Contributor Guide
* Modify grammatical error
* Missing configuration for Trove single tenant
* Fix Ceph and Swift precheck failure
* Fix cluster mode for skydive
* Use apt Ansible module instead of apt-get to update cache
* Catch an error when pool creation failed for ceph
* Add policy.yaml support for blazar role
* Update task about selinux set
* Make kollda\_docker works with new released python docker 3.0 package
* XenAPI: support ceilometer service
* Improve mariadb\_recovery
* Add the missing serial for roll upgrade
* Upgrade the rst convention of the Reference Guide [1]
* Let haproxy to be ODL websocket's frontend
* Add the missing BASE\_OS\_DISTRO
* Add gather\_facts to ovs roles
* Rework mariadb recovery tasks
* Add the ironic\_dnsmasq\_dhcp\_range prechecks for Ironic Dnsmasq
* Apply Cinder rolling upgrade
* Skydive: Fix endpoint for keystone
* Add the missing permission setting for external-ceph
* Optimize reconfiguration for mongodb
* Fix odl custom config
* Adding ironic\_dnsmasq\_dhcp\_range parameter to globals.yml
* Support policy.yaml file [part 2]
* Adding octavia required roles
* Support policy.yaml file [part 7]
* Zuul: Remove project name
* Upgrade the rst convention of the Admin Guide
* Add container state check in kolla\_docker

6.0.0.0b3
---------

* Support policy.yaml file [Final]
* Support policy.yaml file [part 6]
* XenAPI: fix two neutron configures
* XenAPI: support provider networks
* Make ceph-nfs configurable
* Add details about SRIOV enablement to the networking guide
* Add support for Neutron SRIOV agent container
* Fix retry mechanism
* Fix the ssl issue for placement api when enabled ssl
* Fixes ceph deploy gates
* Add cpu\_mode in vagrant/bootstrap.sh
* Disable jinja2 trim\_blocks feature
* Updated from global requirements
* ovs-dpdkctl.sh function list\_dpdk\_nics only grabs the first nic
* Implement external MariaDB and pre-configured Databases support
* Use a random keepalived router id in CI environment
* Fix haproxy with memcached enabled
* Update kolla\_internal\_vip\_address to kolla\_internal\_fqdn
* Replace Chinese punctuation with English punctuation
* Fixed misspelling in Kolla-ansible
* Fix broken link
* Restart manila-share after changed in the external-ceph
* Fix the Prechecks failed while checking docker version
* Add zun configuration about oslo.concurrency
* Support policy.yaml file [part 8]
* Support policy.yaml file [part 5]
* Support policy.yaml file [part 4]
* Support policy.yaml file [part 3]
* Only copy nfs\_shares to cinder-volume groups
* Fix tox -e docs failed
* Support virtualenv installation in baremetal role
* Add a active-standby mode memcached in haproxy
* Implement ceph-nfs service
* XenAPI: Support neutron configuration
* XenAPI: Support compute node bootstrap
* Fix the storage group missing for external ceph
* Move swift service conflicted check into precheck.yml
* Add CephFS backend in Manila
* Add the missing ceph\_mon host groups for gnocchi
* Remove the unnecessary var defined
* update cinder configurations in external-ceph-guide.rst
* Use local cirros image if available
* Add config necessary to use Barbican with Murano
* Updated from global requirements
* update sphinx-doc links
* Quickstart rewrite
* Add cinder\_enpoint\_type option in trove
* Update kolla\_internal\_fqdn to database\_address since it defined in all.yml
* Updated from global requirements
* Remove the unnecessary gather facts
* Add a precheck to ensure nscd is not running
* Remove the duplicated task for tests/post.yml
* Add os\_region\_name to Trove configuration files
* Update network\_label\_regex on trove templates
* add var haproxy\_client\_timeout and haproxy\_server\_timeout
* Check enable\_cinder before deploy iscsi and tgtd
* Remove the deprecated "giturl" option
* Use bool filter with enable\_ironic\_pxe\_uefi
* Implement ceph fs
* Add a configuration about docker runtime directory
* Homogenize the topics conf variable on templates
* FIX inject password error
* kibana: allow use of server.basePath
* Local connection to remote Grafana can fail
* Designate/Neutron communicaton failure
* Use WSGIApplicationGroup %{GLOBAL} in mod\_wsgi configuration
* We actually require 'mode http'
* dev mode: Add support for keystone
* Change the docker daemon name in Debian 9 on Arm
* Ensure docker running before execute the destroy action
* Enable vitrage dashboard
* Change debian mariadb backup tool to mariabackup
* Add v3 to tacker's keystone endpoints
* Support policy.yaml file for Aodh
* Fix ironic inspector public endpoint
* dev mode: Add support for magnum
* Fix kolla gates
* Implement blazar ansible role
* nova: set libvirt/cpu\_mode on aarch64 to working value
* We install 'ca certs' not 'ubuntu ca certs'
* fix the tempest failure for external ceph
* init-runonce: use UEFI on aarch64
* init-runonce: use Cirros 0.4.0 images (aarch64 support got added)
* Prevent cinder conf from copy nfs\_shares to unrelated nodes
* Create volumes for Bifrost's persistent data
* Mount kolla\_logs volume in bifrost\_deploy
* Ensure inspector uses internal ironic interface
* Add ironic inspector to fluentd log collection
* Update READEME
* mariadb: enable galera clustering by default
* Remove show\_image\_direct\_url for external ceph
* Enable multinode scenarios in zuulv3
* Fix the cinder backup action failed when use external ceph
* Remove show\_image\_direct\_url for ceph plugin
* Bump ODL release version
* Workaround for Bifrost being unable to write to /etc/hosts
* Deploy ceph mgr during upgrade
* Fix wrong ceph mgr keyring name during creating
* mariadb/galera: handle Debian as well
* Remove duplicate configuration options on trove templates
* Add the gnocchi\_backend\_storage configuration for external ceph docs
* dev mode: Add support for kuryr
* gitignore: Update path to vagrant environment dir
* change kuryr default driver option name
* Allow empty compute group when ironic is in use
* Add missing check.yml in redis role
* Updated from global requirements
* Fix dhcp\_agent configuration for vmware DVS
* nova: add an option for no console
* Add vitrage ansible role
* It has to tell user how to set the internet ip
* Remove the deprecated ceilometer-collector group
* Make fluentd enabled configurable
* Fix failure handling in prechecks
* Add the missing ceph-mgr for site.yml
* Add missing hostname to nodename in RabbitMQ for multinode deployment
* Add tempurl to swift pipeline
* Make qemu use nova user on all distros
* Increased mariadb and kibana timeouts
* missing permissions when running as non root
* skydive: add check task
* Add rsync env for account & container replicators
* Update the job title of checking if Murano packages exists
* Enable heat dashboard dynamically
* ironic-pxe: support pxe uefi mode
* Remove the unnecessary register.yml from upgrade.yml for Nova
* Implement ceph-mgr service
* Add the missing hosts group for designate project
* Implement designate-producer service
* Enable nfs driver volume snapshots by default
* Move Cinder backend passwords to passwords.yml
* Add note about overwriting policy.json file

6.0.0.0b2
---------

* XenAPI: support XenAPI in nova configuration
* Removed -e Docker flag in ovsdpdk task
* Optimize the tasks format for ovs-dpdk
* Fix deploy ceph failed when contoller hava no cluster\_interface
* Fix launch instance failed in trove
* Add note about checking if all the hostnames are resolvable
* Add content about cluster\_network interface
* add domain\_name for multi-regions
* RFC: disable haproxy http mode
* Updated from global requirements
* Use openstack\_service\_workers variable for gnocchi metricd workers
* Added ovs-dpdkctl.sh to setup.cfg
* Add horizon domain dropdown
* Add a missing conditional check to the common config task
* Set bash as shell when executing mariadb recovery task
* Update swift for replication issues
* Remove use\_neutron from sahara config
* Let OVS to connect to the individual IPs of each ODL node
* Don't change directory while running init-runonce
* Non-lvm iscsi backends should run iscsid on compute and storage nodes
* Support configuration of custom fluentd filters
* Do not check api\_interface for deployment group
* Add support for hybrid messaging backends
* Add a precheck to ensure Cinder backend enabled
* Update URL in documents of zun and kuryr
* Add dvr\_no\_external l3 dvr agent mode
* Change listen for mdns
* Configure glance ceph during upgrade and genconfig
* Update swift templates for rsync\_module
* Add missing hostnames to fluentd log messages
* Doc: update swift-guide in kolla-ansible
* Remove setting of version/release from releasenotes
* Updated from global requirements
* Fix the deprecated syntax in 01-rewrite.conf
* Pull image from dockerhub rather than tarballs.o.o site
* Implement Keystone zero-downtime upgrade
* Updated from global requirements
* Clean update endpoints task in keystone upgrade
* automate ovs datapath configuration
* Optimise the "openstack\_auth" for freezer
* User more accurate links
* Enable vwmware dns-integration
* Dont use local connection for kibana post config
* Add configurable rabbitmq monitoring user
* Fix iscsi and tgt containers deployment case
* fix shell error about tools/init-vpn
* Collect chrony metrics with telegraf
* Murano application should contact rabbitmq by external FQDN
* Use /bin/bash as executable in a task of the mariadb recovery play
* Allow object versioning by default
* Fix the incorrect container\_facts
* Add the full name of PBR in its first usage
* Fix ansible running issue on Debian
* Add support for custom telegraf configuration
* Restart services after a change in the external ceph configuration
* fix kolla giturl
* Update the service\_token\_roles\_required to True for watcher
* Remove the ceilometer api and move bootstrap into notification
* add official default cpu allocation ratio
* Specify 'become' for only necessary tasks (default roles)
* Add become for fluentd create config directory task
* Zuul: add file extension to playbook path
* Disable glance file backend with external Ceph
* Fix the incorrect comment
* HyperV should not disable tunneling
* Revert "Omit outward\_rabbitmq from check for upgrade"
* Remove deprecated version dependencies in quickstart
* Remove trailing whitespaces
* Fixing missing copy of iscsi container config files
* Remove the unnecessary horizon\_auth
* Revert "Remove show\_multiple\_locations in glance-api"
* Remove test variable for service\_name in panko.conf file
* Optimize zuul v3 jobs
* Telegraf should only output to influxdb when influxdb is enabled
* Extract log level from syslog
* Use internal\_protocol variable to replace http
* Add the api works num for watcher
* Remove check flat network type task in ironic pre-check.yml
* Import the Murano applications libary as part of setup
* Add description for different interfaces
* Move to zuul v3 in project jobs
* Update the manila shares link
* Associate text to link
* Add ovs flows to skydive
* Add the missing dnsmasq for ironic
* Add support for --skip-tags argument
* Fixed the Build Container Images link in Quick Start
* Using folder rather than file when map files into container
* Standardise log field naming
* Use root as the default node config user
* Gnocchi not covered by external Ceph
* post-deploy: honour --config-dir argument
* Allow outward\_rabbitmq with enable\_outward\_rabbitmq
* Quickstart guide updated for better users experience
* Use internal interface to connect with keystone\_ssh
* Move vmware password parameters to passwords.yml
* Add placement section to neutron.conf
* Remove discard configuration
* Add nova-compute-ironic to fluentd rewrite rules
* Allow use of external ceph as cinder backup backend
* Add OS\_AUTH\_URL to admin-openrc
* Update container\_proxy with configurable proxy settings
* Add Barbican section in Nova and Cinder to use disk encryption
* Fix deployment with public TLS enabled
* Restructured the doc of kolla-ansible
* Fluentd: remove apache record\_transformer filter
* Move nova-fake config into globals.yml
* Add notes on docker version in quickstart and multinode guide
* Implement neutron firewall v2
* [HyperV] Add pull and precheck actions to nova-hyperv role
* Fix neutron invalid json file
* Fix name of nova-hyperv play in site.yml
* Add missing NOTE marker to site.yml
* Fix the incorrect content
* fix wrong keystone\_authtoken settings
* Update the "ocata" to "pike" for multinode.html
* Add service plugin segment to neutron
* Add fluentd enable option
* set glance\_api\_version = 2 in cinder configure
* git package added for better automated dev environment
* Update the description and links for vagrant
* Release tag updated in quickstart guide
* Support HiPE (High-Performance Erlang) in RabbitMQ role
* common: fix ansible location
* Fix typo in external ceph guide
* Fluentd: fix Mariadb mysqld\_safe log not match
* Increase vm.max\_map\_count on elasticsearch nodes
* Copy certifications info octavia housekeeping and health manager container
* Use octavia account instead of admin in octavia
* Updated from global requirements
* Config my\_ip to api\_interface\_address in cinder.conf
* Wrong secure\_proxy\_ssl\_header value in nova.conf.j2 template
* Horizon multidomain flag
* Fix deploy-guide links
* Fix kolla-ansible genconfig for mariadb
* Fluentd: fix duplicate log level naming
* Optimize the yaml format for Barbican check.yml
* Specify 'become' to necessary tasks (general roles)
* optimize the command format for murano start.yml
* Enable neutron fwaas dashboard dynamically
* Fix rabbitmq tag not match in fluentd
* Fix ci gate failure
* Make the pg and pgp value configurable
* \`bind\_host\` and \`bind\_port\` are coming under \`api\_setting
* filesystem\_store\_datadir should not be set when external Ceph is used
* Allow Cinder to use ZFSSA iSCSI volume service
* Fluentd: progname field is missing with Rsyslog
* WSGI configuration missing directive
* Remove unused configuration items from tacker role
* Add support for vault passwords
* Unify global syntax in baremetal role
* Update designate to allow use of external bind9 dns servers
* Fluentd: reduce CPU and I/O consumption
* Disable firewall while setup of dev env
* Remove deprecated oslo\_messaging\_rabbit options
* Add missing dot to help string in genpwd.py script
* Support configuration of custom fluentd outputs
* Simplify Openstack services configuration possibilities
* Fix Pike nova.conf for HyperV
* Remove too many inventory levels for iscsid
* Updated from global requirements
* Retrieve fluentd logs in gates
* Cleanup sfc useless doc
* Updated from global requirements
* Add missing document start "---" to yaml files
* Remove validate-maintainer.sh script
* Fix barbican-api log filter in fluentd
* Fix "key\_repository is world readable: /etc/keystone/fernet-keys/" warning
* Add /lib/modules as volume to openvswitch\_db container
* Fix quickstart links
* Rearrange existing documentation to fit the new standard layout
* Revert "Remove priviledged mode for nova-api"
* Updated from global requirements
* Make outward\_rabbit pre-checks idempotent
* Update reno for stable/pike
* Update and replace http with https for doc links in kolla-ansible
* Fluentd: Libvirt logs are missing
* Perform bootstrap on Horizon upgrade
* Fix typo in ironic prechecks
* Fluentd "progname" field not always generated
* Modify the conf in skydive
* Fluentd: manage multiline log pattern
* HyperV: fix FreeRDP console config
* Clean Boolean condition check on exists check
* Create/delete kolla\_keepalived\_running only once
* Fix warning on {failed|changed}\_when statements
* Fix warning during Mongodb bootstrap task
* Fix warning during Panko bootstrap task

5.0.0.0rc1
----------

* Add WSGI support for cloudkitty-api
* add ovs-dpdk docs
* Add doc note for glance-api container
* Revert "Fix modify external ceph.conf not restart related containers"
* Update designate-sink custom configuration folder
* Retrieve ceph logs in gate
* Enable use of --limit when using bootstrap-servers
* Fix freezer elasticsearch config
* Fluentd: rework and fix tail source config
* Run registering keystone ceph\_rgw user task only on one node
* Fix gates out of disk space
* Add ipc\_mode=host for nova-compute conainer
* Ironic: disable pxe\_ssh driver in the ironic.conf
* Update Nova to use Cinder v3
* Add warning interface names with dashes
* Fix typo in cinder guide for starting nfs
* Changed as per the standard convention set to use "."
* Fix to use . to source script files
* Correct a grammar mistake
* Add a note to help user avoid docker start failure
* writing convention set to use "." to source script files
* Consistent heading style for all headings
* Add enable\_haproxy to globals.yml
* Add tacker dev mode
* Add tacker sfc contrib demo
* Add missing ifaces and groups in prod guide
* Note about networks in zun guide
* Install docker python module with pip
* let openvswitch\_db listener localhost
* README.rst: update 'contrib' directory description
* Add Redis component to README.rst
* Remove Zaqar doc link in README.rst
* Add tacker documentation
* Add release note for redis in mistral
* Improve the Cinder docs
* Fix Line to long in VMware doc
* Fix modify external ceph.conf not restart related containers
* Update multi-regions.rst
* Mount host /tmp folder to horizon container
* Add swift ring files check in prechecks
* Add Redis role
* Omit outward\_rabbitmq from check for upgrade
* Fix missing tacker-conductor service
* Update fluentd config for rpm distros
* Add panko log in fluentd
* Revert "Update Keystone haproxy config to balance based on source ip"
* Fix VMware VPN, LBAAS and neutron-server config
* Skydive: allow access to netns for skydive agents
* vmtp: remove kolla\_logs Docker mount
* Add dev mode for glance
* Add Swift backend support to Glance
* Fixing ceph gates
* fix line lenght issues in networking-guide
* Fix mistral coordination
* Disable grafana Getting Started panel
* Add pull reconfigure and upgrade commands
* Add vmware support to ceilometer
* Enable ovsdpdk w/ ODL Neutron\_Plugin\_Agent
* Add ironic log in fluentd
* Remove service\_providers in vpnaas\_agent.ini
* Add inventory file path in swift-guide.rst
* Standardize Fluentd grammar usage
* Add vpnaas support to vsphere by vmware-nsx plugin
* Fix a typo in all.yml: replace Vaid with Valid
* Update default settings in libvirtd.conf jinja template
* Change cleaning\_network\_uuid to cleaning\_network
* Fix wrong condition for iscsid container
* Fix a typo in globals.yml: replace mathcing with matching
* introduce playbook to ovs with dpdk
* Consistent underline of heading
* Move placement-api-access log format to apache\_access
* Fluentd: add support for "domain" concept in Keystone V3
* Skydive: enable logging in file
* Unify external\_ceph.yml filename
* Fix the domain name in admin-openrc.sh.j2
* Add OpenDaylight role docs
* Add vSphere support to nova\_compute
* Add OpenDaylight role
* Add gnocchi log on fluentd
* Fix openstack\_python not accurate match
* Fix log greedy match
* Remove image\_driver\_list in zun.conf
* Change mode after ceph and neutron log is rotated
* Add VMware Documentation
* Remove priviledged mode for nova-api
* Fixes horizon reconfigure for adding custom \*\_policy.json files
* Assume the container is removed if it is not show in docker ps
* Stop and start container rather than use restart directly
* Updated from global requirements

5.0.0.0b3
---------

* Use a separate user for ceph-rgw rather than keystone admin user
* copy cinder\_backup keyring from cinder\_backup
* Updated from global requirements
* Fix zun command in zun-guide
* Wait keystone\_fernet running before init tokens
* Fix configuration for nova\_compute\_ironic
* Unified Apache access log format
* Support multi local chrony servers
* enable CORS for Gnocchi and Keystone for grafana datasource
* Fix zun transport\_url
* Quickstart guide add inventory in pull command
* Only start one glance\_api when using file backend
* Add Elasticsearch to Grafana
* Make cinder-backup service optional
* Remove an unnecessary endif
* Added note
* Fix logging collection in gates
* Fix grafana post-config check
* Add vmware DVS support to kolla-ansible
* Support customizing grafana home dashboard
* Dynamically retrieve the location of ARA to work on both py2 & py3
* ntpd behind proxy fails
* Optimize reconfiguration for mariadb
* Update the documentation link for doc migration
* Fix grafana data source registration
* Add default volume\_backend\_name for rbd driver in cinder volume
* Add collectd support to telegraf container
* Add cinder client keyring requirements for external ceph in nova
* Allow for running standalone Ironic w/o keystone
* Finish/fix neutron sfc service
* Add vlan tenant network support
* Add evaluation\_interval option
* Make Ironic inspector honour inventory
* Disable trace for all containers running httpd
* Revert "Add default\_boot\_option configuration"
* Remove all kolla-kubernetes configurations
* Add pipeline file into ceilometer-central and ceilomter-compute node
* Update URL home-page in documents according to document migration
* Restart lbaas agent when lbaas conf changed
* Add fwaas support to vsphere by vmware-nsx plugin
* Make ceph default cinder backup driver again
* Remove ceilometer-api and ceilometer-collector services
* Fix wsgi file path and log-file parameter
* Updated from global requirements
* Remove warning during kolla\_docker execution
* Updated from global requirements
* Pull cinder cephx keyring only when enable\_cinder is true in nova
* Remove doc build errors
* Remove Kafka from Infrastructure components list
* Magnum: Enable cluster trust customization
* Add VMware DataStore support to cinder
* Allow tmp path to download registry
* Enable proxy cache for tarballs download
* Add dev mode for Horizon
* Move nova scheduler related parameters to [scheduler] group
* Set api\_v2 to True in image-feature-enabled
* Revert "Fix a typo and complement doc in ceph-guide.rst"
* Improve Swift ring setup sample script
* Fix option api\_v1 in tempest.conf
* Fix designate-api listen interface
* Searchlight: activate Ironic resources
* Fix searchlight nova resources indexation
* Add qdrouterd role for messaging infrastructure component
* Clean some Boolean condition checks
* Upgrade from docker-py to docker
* Fix bandit tests directory
* Fix tools/cleanup-images script error
* Fix zun-api logging and state\_path
* delete delimiter from init fernet condition check
* Add dev mode for Murano
* Make glance filesystem\_store\_datadir configurable
* Update cinder sanity check to use built in shade
* Added open-iscsi to default removals
* Fix depends-on kolla gates
* Fix an invalid variable name
* Clear all l3 related namespace before starting neutron-l3-agent
* Add ceph rgw object store support into trove
* Use /run for all containers when need access namespace
* Use latest docker engine in gate
* Support cinder backend for glance
* Fix fwaas options
* Standardize Keystone domain variables
* Migrate cinder-api under apache
* Add designate dashboard to horizon
* Fix keystone-paste.ini custom file management
* Use proper variable in horizon copy policy task
* Avoid launching "local" actions too many times
* Fix outdated barbican-api-paste.ini file
* Removing deplicated option from global.yml file
* Fix field data is too large
* Fixed vmware typos
* Fix ironic authentication configuration
* Remove elasticsearch\_protocol unused variable
* Fix skydive analyzer "etcd" config
* Remove SKIP\_LOG\_SETUP env variable from fluentd env
* Set neutron RPC workers and state report workers
* Add SELinux python bindings in quickstart guide
* Magnum: update clients config groups
* Remove the unnecessary "compute" for ceph-guide.rst
* Fix add cleanup images cli options release note folder
* Remove symlink in reconfigure tasks
* Switch from oslosphinx to openstackdocstheme
* Set TFTP file permissions to 0644
* Add logrotate configuration for ironic inspector
* Reinstate [DEFAULT] firewall\_driver option
* Manila: add support of endpoint\_type for clients
* Cinder: modernize nova config
* Fix prechecks fail with docker not in deployment host
* Neutron: nova\_metadata\_ip property is deprecated
* Enable zun ui when zun enabled
* Fix Skydive analyser 'graph' config section
* Modify glance log name
* Remove Ubuntu Trusty 14.04 related code
* Updated from global requirements
* fix horizon contents path for ubuntu/binary
* Always create ResellerAdmin role for Swift
* Add flag to allow provider networks
* The notify "Restart tacker containers" is not correct
* Adds NTP sync process to account for ceph time sync requirements. Removes precheck portion of NTP. Corrects for redhat Fixes typo
* Add sanity checks for Barbican
* The notify "Restart keystone containers" is not correct
* Pull cinder cephx keyring only when cinder\_backup\_ceph is true in nova
* Fix baremetal role idempotency
* Barbican simple\_crypto plugin broken - invalid key
* Add possibility to configure tenant network types and type drivers
* Move mDNS to network nodes
* Fix jenkins link in running-tests
* Add webconsole support in ironic
* Fix glance Upload large image haproxy timeout when using external
* Retry Keystone's default user role creation
* Fix the database user name for all roles
* all.yml should be in alphabetical order
* Add option ha\_vrrp\_health\_check\_interval for l3
* Enable multi-scenario gates
* Add documetation for kolla-mergepwd tool
* Enable port\_security by default
* Only use br-tun on network and compute nodes
* Add if enable\_outward\_rabbitmq in haproxy.cfg
* Updated from global requirements
* Skydive: fix facts retrieved two times
* Simplify condition check on standalone services
* Use unified vars in task
* Add vhost to outward rabbitmq for Murano
* Add Hyper-V role
* Add a new 'outward' rabbitmq instance
* Replace always\_run by check\_mode
* Revert "Enable port\_security in gate to fix the neutron broken"
* Deploy etcd in compute nodes when kuryr
* Add Skydive startup guide documentation
* Update loopback instructions in cinder docs
* Add /lib/modules to neutron\_openvswitch\_agent
* Bump min Ansible version to 2.2.0
* Fix cron restarting issue
* Use kuryr for zun network
* Fix kuryr ansible deployment
* Remove keystone-paste.ini file in kolla
* Enable deploying ceph on loopback devices
* Use templates for keystone domain specific configurations
* Fix bootstrap-servers with invalid api\_interface
* Change Solum keystone v2 to v3
* Fix "Enable influxdb datasource" random error
* Add VMware NSXV support to neutron
* Change zun rewrite rule number in fluentd
* Update Vagrant dev environment
* Fix service\_type of Octavia
* Revert "Avoid facts gathered twice when deploying with --limit"

5.0.0.0b2
---------

* Remove extra configuration item in solum.conf.j2
* Add zun log in fluentd
* Neutron oslo\_messaging\_notifications config error
* Nova oslo\_messaging\_notifications config error
* Support for increasing thread cache size in TCMalloc
* Add a Kolla 'devstack' mode
* Add default\_boot\_option configuration
* Remove unnecessary setUp function in testcase
* Fix sed replacement command in Ubuntu's install\_docker
* vagrant env not working due to libpng-dev and zlib-dev package deprecation
* Set tempest image user var
* Fixed CentOS Vagrant and NFS setup instructions
* Fix mongodb name in cron.json
* Add makestep in chrony.conf
* Add skydive service
* Remove archive\_policy configuration in ceilometer.conf
* Updated from global requirements
* Enable multinode gate
* Add release note to deprecate some config files
* Mixing binary and source images for N\* and O\* projects
* Remove the unnecessary jinja2 templating delimiters
* Enable port\_security in gate to fix the neutron broken
* Mixing binary and source images for T\*, W\*, Z\* projects
* Mixing binary and source images for S\* projects
* Mixing binary and source images for M\* projects
* Mixing binary and source images for I\* and K\* projects
* Cloudkitty: remove oslo\_messaging\_notifications config
* Grafana post\_config checks only need to run locally
* Support OSprofile usage
* Fix unrecognized --limit option
* Mixing binary and source images for D\*, G\* and H\* projects
* Mixing binary and source images for C\* projects
* Mixing binary and source images for A\* and B\* projects
* Mixing binary and source images for Glance
* Stop using old gnocchi reference
* Rewrite haproxy precheck conditions to not use string interpolation
* Fix vnc\_enabled warning
* Fix nova fake driver support
* Missing ExecStart in docker.service
* missing rbd\_serect\_uuid in cinder.conf in doc
* Fix rabbitmq prechecks broken due to Ansible upgrade
* Fix zun deployment
* Fix vagrant development environment
* Update deprecated 'play\_hosts' with 'ansible\_play\_batch'
* Revert "Add jinja2-py version check in pre\_checks"
* Remove deprecated options designate
* Enabled pxe\_ssh driver in ironic
* Change default permissions in jinja templates
* gzip the ARA report after generating it
* Add a complete example of configuring a basic 3 nodes Ceph environment
* Fix etc/hosts format with baremetal role
* Generalize api\_interface\_address variable usage
* Updated from global requirements
* Mount cinder volume for cinder-volume and cinder-backup all the time
* Fix some wording issues on a comment
* Add VMware DataStore support to glance
* Kibana post\_config checks only need to run locally
* Removing ovs bridge before destroying container
* Fix doc warning
* Modify the configuration file of telegraf
* Fix invalid literal for int in swift\_proxy\_server
* Updated the quick start guide
* Fix create and associate error of resellerAdmin
* Add heat\_stack\_owner role to admin project
* Optimize the reconfiguration for 'common' container
* [Trivial] Fix two typos in kolla-ansible
* Add external\_vip\_interface precheck
* Use auth vars for admin user
* Avoid facts gathered twice when deploying with --limit
* Fix vpnaas in service\_plugins
* Updated from global requirements
* Fix lbaasv2 in service\_plugins
* Move the "notify\_on\_state\_change" into group “notifications"
* Fixed libvirt package removal
* Fix cinder-api ubuntu binary deploy
* Remove verbose log in memcached container
* Add kolla-ansible bash completion script
* Add cinder-backup config to external-ceph-guide
* Remove symlink from fluentd global conf
* Add upgrade release note for ovs split
* Update the port format for zun
* Remove the unnecessary delimiters
* Fix the "tox -e docs" faild for kolla-ansible
* Remove /etc/fstab Swift references during cleanup-host
* Fix wrong variable used in trove role
* Add local directive for chrony
* Fix panko source and dest file path in ceilometer config
* Fix log rotation issue on services
* Fix haproxy restart while genconfig
* Fix neutron-openvswitch-agent crash on multinode
* Fix iSCSI mounts for Cinder backup container
* Fix heat ec2 keystone auth
* Add lbaas support to vsphere by vmware-nsx plugin
* Advertise public heat endpoint for wait conditions
* Fix permission on chrony.conf
* Update docker\_py\_version\_min version
* Add timeout parameter for precheck tasks
* Don't configure external bridge on computes if DVR is disabled
* Fix a typo and complement doc in ceph-guide.rst
* mount /run in sahara-engine container
* Fix saraha-engine authencation issue
* Configure Kibana default index pattern
* Fix a grammar issue
* Change ssh/config permissions to 600
* Add ssh-keyscan to unblock kolla-ansible gate
* Fix neutron agents restarted on ml2 config change
* Add compute inventory precheck
* Fix Telegraf container restarting issue
* Cleanup privileged attribut usage in containers
* Grafana: automatically set InfuxDB datasource
* Add YAML missing dashes at start of file
* Fix folder creation at quickstart
* Ensure that /tftpboot/pxelinux.cfg is owned by Ironic
* Add OS\_REGION\_NAME to admin-openrc.sh.j2
* kolla\_toolbox: allow docker api version to be specified
* Add cli options to cleanup-images
* Use cryptography instead of pycrypto
* Tempest: remove all oslo.policy related stuff
* Development Environment With Vagrant link not working
* Fix swift-ring-builder path for container
* Add the ceph keyring files related task condition
* Add copy ceph keyring files conditions in cinder
* Fix Kibana checking free port interface
* Fix the path of firewall plugin in kolla-ansible
* Remove image\_format config section
* Mount /lib/modules folder for cinder-volume container
* Fix troubleshooting guide debugging section
* Allow different configuration of iSCSI helper
* Comment designate options at globals.yml
* Add panko.conf file in ceilometer container
* neutron\_vpnaas\_agent: kolla\_docker parameter 'volumes' is wrong
* Add fwaas extension in l3 agent when neutron fwaas is enabled
* Update simple\_cell\_setup to manual creation
* Cleanup /lib/modules volume mounts in containers
* Allow use of any backup backend for any volume backend
* Cleanup /run/netns host directory volume mount
* Use ironic-inspector user for ironic inspector
* Add barbican\_crypto\_password key in passwords.yml file
* Add kolla-ansible to operating-kolla.rst document
* Updated from global requirements
* Fix Grafana config file template to use variables
* Fix ceph role set target\_max\_bytes for cache pools
* Add info about RabbitMQ requirement on quickstart
* OVS Role release note
* Fix 'node\_config\_directory' variable bad usage
* Add zun startup guide documentation
* Fix Freezer service config override issue
* Add graceful\_timeout argument to kolla\_docker
* Fix ceilometer meters for swift service
* Magnum: add oslo\_messaging\_notifications config
* Remove show\_multiple\_locations in glance-api
* Remove the variable redefined in deploy-servers.yml
* Nova\_backend\_ceph variable mobile location
* Fix Multi-regions nova support boot from volume
* Split Openvswitch into own role
* Temporaly fix deploy gate
* Remove dead code from cleanup-host.sh script
* Unmount Ceph OSD disks as part of destroy
* fix typo
* Fix panko mongo idempotency
* Remove kolla\_logs\_volume unused variable
* Detect openstack\_release variable in mariadb recovery playbooks
* Remove all Ubuntu 14.04 related documentation
* Use utf8\_general\_ci collation as a default collation
* Configure coordination\_url for cloudkitty processor
* Remove neutron\_metadata\_socket volume from agents
* Fix Heat Kolla demo in contrib
* Add jinja2-py version check in pre\_checks
* Use aodh alarms with tacker
* Remove graphiz from test-requirements.txt
* Remove python-swiftclient from test-requirements.txt
* Remove python-heatclient from test-requirements.txt
* Remove python-barbicanclient from test-requirements.txt
* Remove un-used Keystone test path
* Switch kolla\_docker to rely on SHA256 for image changes
* Fix documentation for kolla\_docker image pulling
* Revert "Remove useless variable glance\_backend\_file"
* Update keystone sanity check to use built in shade
* Add sudo command for non-root account to mount osd
* Update the references link for some project
* Revert "Fix Fluentd warn on dnsmasq.log file parsing"
* Add release note for versionless keystone endpoint
* Telegraf: activate influxdb input plugin
* Fix senlin workers and events
* Remove unused driver attr in cinder\_backends map
* Fix Telegraf retention policy not found
* Fix outdated InfluxDB configuration
* Add tacker contrib demo
* Karbor services restarting issue on conf update
* Update the cirros version to "0.3.5"
* Fix the "tox -e docs" failed
* Fix Fluentd warn on dnsmasq.log file parsing
* Fix qos rules are not applied on ocata with ovs
* Fix Haproxy reconfigure
* Fix designate prechecks
* Trove services restarting issue on conf update
* Update Keystone haproxy config to balance based on source ip
* Fix secure\_proxy\_ssl\_header option in nova
* Fix the check.yml of Zun does not exist
* Fix the "Creating the Zun service and endpoint" failed
* Remove image building related docs from kolla-ansible
* Optimize reconfiguration for haproxy
* Use yaml.safe\_dump() instead of yaml.dump()
* Modify the permission of directory
* Remove useless variable glance\_backend\_file
* Add zun ansible role
* Fix secure\_proxy\_ssl\_header option
* Allow nfs, rpcbind and mountd service on server firewall
* Fix cinder config group in nova.conf
* Remove min\_l3\_agents\_per\_router option
* Set to Unix format trove-conductor.conf file
* Trove fix backup restore with Swift
* Updated from global requirements
* Fix ceph log location
* [deploy-guide] Moving the quick start to the deploy folder
* Fix some blank space issues
* Fix Telegraf role reconfigure action
* Enable timeout feature when connecting ceph in cinder
* Remove Ubuntu 14.04 related code
* Fix glance Upload large image haproxy timeout
* change log-\* to flog-\*
* Remove nova-network deprecated options
* Improved documentation for central logging
* Cleanup requirements.txt file
* Fix can't find /usr/lib/libCryptoki2\_64.so in barbican
* Updated from global requirements
* Add an extra network node for HA
* Heat: add oslo\_messaging\_notifications config
* Improve developer documentation for Bifrost
* Update the "virt\_driver" to "virt\_type"
* Use service\_name variable when defined in neutron role
* Fix wrong api interface reference in haproxy.cfg for nova serial
* Doc syntax error and expressions updates
* Fix error during Grafana container restart
* Fix Telegraf startup config files issue
* Set fluentd output to elasticsearch to use elasticsearch\_address
* Delete the deprecated option from the group "DEFAULT"
* Fix the remove mariadb volume failed
* Use versionless keystone endpoints
* Remove signing\_dir option
* Fix the Nova SSH port prechecks missing
* Activate binary-logs in MariaDB/MySQL
* Update infra components list in README.rst
* Update Searchlight resource\_plugin configuration
* Register Cinder v3 endpoint in keystone
* Change heat cfn service description
* Add neutron-bgp-dragent playbooks and sensible defaults
* Add new section "Log delivery" in CONTRIBUTING.rst
* Update Fluentd config to log in Kibana dashboard
* Implement Cinder, Nova Placement and mistral logs for kibana
* Fix logrotate issue on Octavia and Watcher service
* Add an Ansible group for bifrost
* Remove all Heka related remaining stuff
* Update glance sanity check to use built in shade
* Update the README.rst file
* Add the missing port prechecks for keystone
* Enable horizon\_backend\_database if murano is enabled
* Updated from global requirements
* Sahara: add oslo\_messaging\_notifications config
* Trove: add oslo\_messaging\_notifications config
* Nova external-ceph.yml writes keyname into libvirt.base64
* Add gnocchi backend precheckes for ceilometer
* formate hyperlink of Fluentd in README.rst
* init-runonce - set image distro to "linux"
* Designate: manage Api and Central services workers
* Add cpu\_mode in quickstart guide
* Remove heka\_socket vol and unwedge some containers
* Mount /lib/modules folder in ironic-conductor container
* Remove the deprecated option for cinder.conf
* Access glance through vip rather than multi glance ips in ironic
* Solum: remove oslo\_messaging\_notifications config
* Congress: remove oslo\_messaging\_notifications config
* Freezer: remove oslo\_messaging\_notifications config
* Fix the "tox -e docs" command failed
* Revert "Fixes problem with kolla-kubernetes 3.0.2 images"
* Fix heat-engine and heat-api-cfn workers configuration
* Multi-regions Support
* Set tacker-server api\_workers using openstack\_service\_workers
* Set karbor-api workers using openstack\_service\_workers
* Set magnum-api workers using openstack\_service\_workers
* Set mistral-server workers using openstack\_service\_workers
* Fix vpnaas custom config dir
* Set senlin-api workers using openstack\_service\_workers
* Set searchlight-api workers using openstack\_service\_workers
* Fix typo in nova external ceph
* Enable sanity checks from kolla-ansible
* Modify the hosts of the post-deploy.yml playbook
* Updated from global requirements
* Set empty openstack\_release option
* Remove cell setup and db creation nova upgrade
* Fix dbPath typo in templates/mongodb.json.j2
* Enable run nova-compute-ironic with nova-compute on the same node
* Disable running playbooks in serial by default
* Fix booting from volume failure
* Apply correct permissions to kolla\_logs/ceilometer
* Modify the directory path in running-tests.rst
* Fix mongodb cluster using wrong network interface
* Make qemu use nova user
* Fix Ceilometer cannot create MySQL database
* Update Multinode deployment of kolla guide
* Access placement service through internal interface rather than public
* Run precheck after deployed openstack
* Fix Magnum Kolla demo in contrib
* Fix the failure when running precheck after deploy
* Release note for reconfiguration optimizaiton
* Use internal interface instead of public interface
* Fix the incompatible of docker-py 2.0.0
* Fix pushing images to local registry documentation
* Deployment Guide
* Updated from global requirements
* Fix Creating Panko MongoDB database failed
* Fixed some tox errors in docs
* Update the file format for baremetal
* philosophy example on customization is incorrect
* Etcd fails to start - missing environment parameter
* Fix designate deploy/genconfig
* Enable heat-api proxy header parsing
* Change swift-initial-rings URL
* Update the link in README.rst
* Fix the ironic tasks name
* change amoung to among
* Disable unneeded fact gathering
* Improve Swift docs
* Fix Creating Ceilometer MongoDB database failed
* Add default dnsmasq\_dns\_servers in dhcp\_agent.ini file
* Exit with error code 1 when there is failure container in gate
* Set default value for osds/osd\_ids facts when facts not set
* Fix keystone idempotency
* Remove Heka yaml file
* Update the panko location of site.yml
* Add the missing "ironic\_inspector" into precheks
* Add until in restart nova libvirt task
* Update cinder docs with some lvm info
* Add the missing prechecks for placement\_api
* Fix rabbitmq log ulti-line cutting problem
* Fix typo in ironic task name
* Remove rabbitmq from freezer
* Checking kernel and initramfs files for Ironic
* Updated from global requirements
* magnum domain register error at setting domain id
* Update the "source" to "."
* Add missing dashboard policies
* ironic\_pxe bootstrap should run on all hosts
* ironic-dnsmasq should use ironic-inspector group
* ironic\_dnsmasq doesn't support reconfiguration
* Fix the error in document
* Start nova-conductor earlier
* Run nova-compute and nova-compute-ironic at the same time on kolla-k8s
* Add empty volume item check in kolla\_docker module
* Fix typo in nova-serialproxy handler
* Do not failed when there is no nova-compute is running
* Fix wrong module argument name for kolla\_toolbox
* Disable nova-compute when enable\_ironic is yes
* Update the "ouput" to "output"
* Option "use\_neutron" from group "DEFAULT" is deprecated for removal
* Replace "ara generate" by "ara generate html"
* Fixed a typo in tg-agent
* Fix genconfig for ironic-dnsmasq for kolla-kubernetes
* Optimize reconfigure action for rabbitmq
* Change python interpreter
* Use correct inventory file for Bifrost
* Remove extra spaces
* Support kolla-ansible installed in a virtualenv
* Make service\_plugins and extensions more configurable
* Update production architecture guide for formatting
* Fix BASEDIR because of new kolla-ansible project name
* Fix extension\_drivers check in ml2
* Fix haproxy log not writable in upgrade
* Fix typo in neutron's default/main.yml file
* Fix freezer auth issue
* Fix typo in all.yml
* Secret generate fail with hostvars is undefined
* Updated from global requirements
* Update reno for stable/ocata
* Fix chrony genconfig

4.0.0.0rc1
----------

* Disable elasticsearch output when enable\_elasticsearch is no in fluentd
* Change freezer service type
* Rename kolla namespace to kolla\_ansible
* Add the missing option for gloabols.yml
* Optimize reconfiguration for collectd
* Fix doc format
* Changing ironic-inspector configuration for kolla-kubernetes
* Add default roles used by Barbican
* Fix the host\_in\_groups error in kolla-kubernetes
* Fix haproxy configure for external placement api listen
* Add the missing condition for config.yml
* Move Kuryr to start after neutron has started
* Fixing ironic configs for kolla-kubernetes
* Disable revoke\_by\_id in keystone
* Add how configure backend to cinder HNAS NFS driver guide
* Optimize reconfiguration for designate
* Checking certificate files for octavia
* Fix kibana upgrade permission issue
* Optimize reconfigure action for neutron
* Fixes problem with kolla-kubernetes 3.0.2 images
* Fix horizon pull error
* Install ansible without upper constraints
* Fix 'kibana\_config\_jsons' is undefined
* Fix the path error in globals.yml
* Remove unnecessary file in .gitignore
* Add Octavia doc link in README.rst
* Fix fluentd config error
* Change Barbican default secret store to pkcs11
* use\_forwarded\_for is moved to api group
* Optimize reconfigure action for horizon
* Fixing authentication url for kubernetes
* Fix telegraf task
* Recover nova reload task to upgrade
* Remove Zaqar doc link in README.rst
* Fix copying over nfs\_shares task failure
* Using yaml.safe\_load instead of yaml.load
* Remove support for py34
* Do not check security opt in some case in kolla\_docker module
* Allow configuration of HAProxy default timeouts
* Fix BASEDIR to package Kolla with snapcraft.io
* Add Freezer doc link in README.rst
* Using https instead of http
* Fix pip install command in quickstart
* Fix commands failing when installed from sdist
* Optimize reconfiguration for etcd
* Add the missing pull image for ironic-dnsmasq
* Change freezer exact syntax problem
* Mount mnt folder when enabled cinder nfs backend
* Load freezer dashboard
* Fix the WARNING in copy keystone domain task
* Use new bootstrap and register method
* Optimize reconfiguration for kibana
* Update kolla-ansible docker-version
* Fix parameter issue in cinder handlers
* Optimize reconfigure action for congress
* Remove unnecessary until in register.yml file
* Optimize reconfigure action for trove
* Fluentd should not chown all files in /var/log/kolla
* Add Loading nfs\_shares file without .j2 extension in cinder config
* Update the CONTRIBUTING.rst file
* Enable tacker\_horizon when enable\_tacker is yes
* Add release note regarding nova upgrade
* Fix grafana database creation
* This feature is supporting for workers config in swift servers
* Apply new register method
* Remove hardcoded usernames in register.yml
* Integrate designate with neutron
* Fix gnocchi auth issue
* This feature is supporting for collecting log from IPA
* Fix the pid\_mode and ipc\_mode value check for kolla\_docker module
* Update links in documents
* Fix typo in cloudkitty register.yml file
* Ignore qemu-img process in cleanup-containers
* Create a new container when restart a container when necessary
* This feature is supporting for workers config in ironic-api
* Implement nova placement service
* Run nova-manage simple\_cell\_setup during deploying and upgrading
* Fix pull syntax error in cinder
* Optimize reconfigure action for manila
* Revert "corrects invalid logrotate option maxsize"
* update dispatcher configurations for database backend
* Fix genconfig for kolla-kubernetes
* Bump docker to 1.12 in bootstrap-servers
* Remove hardcode /etc/kolla path
* Add how configure backend to cinder HNAS iSCSI driver guide
* External\_fqdn for host\_href in barbican.conf
* Update Kolla-Ansible documents
* Fix a typo in config.yml
* Build deploy guide files and tox environment

4.0.0.0b3
---------

* Optimize reconfiguration for octavia
* Fix the undefined error for vmtp\_vm\_availability\_zone
* Use neutron user in neutron\_lbaas.conf and overwrite defaults
* Add freezer ansible role
* Revert part of a murano patch which breaks horizon
* Optimize reconfigure action for telegraf
* Refactor register.yml files
* Optimize reconfigure action for vmtp
* Optimize reconfiguration for aodh
* Optimize reconfiguration for tempest
* Optimize reconfiguration for influxdb
* Optimize reconfigure action for cloudkitty
* Optimize reconfiguration for kuryr
* Fix RabbitMQ server error in bifrost
* Fix typo heat.conf
* Optimize reconfiguration for grafana
* Optimize reconfiguration for karbor
* Optimize reconfigure action for cinder
* Optimize reconfiguration for solum
* Optimize reconfiguration for tacker
* Custom init-runonce values
* Run detect openstack\_release variable play always
* Optimize reconfiguration for elasticsearch
* Optimize reconfigure action for nova
* Modify the version\_info in pbr
* Fix bootstrap.yml in Bifrost
* Fix security group creation
* Optimize reconfiguration for ceilometer
* Optimize reconfigure action for rally
* Optimize reconfiguration for barbican
* Optimize reconfiguration for sahara
* Optimize reconfiguration for watcher
* Optimize reconfiguration for mistral
* Optimize reconfigure action for gnocchi
* Optimize reconfiguration for magnum
* Optimize reconfiguration for panko
* Fix magnum [DEFAULT] configuration
* Support non standard Python path
* Add the missing option into globals.yml
* Fix undefine error for watcher bootstrap.yml
* Add fluentd role
* Fix a Syntax Error for panko bootstrap.yml
* Fix the panko\_database\_port for panko
* Fixed config generation to check correct actions
* Add the missing "enable\_trove" into globals.yml
* Fix mysql database user of ceilometer
* Use required\_if in kolla\_docker.py
* Optimize reconfiguration for searchlight
* Optimize reconfiguration for senlin
* Add chrony ansible role
* Load karbor dashboard
* Rename task in destroy role that removes images
* Remove precheck.yml in baremetal
* Load murano dashboard dynamic
* adds ovs-dpdkctl tool
* Use port variable replace 5000 and 35357
* Remove hardcoded designate backend
* Unify haproxy prechecks condition order
* Update the upgrade.yml for trove
* Optimize reconfiguration for heat
* Fix the kolla\_toolbox module do not work on docker engine 1.10
* Fix docker restart policy issue on docker engine 1.13
* Fix ironic inspector
* Detect openstack\_release variable when it auto
* Add Karbor doc link in README.rst
* Fix gate failure
* Fix placeholder for 'service\_auth' section in neutron\_lbaas.conf
* Close file-like object after used
* Fix keystone reconfigure
* Refactor Designate and Panko bootstrap.yml
* Allow cinder-volume to be configured to use HNAS nfs
* Fix the group check for glance-registry
* Fix the error when pull keystone image
* Pull kolla images from tarballs.o.o
* Add prechecks into solum roles
* Fix octavia image names in start.yml
* Fix cleanup-containers script
* Add basic docs for neutron-vpnaas
* Move some prechecks into its own role
* Modify the repo in multinode.rst file
* Render ceph.conf using merge\_configs
* Move mongodb precheck into its own role
* Move swift precheck into its own role
* Cover environment for kolla-ansible
* TLS loadbalancer creation fails due to unread neutron\_lbaas.conf
* Move keystone precheck into its own role
* Updated from global requirements
* Move prechecks into its own role
* Add missed octavia\_ca\_password variable in passwords.yml file
* Update README.rst in kolla-ansible
* Refactor bootstrap.yml file
* Move Influxdb precheck into its own role
* Move kuryr precheck into its own role
* Move rabbitmq precheck into its own role
* Docs update related to hostname resolution in RabbitMQ
* Unify jinja syntax
* Move kibana precheck into its own role
* Ansible config for nova-serialproxy console
* Fix cleanup-containers
* Change 1-subnet to public1-subnet in tools/init-runonce
* provide a universal collectd template
* Move murano precheck into its own role
* Move searchlight precheck into its own role
* Move etcd precheck into its own role
* Move nova precheck into its own role
* Move grafana precheck into its own role
* Update kolla-ansible links on README
* Move mistral precheck into its own role
* Remove precheck.yml in certificates
* [TrivialFix] Alphabetical sorting optimization
* Move senlin precheck into its own role
* Heat configuration param change for heat-api section
* cinder.conf either supports lvm or ceph backend, not both
* Move congress precheck into its own role
* Move aodh precheck into its own role
* Add designate\_mdns fact into precheck
* all.yml should be in alphabetical order
* Add "---" for designate roles
* Move magnum precheck into its own role
* Move ceilometer precheck into its own role
* Add enable\_horizon\_\* parameter for dashboard
* Update init-runonce to use openstack commands
* Fix trove role issue
* Move tacker precheck into its own role
* Ansible-ize OpenStack Designate
* Optimize reconfiguration for keystone
* Use openstack\_service\_workers variable in horizon.conf.j2
* Add .project and .pydevproject to .gitignore
* Limit check containers to reconfigure action
* Support multi key in merge\_config module
* Fix code style in start\_compute.yml
* Remove trailing backtick
* Fix gate in iax-ord node when using libvirt 2.0
* Removing unused directory "etc/oslo-config-generator" from kolla-ansible
* Move ironic precheck into its own role
* Move trove precheck into its own role
* Update the place of Watcher HAProxy by alphabet
* Move gnocchi precheck into its own role
* Move cinder precheck into its own role
* Move neutron precheck into its own role
* Update the horizon port into all.yml
* Move horizon precheck into its own role
* Move memcached precheck into its own role
* Move sahara precheck into its own role
* Optimize reconfigure action for memcached
* Optimize reconfigure action for glance
* Fix Horizon 404 on Ubuntu
* Fix ovs-cleanup issue at cleanup scripts
* Fix typo in multinode inventory
* Fix wrong register in ceph reconfigure task
* Move heat precheck into its own role
* Add empty precheck.yml file for tacker and octavia
* Missing mysql plugin in telegraf
* Move barbican precheck into its own role
* Modify the openstack\_release in globals.yml
* Remove -H fd:// for docker.service in the baremetal role
* Move cloudkitty precheck into its own role
* Updated from global requirements
* Enable horizon deployment in gate
* Use stevedore aliases for interface\_driver configuration
* Add Constraints support
* Add karbor ansible role
* Switch Ubuntu to overlay2 docker driver
* Allow operators to use 'fallback mode' for Ceph disks
* Enable magnum dashboard when enable\_magnum is yes
* Move manila precheck into its own role
* Add empty precheck.yml file for trove
* Use default user group consistently
* Remove the unnecessary space
* Enable solum dashboard when enable\_solum is yes
* Fix aodh upgrade permission issue
* Support neutron availability zones
* Add PyYAML to requirements.txt, dependency of genpwd
* Allow cinder-volume to be configured to use HNAS iscsi

4.0.0.0b2
---------

* Some tasks fail if NIC names differ
* Integrate ceph-rgw with keystone
* add panko role
* Re-import Murano core library on upgrade
* Add lost roles field in octavia
* Fix syntax error in horizon custom policies file
* Fix kolla-genpwd and kolla-mergepwd
* Add enable\_cinder\_backend\_nfs option example
* Implement octavia ansible role
* Delete add-panko-dockerfile release note
* Change Dockerfile to ansible role in the release note
* Enable mistral dashboard when enable\_mistral is yes
* Enable watcher dashboard when enable\_watcher is yes
* Move watcher precheck into its own role
* Revert "Enable designate dashboard when enable\_designate is yes"
* Change 'docker' to 'Docker' in docs
* Always check enable\_\* variables first
* Fix can't generate heka-custom.toml on multi-nodes
* Become root when executing task "Set firewall default policy"
* Add monitoring group as a children of baremetal group
* Optimize the code
* Swift data transfer should not be using the API Network
* Horizon custom policies
* Add name for tacker playbook
* Revert "Enable zaqar ui when zaqar enabled"
* Enable searchlight ui when searchlight enabled
* Remove store\_events parameter from ceilometer configuration
* Enable senlin dashboard when enable\_senlin is yes
* Follow Docker Inc's trademark guidelines
* Add \*.egg-info into .gitignore file
* Give plays in the playbooks a name
* Sometimes merging of passwords.yml gives json
* Updated from global requirements
* Read EXTRA\_OPTS from env in kolla-ansible script
* Enable zaqar ui when zaqar enabled
* Enable designate dashboard when enable\_designate is yes
* Do not mount /var/lib/nova/mnt unless nfs cinder backend is enabled
* Add missing per service Keystone config augments
* Add custom policies in service.json
* Disable notifications for cinder when no consumer
* Fix X-Forward-Proto Header Deletion
* Add missing pull task for neutron-vpnaas-agent
* Enable trove dashboard when enable\_trove is yes
* Fix aodh role
* Remove the deprecated command and the useless "if" condition
* Enable cloudkitty ui when enable\_cloudkitty is yes
* Remove the "nova-network" from the ansible
* Install ansible with OpenStack requirements constrains
* Fix barbican upgrade permission issue
* remove /var/lib/aodh in aodo-api
* Fix cloudkitty upgrade permission issue
* clean up kolla related files
* Tacker NFV Ansible support
* Add more options for cinder-backup
* Fix placement of policy.json
* Enable ironic ui when enable\_ironic is yes
* Enable sahara dashboard when enable\_sahara is yes
* Move glance precheck into its own role
* Load manila-ui in horizon
* Add tool to merge passwords during release upgrade
* Update repo in documentation
* Icrease haproxy timeouts for mysql connections
* Updated from global requirements
* Revert "updating-deprecated-ansible-modules"
* Show team and repo badges on README
* Fix python3 compatibility in kolla\_docker
* Add support Karbor on README.rst
* Add solum ansible role
* Move the "enable\_destroy\_images" into configure file
* Fix neutron-vpnaas for redhat derived bases
* Add trove role
* Ignore dom0 qemu processes during destroy
* use uuidutils instead of uuid.uuid4()
* Remove fragments of docker files
* Added support for a stop playbook in kolla
* Updated from global requirements
* Pull swift-object-expirer image
* Make sure ceilometer/service\_credentials wotks with internalURL
* Remove docker folder from kolla-ansible
* Remove the disable of ipv6 in gate
* Fix congress broken
* Fix ceilometer not sending logs to heka
* updating-deprecated-ansible-modules
* Fix network configuration for cloudkitty
* Use tox to build gate images
* fix ci gate
* Use kolla\_internal\_vip\_address for glance\_api servers
* Notification needed for searchlight
* Enable cinder backup tab in horizon
* Remove docker reference related to bandit from tox.ini
* Allow neutron-fwaas to be enabled in Neutron
* typo error of keyring spelling
* Add blank space to deploy.yml file
* Remove build related env in tox.ini
* Fix neutron.conf.j2 metadata\_workers spelling error
* Remove non-existent branches in releasenote
* Update Barbican to use correct mysql connection string
* Deprecate scheduler\_max\_attempts option in nova
* Fix /etc/kolla permission
* Make service\_checks easier to run independently of kolla-ansible
* Fix fact gathering when using --limit

4.0.0.0b1
---------

* Set up .gitreview
* Fix copying nfs\_shares configuration
* Use uuid as keystone default token provider
* Corrects typo "mondodb\_port" in ceilometer
* Use horizon\_logging\_debug variable
* change docker.server to docker.service in kuryr-guide.rst
* Add freezer to PROFILE\_OPTS of common/config.py
* Updated from global requirements
* Using openstack\_logging\_debug variable in horizon
* Add support freezer on README.rst
* Fix neutron lbaas dashboard
* Add support panko on README.rst
* update source code character error
* Added MountFlags for Ubuntu in multinode guide
* source doc bifrost.rst charactor error
* add panko dockerfile
* Corrects typo "requried" in kolla\_docker.py
* Use openstack\_service\_workers variable in gate
* Show the rendered docker file
* Remove Fedora support from manilla-data
* Add kolla\_logs volume to kibana container
* corrects invalid logrotate option maxsize
* Remove adding repo in magnum-base Dockerfile
* Fix designate dockerfile
* Skip queuing build tasks for UNMATCHED images
* Allow cinder-volume to be configured to use NFS
* Wait the wsrep\_ready to be ON in mariadb
* Move manila-share service to network node
* Exclude port from ceilometer\_database\_mysql\_address
* fix collectd dockerfile
* Add Solum doc link in README.rst
* Uses tunnel\_interface as ovs tunnel instead of api\_interface
* Fix typo in doc/bifrost.rst
* Allow flexibility in mysql backend for ceilometer
* remove override\_install\_langs option in /etc/yum.conf
* disable firewall in bootstrap-server
* Deploy Telegraf on all nodes
* Check api\_interface instead of network\_interface
* Adding logrotate configuration for ceilometer
* fix magnum [keystone\_authtoken] configuration
* Add freezer container
* Add header blocks in CONTRIBUTING.rst guide
* when condition corrected in ceilometer config.yml
* Run collect static during container startup when necessarily
* Load all sections defined in code and conf file
* Add header blocks to Dockerfiles
* Add file validator for \*.json.j2 file
* Fix spelling mistake in remove-fedora release note
* Remove hostname from 127.0.0.1
* Move to manage.py migrate in horizon
* Add solum container
* change the mode for sudoers file
* Add kolla\_ prefix for all sudoers files
* Fix cinder volume permission issue
* Include oslo.vmware along with other oslo packages in openstack-base
* Fix plugin parsing for base images
* Fix typo in ansible/roles/haproxy/templates/haproxy.cfg.j2
* Add OS\_CACERT in openrc when it is configured
* Add chrony docker image
* Enable Gnocchi plugin in grafana
* Change workers in murano service
* Fix Manila-data binary distro
* Update manila-data service inventory
* Fix typo
* Fix keystone image building issue
* Make Ubuntu gate work
* baremetal group defined in all-in-one
* Barbican: Fix race condition when starting procs simultaneously
* Changed the start script name in cinder-volume
* Remove Fedora support
* Move precheck into its own role
* nova-spicehtml5proxy dependency package added
* Updated from global requirements
* Set the license field in pip
* Revert "Build source from Newton rather then Master"
* Revert "Move RDO to Newton branches"
* Add warning about mixing Kolla and OpenStack releases
* Fix gnocchi deploy
* Add kuryr to precheck
* added kibana reconfigure
* Add enable service logic in port check
* deprecate external\_network\_bridge option in neutron
* Update the way of loading the admin-openrc.sh file
* Adjust object-replicator heading within object.conf.j2 template
* change do\_reconfigure.yml to reconfigure.yml in CONTRIBUTING.rst
* Custom policy files
* change "openstack" to "OpenStack"
* Use become: True when updating /etc/hosts
* Fix broken test in vagrant boostrap script
* Update the task's name
* Add manila-data service
* Updated from global requirements
* grafana added to haproxy to listen on VIP
* Add upgrade.yml for bifrost
* Add reconfigure.yml for bifrost
* Correct the path of /etc/hosts
* Update the format of bifrost deploy.yml
* Add missing vagrant plugin vbguest
* Mariadb performance tuning
* Set memcache connection limit to 5000
* Print all docker images in gate
* Configure log path for kibana
* Remove haproxy\_socket volume from telegraf container
* Add a judgement condition in file pre-install.yml
* Remove kuryr-lib in upper-constraints.txt file when install master kuryr
* Fix fernet related components added to fact var properly
* Unpin ARA, update callback location
* Update "=" to "==" in "if" condition
* corrected line collapsing in ceilometer.conf
* Add serial for searchlight
* Remove the unnecessary "if" condition
* Allow operators to customise pip in kolla-toolbox
* Fix spelling mistake in kolla-host release note
* Pin ARA to 0.9.1 temporarily
* Fix vagrant's kolla folder sync
* corrected register variable name in  ceilometer bootstrap.yml
* Ansible2.0 changes: ansible\_ssh\_user to ansible\_user
* Install the packages needed by different ironic drivers
* Fix invalid json in ironic service
* Add logrotate configuration for elasticsearch
* Collect haproxy/elasticsearch/memcached metrics only on related hosts
* Move bandit to pep8 as generic linting target
* Add validate no new line at end of file
* Add profile usage to kolla-build guide
* Use xenial repos for Ubuntu in the gate
* Update 'addUser' to 'createUser'
* Add blocks to customize RHEL package installation
* Revert "Build source from Newton rather then Master"
* Updated from global requirements
* Fix api\_paste\_config option
* remove not use configuration items in memcached
* Fix memcache configuration of manila-share
* Support searchlight ansible role
* Add http as allowed store when glance configured to use rbd
* Deprecate auth\_plugin option in manila
* Memcache configuration for Ceilometer is broken
* Remove unnecessary blank line from file glance-api.json.j2
* Support Searchlight Docker container
* Fix mariadb build issue
* Congress doesn't deploy release note
* Fix wrong log permission for services collected through syslog
* Update globals.yml Docker registry example notes
* Add node\_custom\_config example to globals.yml
* Remove inputs.filestat from telegraf configuration
* Adding kubetoolbox image
* Murano fails to deploy - cannot check core library
* Add missing closing brace in grafana configuration file
* Bump retries in starting nova-libvirt to 5
* dependencies added to build code with pip in QSG
* Fix syntax error in sahara permissions
* Fix gnocchi upgrade permission issue
* Ironic should be started before nova-ironic-compute
* Fix grafana upgrade permission issue
* Fix neutron upgrade permission issue
* Fix influxdb upgrade permission issue
* Fix wrong magnum volume path in json file
* Fix for cinder not working with permissions changes
* Fix nova  upgrade permission issue
* Fix murano upgrade permission issue
* Ceilometer cannot create standalone mysql database
* Fix configuration templates used for Ceilometer
* Add guide for Hitachi NAS Platform Driver for Manila
* Update OpenStack service names
* Fix mongodb upgrade permission issue
* Fix log directory of Elasticsearch
* Fix senlin upgrade permission issue
* Use correct Kibana version on the gates
* Fix ironic upgrade permission issue
* Fix common role upgrade permission issue
* Fix rally upgrade permission issue
* Fix watcher upgrade permission issue
* Fix docs formatting error
* Fix sahara upgrade permission issue
* Fix cinder upgrade permission issue
* fix cron logrotate for sahara
* Remove ceph repo for Ubuntu install
* OpenStack Services Should Use keystone\_internal\_url for auth
* Cinder endpoint wrong fix
* Fix elasticsearch upgrade permission issue
* Fix heat upgrade permission issue
* Fix magnum upgrade permission issue
* Fix mistral upgrade permission issue
* Fix manila upgrade permission issue
* Fix congress upgrade permission issue
* Fix telegraf upgrade permission issue
* change perm 0644 to 0600 in murano role
* Delete the unnecessary space
* Fix stale namespace removal issue
* Fix mariadb upgrade permission issue
* Port prechecks only for enabled services
* Consistently set sys path when using local tools
* Fix glance upgrade permission issue
* Remove indentation from l3\_agent.ini.j2
* Update Manila Guide
* Fix ceilometer idempotent
* Move demos and dev directory into a new contrib directory
* Reorder the interface/network checks
* move sys.exit out of try finally block in set\_config.py file
* Fix keystone upgrade permission issue
* Add watcher checking to port\_checks.yml
* add magnum  to precheck
* add kibana to precheck
* Make iscsi config.yml consistent with start.yml
* copy iscsid logrotate config
* Update reno for stable/newton
* Fix template for multiple physical networks
* Mount host localtime for containers
* set basic kolla structures for iscsid
* precheck fails due to unknown cinder\_volume\_group
* Cleanup container script improvement
* Add missing debugging paramters to nova config
* copy ldlinux.c32 to /tftpboot in ironic\_pxe
* Move graphviz dependency to test stage
* Adds Fluentd docker image required for kolla-kube
* Fix rabbitmq upgrade permission issue
* Fix keystone fernet file exchange via ssh
* Updated from global requirements
* Fix wrong mongodb address variable in ceilomter bootstrap
* Install MySQL-python with pip in openstack-base container (type source)
* Add register to upgrade.yml to create correct endpoint
* change source to . in gnocchi-base dockerfile
* Hyperlink is expired
* ansible: swift: Fix swift-object-expirer restart loop
* Fix the failure to launch instance when enabled Ceph
* Allow operators to change hw\_disk\_discard in Nova
* Make Kuryr upgrade not crater the upgrade
* Enable keystone authentication for Barbican
* Fix 'Address already in use' for barbican-api
* Modify QSG to install dependencies needed to build code with pip
* Add missing uwsgi for barbican-api Dockerfile
* Added missing cleanup-images in setup.cfg
* Use option auth\_type in group trustee in heat configuration
* Add HNAS as Manila backend
* remove extra blank lines
* add grafana log in heka
* Make number of ceilometer-api processes configurable
* Make number of gnocchi-api processes configurable
* Make number of aodh-api processes configurable
* Make number of keystone processes configurable
* Fix the wrong setting for Grafana session
* Add netaddr to requirements file
* Add upgrade tasks for Mongodb
* Add upgrade tasks for Kibana
* Make sahara api worker configurable
* integrate gnocchi with cloudkitty
* Use rootwrap in sahara config
* Mark performance monitoring stack experimental
* Choose node with largest seqno number for mariadb recovery
* Change keystone.log's permit to keystone:keystone
* integrate gnocchi with ceilometer
* fix mistral requires auth\_uri to point to v3 explicitly
* Remove unneeded Heka bootstrapping code
* Build source from Newton rather then Master
* add sahara log in heka
* Move RDO to Newton branches
* fix can't collect horizon log in heka
* Fix genconfig and reconfigure for magnum
* Enable release notes translation
* Remove unneeded blank lines
* Remove default values from conf file
* Install python-mysqldb for Ubuntu in openstack-base container
* Heka template missing optional params
* Updated from global requirements
* Fix horizon to use cache
* Create /var/log/kolla/rally before running rally-manage db create/upgrade
* Fix l3\_agent.ini rendering error when DVR
* Add hexdump package for ironic-conductor container
* Heka deprecation
* install pxelinux for ironic\_pxe
* Revert "Fix pycparser wheel package issue"
* Fix sahara endpoint url
* Change mysql-check in HAProxy to post MySQL 4.1
* Handle z stream change for rabbitmq-server
* Iscsid container fails to start on storage node when cinder is enabled
* fixed kestone fernet prechecks for multinode deployments
* Handle the KeyboardInterrunpt properly for build.py script
* Fix ironic failed
* Download the rabbitmq\_clusterer plugins to the correct path
* Fix pycparser wheel package issue
* Readability Improvements to Advanced Config Doc
* Update the upgrade.yml for mariadb roles
* Add CADF event configurations in Keystone when enabled
* Remove redundant common play and add haproxy hosts
* Fix a few typos in documentation
* Use sudo to create loop device on gate nodes
* Improve playbook to setup gate nodes
* Move loc tool into tools directory
* Integrate gnocchi with ceph
* Fix error in Gnocchi service
* iscsi role misses 'storage' group
* Deprecate Fedora based Docker images
* Fix typo in start.yml
* Fix a typo in bifrost.rst
* Mount host localtime for ceilometer
* Fix mistral service
* add influxdb to precheck
* add ceilometer congress to precheck.yml
* Fix Magnum trustee issues
* Fix wrong heat trustee configuration
* add congress api to haproxy
* add etcd to precheck
* Update the location of Glance Registry HAProxy checks
* Remove do\_reconfigure.yml file for all roles
* Rename the gnocchi api-paste filename
* Use merge\_configs for gnocchi-api-paste.ini file
* Add a note for how to get prior release kolla doc
* Update manila-share.conf
* change CollectD to collectd in collectd role
* Fix a docstring typo in build.py
* Remove default=None when set value in config
* Add aodh checking to port\_checks.yml
* add sahara port prechecks
* change perm and user wsgi file permission
* remove bootstrap.yml in grafana role upgrade.yml
* Add bootstrap\_service.yml to upgrade.yml
* add aodh gnocchi barbican in heka.json.j2
* Add newline in grafana template
* Use keystone-paste.ini template for keystone
* change perm 0644 to 0600 in congress role
* add reconfigure.yml in congress role
* Adding the steps of generateing ssh key in tools/init-runonce
* add upgrade.yml in congress role
* Fix the url of Cinder endpoints
* Changed docker\_restart\_policy to unless-stopped
* add cloudkitty port prechecks
* Remove clients from test-requirements already installed by python-openstackclient
* Fix merge\_configs.py file when not provide vars parameter
* install iptables in ironic-inspector container
* fix ironic-inspector setup
* Fix the failure of ceilometer-api container
* Change "Virtualhost" to "VirtualHost" in horizon.conf.j2
* Revert "Add enable\_elasticsearch option"
* Delete tempest.yml playbook
* Revert "Bind EPMD to api interface address"
* Add aodh-api to haproxy.cfg file
* ES and Kibana config modification for Kube
* add upgrade.yml content for gnocchi role
* Fix heat role creation
* Add Using a different base image to image-building doc
* Clean up TODOs from live documentation
* remove not use wsgi other service in aodh
* add upgrade.yml to aodh
* Add more packages in bindep.txt
* Add upgrade.yml to sahara
* Add enable\_elasticsearch option
* Install the required packages for ceph-base image
* Fix idempotent for initializing toolbox container task
* Document bug triage
* Update the order of release note page
* add etcd reconfigure content and do\_reconfigure file
* Fix permission for /var/log/kolla folder
* missing space breaks haproxy from starting
* Document that YAML data files should start with three dashes
* Mark include-footer and include-header deprecated for removal
* Point to boostrap-servers playbook in quickstart
* Add architecture guide back to index.rst
* Remove ansible serial: option for haproxy and rabbitmq
* Cinder cannot use external non-LVM iSCSI storage
* Add "---" into some files of yaml
* Updated from global requirements
* Allow operators to provision multiple physical networks
* Fix senlin api bind host
* Add support to use pdb with tox
* Delete the unnecessary space
* Fix tempest missing spaces
* Add fwaas\_driver.ini file to neutron-vpnaas-agent container
* Allow a custom keepalived configuration file
* Allow a custom haproxy configuration file
* Fix base CentOS repository keys
* Fix murano auth issue
* Remove all bytcode & objectcode  before running tox
* Remove no-cache option in build.py
* Delete extra spaces in baremetal install.yml
* Deprecate old auth parameters of ironic in nova.conf
* Allow genconfig to work with kolla-kubernetes and ceph
* Update EPEL version in base
* Fix Keystone CADF notifications
* fix horizon fernet container
* Add pulling ceilometer-collector image
* run\_once Checking mongodb backend for ceilometer
* Set ownership of barbican configuration files to barbican
* Repair swift reconfiguration
* Use ansible\_version when available for precheck
* Checking valid fernet expiry only need to run once
* Fix using rhel as a base build image
* Install cinder related package for glance
* Install extra packages for gnocchi using setuptools extra feature
* Remove duplicate lbaas provider config
* Document that new services have to be listed in the README file
* Fix ironic Dockerfile
* Added Barbican in the list of services deployed by kolla
* Added enable\_option for some services
* Delete extra spaces in gnocchi config.yml
* Add "---" into ceilometer/tasks
* Deprecate nova-network container
* Create the heat\_stack\_user/owner role in the heat role
* Fix vpnaas for neutron
* Add "---" into tempest.yml
* Only enabled services log files
* fix config file permission to ironic instead of root
* corrected error in multinode.rst
* Optimized the serial upgrade and reconfigure
* Fix reconfiguration issue for Keystone role
* Remove the unnecessary space
* Fix up aodh config templates
* add reno note monitoring
* install ironic-inspector during image build
* align ceph with other svc patterns in inventory files
* Enable CADF events in Keystone and introduce enable\_cadf\_notifications
* Update "which" command  to "type"
* Add "python-openstackclient" to test-requirements.txt
* Allow operators to customise keystone source install
* Add networking guide for Neutron extensions
* kolla config file path corrected for ubuntu
* Use "type" to take place of "which" and update the output
* Add Kuryr ansible role
* Revert 'Add neutron-lbaas-agent to exlude image for Ubuntu binary'
* Add a tip at the end of tools/init-runonce
* Modify collectd permissions
* Remove public\_router\_id from tempest configuration template
* Document how to add logging for a service
* Add cloudkitty to heka-openstack.toml.j2
* User os\_keystone\_role to create cloudkitty rating role
* Fix ceilometer.conf template
* Bump version of Kibana from 4.4 to 4.6
* Integrate neutron-vpnaas-agent into the neutron Ansible role
* Generate full /etc/hosts on every node
* Add etcd ansible role
* Add kuryr-libnetwork Dockerfile
* Switch arguments to usermod
* Mariadb bootstrap - no need to check for cluster ready in Kube
* Add  upgrade file to barbican role
* Added telegraf role
* Non-default database port documentation
* Add ansible role for vmtp container
* Add neutron-vpnaas-agent container
* Minor fix in manila guide
* Allow Neutron to be run in DVR mode
* Add extras and pytz>=2013.6 into test requirements
* Added grafana role
* Set owner of rally.conf to rally
* Add Networking-SFC role
* Add nova-serialproxy container
* Add Senlin Ansible role
* Fix missing cloudkitty config file for cron container
* Bind EPMD to api interface address
* Change Mariadb default character set to utf8
* fix the common upgrade
* Call filter\_images before save dependencies
* Remove the useless host in site.yml
* Add iter function to change list into iterator
* Fix transport for kolla-kubernetes
* Allow customizations of pip packages
* Fix formatting in CONTRIBUTING.rst
* Use "node" take place of "nodes"
* Add header blocks to all Dockerfiles
* Check volume group exists for Cinder in prechecks
* Add logrotate configuration for cloudkitty
* Fix permissions of tmp files
* Copy mongodb\_bootstrap\_replication\_set.js to /tmp on the deployment host
* Added serial option to site.yml
* Add common role to Ansible site file
* Build process outputs each line twice
* Fix mariadb bootstrap error
* add telegraf log directory  /var/log/kolla/telegraf
* Add Barbican ansible role
* Fix wrong release name in a comment in sources.list.ubuntu
* Add missing apt-get clean in Ubuntu base image
* Install apt-utils in Ubuntu base image
* move ovs cleanup to tools/cleanup-host
* Adding required check for Orchestration Kubernetes
* Revert "Build a more organized doc structure"
* Fix manila\_share container isn't up after deploy
* Check if libvirtd apparmor profiles exists before removal
* Allow mysql to be used as a database for Ceilometer
* Use delorean rabbitmq
* Clean imports in code
* Added grafana container
* Improve README file
* Add ara to collect ansible playbook running statics
* Change with\_ loop variables syntax to ansible 2
* Add neutron-lbaas-agent to exlude image for Ubuntu binary
* Remove novncproxy and spice from reload
* Fix generated sahara conf
* Use \`\`tgtd\`\` to take place of tgtd
* Remove the duplicate word to improve the clarity of the sentence
* Change ceph version to Jewel
* Move transport\_url parameter before service\_providers section
* Updated from global requirements
* Ansible roles for collectd Container
* Adding manila endpoints to HAProxy
* Fix manila-api binds to ::
* Update the command to restart the docker
* Add Checking free port for Manila API
* loc fails with recent removal of heat dev env
* Allow use of database for Horizon sessions
* Correct Ironic keystone\_authtoken option name
* Add empty upgrade file to gnocchi role
* add CentOS's docker config file in multinode.rst
* Remove the deprecated kolla-build group name
* Fix keytone options in all.yml/globals.yml
* Add sahara ansible role
* Cinder-backup misses client part for NFS backend
* Add cloudkitty ansible role
* Add extra methods in template when using template override
* Keepalived leaves VIP on the host in case of accidental removal
* Turn off bindep
* Implement Ansible rally role
* Cinder-backup fails while backing up iSCSI volumes
* Add gnocchi ansible role
* Comment some lines in globals.yml
* Correct Murano keystone\_authtoken option name
* TrivialFix: Delete virtual bridge artifacts when cleaning hosts
* Fix lost parameter --remote in generated start\_ovsdb\_server.sh
* Improve script to check used source versions
* Replace deprecated rabbitmq parametrs
* Add cloudkitty containers for type source
* Fix Typo in quickstart
* Add missing Docker images of OpenStack services to README file
* Add Barbican container dockerfile
* Init group owner of /etc/kolla to kolla
* Ensure doesn't use LOG.warn
* Update destroy include images arg to LONGOPT
* Remove dev/heat note from READE file
* Added influxdb role
* Use the standard start method for kolla-toolbox container
* Add precheck for ceilometer backend
* add iproute package in base image
* Use a local docker image namespace in gate
* Updating ironic configurations in nova.conf
* Add guidelines on adding a new service
* repair gnocchi  dockerfile
* Update doc for congress
* Added Ansible playbook for congress deploy
* Release notes for customization
* replace baremetal\_nic with api\_interface
* Allow operators to override use of get-pip.py
* Allow operators to customise rabbitmq plugins
* Add warning to kolla-ansible destroy action
* Allow operators to override versionlock for redhat in base
* Add a block around oraclelinux base package install
* add deploy-servers command
* adds bifrost ssh key generation
* add bifrost deploy ansible support
* generate bifrost yaml configs
* Install neutron-lbaas-dashboard from source in horizon container
* Fix service\_type of mistral endpoint
* Customizations for Neutron
* introduce bifrost-deploy container
* Add option to support dhcp/l3 agent ha
* Add ansible raw task note, add apt-get update
* repair rally dockerfile
* Fix nova\_ssh container shell to allow instance resizes
* Add aodh role
* Removing development packages from Baremetal install defaults
* Limit hostfile generation to control nodes
* Architecture guide doc
* Customization for base
* Add a check before wiping Ceph disks in bootstrap
* Customizations for dind
* Fix using filter() to meet python2,3
* Dockerfiles for collectd Container
* Fix removing nova\_libvirt container issue
* Fix Kibana image build error
* repair aodh image dockerfile
* Chage with\_ loop variables syntax to ansible 2
* Updated from global requirements
* Change source with dot at extend\_start files
* Use six.StringIO
* Add missing container image names to build config file
* Fix bandit gate jobs
* Customizations for MariaDB
* Changed admin-openrc from DOMAIN\_ID to DOMAIN\_NAME
* Move rabbitmq precheck from start
* Fix toolbox permission issue when enabling ceph
* Import the Murano core libary as part of setup
* Customizations for Nova
* Customizations for Ironic
* Customizations for RabbitMQ
* Add dockerfiles for keystone fernet
* Add full support for fernet
* Set 'balance source' for Horizon in haproxy
* Move to transport\_url for rabbitmq configuration
* Updated from global requirements
* Add etcd container
* Add defaults for interfaces to all.yml
* Fix bug in Elasticsearch role
* Fix Ubuntu binary build and deploy gate
* Add missing \n at end of file
* Add mariadb client binaries to kolla-toolbox
* Fix some minor errors in the doc
* py3:Remove six.iterXXX
* Fix typo in iscsi pull playbook
* Vagrant doc updates
* fix sahara dockerfile
* Pin Ansible version to 2.1.1.0 in kolla-toolbox
* Remove log propagate configuration
* Updated from global requirements
* Sync the local\_settings.j2 with horizon
* Implement mongodb replication set cluster
* Create the nova instances directory when need during starting
* Use dumb-init to manage the pid 1 process
* Make tox -e docs work
* Pin to Ubuntu 16.04
* Fix Ubuntu source gate deployment
* Remove unnecessary host at haproxy in site.yml
* Remove the RUN directive for macros.install\_packages in the Dockerfile
* Remove Kazoo dependency and Kolla Zookeeper helper
* Fix the location of Kolla configurations in the evaluation workflow
* Handle empty package list for install\_packages
* Add basic checking for network\_interface to prechecks
* Updated from global requirements
* Add Dockerfile for congress
* Improve rabbitmq-clusterer template code format
* Customizations for Multipathd
* Update openvswitch base Dockerfile to include footers
* Update heat base Dockerfile to include footers
* Simplify install process for faster quickstart execution
* Add pull.yml file for tempest
* Fix murano notification driver
* Create the \_member\_ role in the horizon role
* Customizations for zaqar
* Port with\_ loop variable syntax to Ansbile 2 (finish)
* Update kubectl version at magnum-conductor container
* Update cirros image visibility in init-runonce
* Customizations for aodh
* Customizations for murano
* Customizations for sahara
* Customizations for trove
* Updated from global requirements
* Remove duplicate items
* Customizations for heka
* Fix Kolla home-page URL
* Start using orchestration\_engine variable
* Add crudini
* Fix guide formating errors
* Add force flag to cleanup-images
* Build a more organized doc structure
* Move the keystone\_\*\_url variable from common role to group vars
* Add guide to auto mount /run as shared
* ironic.conf file missing enabled\_drivers info
* Fix tar command path for magnum conductor using ubuntu
* Fix neutron-server section in AIO sample inventory
* Add jq
* Add support for building vmtp container
* Add a note about the sandbox environment to the CONTRIBUTING doc
* Customizations for Senlin
* Skips a debug log during image build
* Minor formatting change to CONTRIBUTING.rst
* enhancements to install\_packages macro
* Document the Dockerfile customisation mechanism
* Fix the Ubuntu Xenial build gate
* Fix the memcache location value in horizon local settings
* Minor doc fix
* Customizations for Manila
* Fix LVM2 in Ubuntu section in Cinder guide
* Customizations for Tgtd
* Updated from global requirements
* Customizations for Designate
* Customizations for Elasticsearch
* Customizations for Kuryr
* Customizations for OpenStack Base
* Customizations for Swift
* Customizations for Tempest
* Customizations for Cinder
* Customizations for Watcher
* Customizations for Glance
* Keystone interface address and memcached override
* Fix interface address for Neutron-server
* Added Test case for env and volume comp
* Fix designate bootstrap
* Add --user-domain when adding heat role admin
* add baremetal role to install kolla deps
* iscsi initiator names must be unique among hosts
* Fix intf address for RabbitMQ and disable cluster for Kube
* Revert "Remove files from /var/lib/apt/lists when cleaning up on Ubuntu/Debian"
* Introduce a script to launch ovsdb-server process
* Port with\_ loop variable syntax  to Ansbile 2
* Document the use of external Ceph journal drives
* Remove heat dev environment
* Cinder-backup requires iscsid running on the same host
* Change Quickstart to follow code conventions
* Optimize horizon cache and compress for http response
* Add heka custom config to define user's log pipline
* Customizations for kibana
* Replace horizon default config with custom config
* Fix typo in doc
* Change cleanup to destroy as cleanup is a misnomer
* Customizations for Ceph
* Updated from global requirements
* Fix prechecks of a vip address
* Remove unused project\_yaml parameter from role metadata files
* Remove files from /var/lib/apt/lists when cleaning up on Ubuntu/Debian
* Enable the nova microversion api
* Make the kolla\_keystone\_service can update fields
* Fix inconsistencies in git url
* Dockerfiles for Networking-SFC Container
* Customizations for kolla-toolbox
* Reducing disk footprint for Ubuntu/Debian images
* Add Watcher default settings
* Fix the evaluating conditional for enable es and kibana
* Customizations for magnum
* Customizations for keepalived
* Add customizations for keystone
* Added influxdb container
* Customizations for iscsid
* Volume specification for ironic-api was invalid
* Add doc8 test and improve rst syntax
* Added neutron-metering-agent
* Replace keystone's wsgi config with custom config
* Add upgrade tasks for Ceilometer
* Correct mistral-executor image name
* Updated from global requirements
* Modify some spelling mistakes
* Enable central logging without deploying elasticsearch/kibana
* Customizations for Horizon
* Cleanup images as part of kolla-ansible cleanup
* Correct permissions to /etc/keystone/domains
* Change workers to be static when using kubernates
* Glance interface address, memcached override, and glance override
* Horizon interface address and memcached override
* Fix interface address for memcached atop kubernetes
* Fix the variable name mismatch
* Added Test case for attribute comp
* Using sys.exit(main()) instead of main()
* Fix the kolla\_docker issue with docker 1.12
* Change config for lbaas service\_plugins
* Fix undefined error for cinder template
* Add "Programming Language :: Python :: 3" to setup config file
* Added telegraf container
* Use /etc file to overwrite the docker.service file
* Doc wording update
* Enable kolla k8s to override bind api bind address in genconfig
* Customizations for mongodb
* Customizations for haproxy
* Fixing crond crashing with centos/source
* Updated from global requirements
* External Ceph - Implementation Nova
* Use a lower number of the workers
* Make kolla-build list-dependencies option work
* Fix dict.values() PY3 compatible
* Fix the neutron-lbaas-agent container issues
* Make the enable\_isolated\_metadata and force\_metadata to yes in default
* Customizations for openvswitch
* Use the node\_custom\_config variable in the config.yml file
* Clean up Glance image after sanity check
* Implement customizations for heat-api-cfn container
* Vagrant plugin check
* Python 3: dict.iteritems()
* Fixes Dockerfile for neutron-lbaas-agent
* Customizations for ceilometer
* Minor Readability Adjustments to Operating Kolla
* Fix Wording and Typos in Deployment Philosophy
* Customizations for rally
* Customizations for cron
* Fix typo in cinder guide
* Customizations for mistral
* Simplify the Cinder LVM backend
* Pull tgtd image when need
* Add empty upgrade.yml file to ceilometer role
* Consistent external Ceph configuration for Glance
* Customizations for gnocchi
* Allow custom configurations for ceilometer
* Ensure apt-transport-https is available
* Add Watcher ansible roles and templates
* Use lbaas alias instead of the class name
* Bind the ceilometer-api process to the api\_interface only
* Added ceilometer decision in neutron.conf for event notifications
* implement Ansible Tempest role
* Fix the failure to create instance snapshot
* Customizations for heat
* Configurable policy.json for keystone
* External Ceph - Implementation Cinder
* Add missing configuration files for ceilometer
* Add Cinder-Volume Package for Ubuntu binary install
* Change rgw frontend interface
* Fix 'reconfigure' command of kolla
* Remove notification\_driver option
* fix small documentation error
* Add pull.yml to the ceilometer
* Add 'optional' param for mariadb heka conf
* TrivialFix:modify the spelling mistakes
* Removing .erlang.cookie before rabbitmq bootstrap recreates it
* Improve glance sanity check
* External Ceph support - Implementation Glance
* Keystones openstack\_auth was undefined
* Added unit test for volume operations
* Add Python 3.5 classifier and venv
* Support Keystone Domain specific files
* Remove [neutron]/auth\_strategy option in nova.conf
* Use local mirror of ceph and uca
* Enable Block Storage meters
* corrected documentation for registry version
* updated insecure docker-registry configuration
* Add multipathing support to docker container
* Add LDAP support to keystone Dockerfile
* Use inventory\_hostname for Ceph bootstrap
* Updated from global requirements
* Underline should match the title length in docs
* Build docker images for OpenStack Watcher
* Fix magnum default service type
* Fix the memcached config in horizon local\_settings
* Add enable\_iscsi option to etc/kolla/globals.yml
* Read GPT label using sgdisk rather than udev
* Improve task names for Ceph
* Fix the overwrite sudoers file issue
* Fix the native ovsdb\_interace failed
* Updated from global requirements
* Fix the upgrade haproxy failed
* Fixed typo in all.yml
* Add Senlin Docker container
* Fix broken save,list images/dependencies options
* Add releasenotes for ceilometer
* Fix publicURL endpoint not found issue in CI
* Use the disk size as the osd weight when osd\_initial\_weight is auto
* Copy lbaas-haproxy.filters file to /etc/neutron/rootwrap.d
* Cleanup RUN commands in base Dockerfile
* neutron-lbaas TO neutron-lbaas-agent
* Added unit test for image operation
* Be smarter about what to do when making a docker client
* Add test for remove container, get state and get env
* Remove MariaDB warning from HAproxy
* Trivial fixes to correct couple of typos
* Document a common Ceph bootstrap failure scenario
* Add unit test for stop and restart container
* Enable openvswitch container logs in host volumes
* Fix container stop exeption
* Fix minor typo in security guide
* glance-\*, fix rabbit config with ceilometer
* Revert "Fix radosgw 'rgw frontends' param"
* Set the privsep\_osbrick.helper\_command in nova and cinder
* Updated from global requirements
* Customizations continued
* Update urls for Delorean repo files
* Add upgrade pip command to QuickStart Doc
* Add the verification of required images step before the deployment
* Fix docker daemon proxy support in vagrant
* Remove deprecated package python-tuskarclient
* Add Kuryr Docker container
* Stop using a global logger for all the things
* Updated from global requirements
* Notify operators that cinder + LVM doesn't work
* Use MAC address for looking for DHCP leases for Vagrant
* Add customizations for apt keys and packages
* Add named volume for nova-libvirt
* Spec: Deploy Kolla images using Kubernetes
* Add reconfigure tasks for ceilometer ansible role
* Make Neutron QoS service plugin configurable
* Remove mesos artifacts
* Connect to remote hosts as root
* Only keep localhost for 127.0.0.1
* Remove unused SUPPORT\_NODE variable
* Set internal vip to vagrant private network
* Refer to operator VM as primary VM
* TrivialFix: A typo fix in the globals.yml
* Implement ceilometer ansible role
* Added unit test for start container
* Properly fail precheck for internal VIP's network
* Remove EC2 API related configurations and tasks
* Format commands to the code block
* Fix ownership of nova-novncproxy-source directory
* Macro install packages
* Remove the pull action in the deploy\_aio CI
* Revert "Added precheck to check kernel version 4.2 on Ubuntu 14.04."
* Added unit test for start container
* Make cleanup remove restarting/exited containers
* Makes ml2\_conf.ini configuration consistent
* Implement Rally Dockerfile
* Remove verbose parameter from lbaas\_agent.ini file
* Update kollaglue repo on docker to kolla
* Create ansible home directory in kolla-toolbox container
* Load the metadata definitions during Glance bootstrap
* Remove Heat CLI deprecated commands
* The quickstart guide still says to use Anisble 1.9.4
* Added test document
* Change the search path to look locally
* Fix typos in Kolla
* Fix the openstack\_release variable in all.yml
* Added unit test for kolla\_docker
* Fix missing ceilometer user in the sudoers list for binary type
* Remove liberty warning
* Revert "Changed namespace from kolla to kollaglue in oslo"
* Add non-intrusive ctrl-c handling
* Use 'image' not 'item'
* Changed namespace from kolla to kollaglue in oslo
* Fix the prechecks for the ansible version
* Run more kolla-ansible task in the gate
* Mechanism for Dockerfile customization
* Make build.py importable lib
* setup\_{RedHat,Debian}.sh, make more idempotent
* Fix the neutron reconfigure issue
* Bump the ansible version to >2 in the kolla-toolbox
* Remove the deprecated kolla-build section
* Config files having underscores breaks Kolla-Kubernetes
* Cleanup help string of install\_type parameter
* Add kolla-kubernetes bootstap logic endpoint script
* Add kolla-kubernetes bootstrap capability to Keystone
* Add kolla-kubernetes bootstrap capability to mariadb
* Fix URL to Heka documentation in README file
* make rabbitmq container build with debian
* Make nova-libvirt container build with debian
* Make heka container build with debian
* Make container dind unpin old docker relase
* Make swift-base container build with debian
* Make container kolla-toolbox build with debian
* adding else statement with empty string starting ansible 2.X it require a else statement
* Updated from global requirements
* Install keepalived in neutron\_l3\_agent container
* Add vars to the merge\_config task in config-neutron-fake.yml
* Document upgrading for operators
* Enable HAProxy consider MariaDB wsrep\_local\_state
* Use debian repos for debian base docker image
* Use an image object, recorder object and status constants
* Use a task model and dumb workers
* add curlrc file to base image
* Add .vimrc to .gitignore
* adding Note for ubuntu 16.04
* Update Cinder guide
* Updated Gnocchi binary containers
* Add support for mistral ubuntu binary containers
* Add passwords parameter to LONG\_OPTS in kolla-ansible script
* Don't always unpack image build results tuple, as it may be None
* Manila driver session is needed only in manila-share
* Retitle quick start to make it more obvious in index
* Move developer related docs into their own section
* Fix the cinder backup permission issue when enable ceph
* change keyfile to key
* Install missing package in spiceproxy container
* Pin the base distro release version
* Log the traceback in the kolla libraries
* Updated from global requirements
* Use --subproject instead of deprecated --service option
* Fix the incompatibility for ansible 2.1.0
* Do not use AUFS for centos/fedora/oraclelinux container images on ubuntu host
* Document using a custom config directory
* Adds Neutron LBaaS Support
* Use file module instead of running rm to remove a directory
* Do not use bare variables in the ceph role
* Update Documentation
* Fix kolla-build return codes
* Set ServerTokens parameter to 'Prod' for Ubuntu Apache config
* Install correct version of arping
* Add support to lint the install commands in Dockerfiles
* Add sahara containers
* Update ubuntu dockerfiles for formatting
* Add title to index page of developer documentation
* Add support for murano binary containers for rpm based distros
* Add ubuntu binary container for zaqar
* Add support for magnum ubuntu binary containers
* Update the image-building documentation
* Update quickstart guide for formatting
* Simplify image building information in quickstart
* Specify registry volume location
* Bump the ansible to 2
* Change ansible image to kolla\_toolbox
* Fix syntax issue in advanced-configuration.rst
* Make configurable the location where config files are merged
* Generate configuration using ansible for any project
* Compile the messages in the horizon
* Configure the rabbitmq ha policy in config file
* Fix the rabbitmq crash on CentOS binary and source deploy
* Updated from global requirements
* Make passwords.yml file generation configurable
* Add generate-config option to kolla-ansible
* Update the horizon dockerfile for formatting
* Change the SELinux doc to a security doc
* Improve Vagrants bootstrap.sh proxy support
* Fixed typos in Ansible files
* Updated from global requirements
* Collect more info from the gate for debug
* Stop configuring neutron to enforce DHCP MTU option
* Remove unwanted test dependency zake
* Add a cluster\_network interface when we use ceph
* Update advanced configuration
* Structuring the documentation
* Fix build for oraclelinux base
* Update doc about how to install python-docker-py on centos
* Doc rework for quickstart, multinode, and image-building
* Updated from global requirements
* add support for non-default database\_port in kolla/ansible
* Avoid \_ in rabbitmq\_clusterer.config
* Fix the virt\_type in the gate
* Update liberty deployment warning
* Adding variables for Cinder iSCSI backend configuration
* Adding Upgrade to iscsid/tgtd container
* Revert "Install master's version of an RDO keystone"
* Support a custom base image
* Add docs about config overrides
* Fix the copy docker log typo
* Implement non-default signal handler for SIGINT
* Add extension to file
* Make "cleanup-containers" script works dynamically
* Diagnostics for Environment
* Run HAProxy in a chroot jail
* Add images from profile as matched only if no regex is used
* Make Heka collect Ceph logs
* Deleting only images from kolla build
* Deletes fake containers on cleanup
* Generate image dependencies on CLI
* Add a CONTRIBUTING.rst for Kolla
* Cleanup Mesos/Marathon related work
* Use updated wsgi file for Keystone 9.0.0 release
* Adding ability to specify capabilities and security
* Updated from global requirements
* Update kolla irc channel
* Adding a few #nosec tags to prepare for Bandit usage
* map the host localtime to the container
* Add python-memcache package openstack base
* Remove dependencies on kazoo and friends
* Remove unecessary blank lines
* Fix radosgw 'rgw frontends' param
* Yum install Ansible 1.9 specified
* Updated from global requirements
* Re-order the when condition in the cinder reconfigure
* Remove the useless nova\_ssh configure in the passwords.yml
* Update murano service name
* Fix the gate lying
* Handle multi Ethernets case in the gate
* Catch all the exception in the push thread
* Override default latest tag on ubuntu
* Document custom-repos
* Update Vagrant docs to ensure libvirt is installed
* Remove the eth1 up and down manually in the rax-ord node
* Robustify of rabbitmq upgrade
* Update designate dockerfile for formatting
* Configures swift-rsyncd to use non-default port
* Update remaining files for formatting
* Update openvswitch dockerfile for formatting
* Update ceilometer dockerfile for formatting
* Update chronos dockerfile for formatting
* Update zookeeper dockerfile for formatting
* Fix failure to deploy with qemu.conf
* Remove check for config files to verify MountFlags
* Revert "check /e/s/s/docker.service in ubuntu"
* Workaround broken nodepool to unblock gate
* Fix iscsid & tgtd sections in inventory samples
* Disable tty for keystone register script
* Add a role to cleanup containers after deployment
* Fix typo in kolla-ansible usage message
* Add missing extend\_start files for ceilometer container
* Change Jinja2 rquirements to match globals
* Use proper protocol scheme with nova
* Make Cinder access glance in round robin fashion
* Add TLS to Kibana Web Interface
* Add Kibana quick start guide
* Update base dockerfile for formatting
* Use proper CentOS repositories for ceph and qemu
* Enable unbuffered output for ansible
* Updated from global requirements
* Remove node\_templates\_directory in ansbile variable file
* Add Mistral Binary Containers
* Added help documentation for kolla-ansible upgrade
* Fixes kolla\_toolbox failure due to missing pytz module
* Fix the upgrade issue when image id is the same
* Update haproxy dockerfile for formatting
* Update Nova dockerfiles for formatting
* Make Heat bootstrapping idempotent
* Update Neutron dockerfiles for formatting
* Update tgtd & iscsid dockerfiles for formatting
* Update Cinder dockerfiles for formatting
* check /e/s/s/docker.service in ubuntu
* Remove Disable HAProxy option from Quick Start Guide
* Add  iscsid/tgtd specific parameters to Kolla infrastructure
* Adds ansible code for iscsid and tgtd containers
* Update Zaqar dockerfile for formatting
* Update Trove dockerfiles for formatting
* Update Swift dockerfiles for formatting
* Update OpenVSwitch dockerfile for formatting
* Update Mongodb dockerfile for formatting
* Update Mesos dockerfiles for formatting
* Update Memcached dockerfile for formatting
* Update Mariadb dockerfile for formatting
* Update Manila  dockerfile for formatting
* Update Marathon dockerfile for formatting
* Update Magnum dockerfiles for formatting
* Update Ironic dockerfile for formatting
* Update Heka dockerfile for formatting
* Update Heat dockerfiles for formatting
* Update Gnocchi dockerfiles for formatting
* Update Aodh dockerfiles for formatting
* Update Ceilometer dockerfiles for formatting
* Add missing base os values to kolla-build.conf
* cleanup-host should not remove kolla-build.conf
* Create /var/cache/swift in source installation
* Create and chown /etc/heka directory
* Fix the wrong package name in Ubuntu binary build
* Drop root for swift
* Identify container through  PS1 shell variable
* Make sure /etc/hostname is valid for SELinux
* Use a random virtual\_router\_id in the keepalived
* Set db connection retry to infinity
* Revert "Spec: Deploy Kolla images using Kubernetes"
* Clarify comment about binding erlang to IPv4
* Add note about heat being busted for development
* Fix rabbitmq crash in centos gate
* Revert "Add general\_log to mariadb container and make heka collect it"
* Add prechecks to validate kolla\_internal\_vip\_address and kolla\_external\_vip\_address
* Rabbitmq Upgrade restarts container only when image was changed
* Adds iscsid and tgtd docker containers
* Fix missing libvirt python module in ceilometer-compute
* Fix the neutron reconfigure issue when enable linuxbridge-agent
* Remove /etc/kolla configuration folders
* Put the variables in alphabetical order in all.yml
* Add LVM2/iSCSI documentation
* Fix launch vm failed in neutron-linuxbridge-agent env
* Fix the qemu has nova permission in nova instances folder
* Add quotes for RBMQ nodes definition
* Add default flavors during init-runonce
* Increase max pool size so conductor doesn't implode
* Update vagrant-dev-env.rst
* Spec: Deploy Kolla images using Kubernetes
* Updated from global requirements
* Add mongodb in cleanup containers script
* Configure Neutron to use internalURL for contacting Nova
* Added Kibana instructions to quickstart.rst
* Increase max scheduling attempts to 10
* Change waiting on mariadb.pid
* Fix manila keystone v3 issues for all clients
* Fix the Neutron reconfigure
* Log the SHA of the Git ref for source builds
* Add nova\_ssh in cleanup containers script
* Adds migration step from nova to nova\_api database
* Add remove apparmor reminder to the quickstart
* Check empty passwords in $CONFIG\_DIR/passwords.yml
* Updated from global requirements
* Add comments on site.yml neutron hosts reordering
* Correct typo
* Check empty passwords in /etc/kolla/passwords.yml in prechecks
* Add general\_log to mariadb container and make heka collect it
* Make Heka write Keepalived logs to dedicated directory
* Implement nova-ssh container
* Restoring openstack\_release option
* Add Ubuntu binary build and deploy gate
* Remove the tempest version constrains in tempest container
* Make keepalived virtual\_router\_id param configurable
* Add a step to clean all ceph references in fstab
* Workaround ansible bug related to delegate\_to
* When two interfaces are used for two VIPs, tie them together
* Fix IP resolve check for RabbitMQ on AIO
* Update Quickstart with example for distro and install type
* Enable the kibana access from the external network
* Increase database connections to 10000
* Update swift name
* Start the haproxy by using haproxy-system-wrapper
* Fix the nova reconfigure in the multinode env
* Added precheck to check kernel version 4.2 on Ubuntu 14.04
* Add optional services option in globals.yml
* Pass extra variables through kolla-ansible to ansible-playbook
* Starting heka bootstrap container failed in deployment
* Fix gate by adding MariaDB-shared dependnecy
* Fixing permission for libvirtd.log
* Fix the Ceph reconfigure
* Revert "Fix consistently failing CentOS gate"
* Remove bootstrap\_mariadb with cleanup-containers
* Change keystone log dir
* Refactor the glance service group mapping
* Only copy the necessary config files for Glance
* Restrict the rabbitmq only start on rabbitmq group
* Use packaged pip instead of easy\_install
* Fix gate to use world writeable docker socket
* Fix the wrong refer self in kolla\_docker.py
* Fix typos in Kolla
* Remove meaningless char in regexp of find\_disks.py file
* Change heat domain to heat\_user\_domain
* Revert "Make heat work"
* Add kibana authentication using HAproxy
* Upgrade elasticsearch
* Change CentOS in documentation
* Fix consistently failing CentOS gate
* Include docker python install
* Make heat work
* Revert libvirt change in heka-openstack.toml.j2 in master
* Reduce log errors from heka
* Re-set external\_network\_bridge for l3 agent
* Add reno support
* Add creation of new log folder for Horizon
* Add conntrack-tools
* MariaDB is not copied if enable\_rabitmq is disabled
* Swift busted with Heka
* Add PBR generation of version information
* Changes horizon log location to kolla\_logs volume
* Enable horizon domain logins
* Remove ironic images from excluded list
* Check relevant logging mechanism in the gate
* Added note about nested environment
* Make heka collect libvirtd.log in nova\_libvirt container
* Disable deprecated heat plugins
* Remove static password
* Enabled spice
* Fix rax-ord commands
* Wrong variable name for spicehtml5proxy
* Fix bad apache2 close
* Fix problem where ipv6 address causes failure
* Add generate\_passwords.py to generate passwords
* Improve openstack-base image for centos binary
* Split versions onto new line
* Dynamically pull list of projects and versions
* Fix mysql bootstrap
* Install neutron in manila-share group only when enable\_manila is true
* Fix rax-ord gate
* Fix heat endpoint registration
* Allow version\_check to work on local git repo
* Fix Linux bridge reconfig issue
* Attach external NIC to a NAT-Network if on Wi-Fi
* Fix the prechecks role idempotent
* Ceilometer needs pymongo to start
* Move manila variable
* Change deprecated options throughout Kolla
* Fix 'optional' config.json values
* Rework heka log copying
* Allow external ceph journals and fix bootstrap
* Allow user to choose filesystem for osd
* Add memcached\_servers to keystone\_auth section
* Increase usefulness of openstack-base
* Fix linuxbridge driver
* Fix permissions for log extraction in gate
* Update quickstart doc to use drop-in unit files
* Add check if all the hostnames are resolvable
* Explain how to use kolla-ansible pull
* Fixes incorrect swift service endpoints
* Fix inconsistancy in globals.yml
* Enabled nova->glance snapshots
* Playbook for rabbitmq upgrade
* Correct var name in globals.yml
* Install Elasticsearch and Kibana packages using yum/apt-get
* Add unmap to cinder for ceph
* Reorder operations of mkdir and useradd in toolbox
* Changing Swift option section in globals.yml
* Allow per node configuration with augments
* Refactor glance config tasks
* Add cron to pull playbooks
* After refactor, the upgrade code was missing task
* Update README for heka image
* Reconfigure for haproxy
* Manila ubuntu binary container
* Changed port of docker\_registry in globals.yml
* Remove commented line
* Set --ipc option to "host" for kolla\_docker
* Fix race condition in haproxy
* MariaDB lights out recovery
* Mariadb upgrade
* Add Manila deployment document
* Increase the docker parition for rht bases in gate
* Remove useless dependency on ifconfig
* Fix genconfig on vagrant
* Fix host\_manager plugin for vagrant virtualbox
* Change libvirt volume name to libvirtd
* Add missing tar command for oraclelinux binary
* Switch to with items for sysctl
* Move sysctl out of haproxy container
* Fix UnicodeEncodeError for Manila
* Unify vagrant bootstrap.sh scripts
* Move neutron options from group "DEFAULT" to group "generic"
* Install openvswitch-switch in manila
* Use ubuntu Mitaka repo
* Use nopreempt for keepalived
* haproxy formatting was incorrect
* Properly pin ceph
* Compact ceph-mon files
* Fix the nova reconfig not work issue
* Fix false alert messages in HAProxy logs
* RST syntax error in quickstart.rst
* Remove openstack client from keystone bootstrap
* Install master's version of an RDO keystone
* Restructuring the Quickstart guide
* Reconfigure rabbitmq service
* Add missing files in ironic containers
* Use variables for auth\_uri and auth\_url protocols
* Stop shipping broken openrc in vagrant
* Add missing 'yum clean all' to mariadb
* Update gnocchi for centos binary
* Add missing 'yum clean all' in oraclelinux base
* Document required libvirt python bindings
* Provide instruction to generate kolla-build.conf
* Document the new 'local' type for source build
* Drop root user for neutron-linuxbridge-agent
* Fix a few small typos and formatting
* Fix Manila v2 endpoint
* Add centos-extras repo to oraclelinux-base
* Fixed typo in variable "ironic\_public\_endpoint"
* Reconfigure mariadb service
* Add empty string to KOLLA\_BOOTSTRAP env variable
* Add cron image and playbook
* Remove storage\_hostname
* Add ceph wait before bootstrap
* Do not create /dev/log symlink if it already exists
* Add local directory or file for source build
* Do not make Kibana available at the external VIP
* Upgrade Heat
* mariadb-devel is deprecated
* Rename validate-docker-execute with .sh extension
* Add documentation about critical data loss
* Copy the logs out of the container
* Add tox job for the bandit python security linter
* Checks the installation of curl command, Nova, Neutron and OpenStack packages related-bug: 1552433
* Mesos DNS container
* Document how to use loopback devices for Swift
* Fix default value on globals for config\_strategy
* Add documentation for two-VIP and TLS blueprints
* Add "heka-elasticsearch.toml" to /etc/heka in heka bootstrap container
* Fix the deprecated security\_group\_api and network\_api\_class
* Fix ubuntu marathon container
* Handle kolla-build exception
* Glance registry should only be accessible from internal network
* Add a new tool to help find the latest versions
* Upgrade fails from 2.0.0->2.0.1
* Fix type - python-olso-db for ceilometer
* Use internalURL for internal communication
* Fix "wait for log socket" in start.sh
* Add documentation for proxy buildargs picked from the environment
* Reconfigure mongodb service
* Update README for Trove image
* Reconfigure horizon service
* Upgrade fails at Magnum
* Make memcached reconfigure not block
* Add two more examples of openrc for use with public endpoints
* Updated from global requirements
* Reconfigure for Swift
* Use alphabetical order in cleanup-containers
* Make Heka send logs to Elasticsearch
* Fix rst syntax in the list of images provided by Kolla
* Retry token retrival in keystone bootstrap script
* Reconfigure ceph service
* Reconfigure for Murano
* Add Manila to the list of images provided by Kolla
* Fix Keystone v3 for Manila
* Playbook for Manila upgrade
* Bump ansible version to head of devel
* Set mongodb log file to shared volume by heka
* Fix horizon with ssl
* Updated from global requirements
* Use use\_forwarded\_for in manila config
* Playbook for magnum upgrade
* Add authentication for keepalived
* Reconfigure for Swift
* Reconfigure mistral service
* Playbook for Ironic upgrade
* Fixing typo in the documentation
* Reconfigure for Memcached
* When ansible fails it still reads chaged key
* Manila upgrade stub
* Reconfigure nova service
* Add TLS protection on external API endpoints
* Make Heka collect Manila logs
* Fix Keystone v3 and Horizon
* Bump to latest ansible and deps
* Move hostname registration to common
* Add reconfigure for heka
* Add documentation for Kolla plugin functionality
* Libvirt needs openvswitch to connect br-int
* Reconfigure Ironic
* Simplify logic of vagrantfile
* Reconfigure neutron service
* Fixing ambiguity in the documetation
* Introduce the hacking module to kolla
* Add reconfigure for manila
* Reconfigure for Magnum
* Reconfigure cinder service
* Reconfigure glance service
* Reconfigure for Heat
* heatclient has invalid json validation picks up
* Make Vagrant libvirt graphics\_ip configurable
* ADD user neutron to the neutron-openvswitch-agent docker file
* Add kolla\_docker action for reconfigure
* Add ansible support for Manila
* Change default CONFIG\_STRATEGY
* Add new gates for oraclelinux
* Fix missing libraries for ceilometer
* Update cleanup-containers to remove ceph containers
* Remove keystone admin token
* Move shared variables to group\_vars/all.yml
* Use kolla\_internal\_vip\_address for kolla\_internal\_fqdn
* Sanity check for swift
* Move ironic-discoverd to ironic-inspector
* Run the keystone reconfigure only on keystone group host
* Remove the role path from the template src
* Fix the syntax error for manila in neutron role
* Add timeout to requests.get() in kolla/cmd/build.py
* Sanity check for cinder
* No need the keystone-dist-paste.ini file
* Recommend vagrant and heat for development only
* Reconfigure keystone service
* Adds genisoimage package dependency to nova-compute
* Change kolla\_internal\_address variable
* Add suport to neutron-agents and ovs runs in storage node
* Add Ansible scripts to generate TLS certificates for testing
* Fixed slight gramatical issues that could be considered confusing
* Neutron ugprade play
* Add upgrade play for ceph
* Fix issue in newest\_dhcp\_lease.py
* Fix parsing of RabbitMQ logs
* Remove the tox linters env
* Modify a hard-code keystone username in neutron and heat
* Updated from global requirements
* Fixed grammatical error in ceph-guide.rst
* HAProxy and Keepalived upgrade
* nova-libvirt is not a child of nova-base
* General improvements to quickstart
* Fixed a typo in quickstart.rst
* Quick spelling/grammar fix
* Add the default empty reconfigure.yml file to all roles
* Import module rather than funciton in the set\_configs.py file
* Pin ceph-radosgw
* Remove information about downgrading docker
* Add docs about failures during evaluation
* Added \*.DS\_Store To .gitignore
* Minor updates to Tips and Tricks
* Add manila\_sudoers file
* Switch ceph to use storage network
* Use passed client IP address in various audit logs
* Implement Option for Two VIPs to separate API traffic
* Update Debugging Kolla section of documentation
* Remove duplicate code in murano extend\_start.sh
* Remove duplicate code in magnum extend\_start.sh
* Remove duplicate code in heat extend\_start.sh
* Remove duplicate code in cinder extend\_start.sh
* Remove duplicate code in glance extend\_start.sh
* Remove duplicate code in neutron extend\_start.sh
* Fix a typo in the vagrant bootstrap scripts
* Allow cinder-volume to be configured to use nfs on Centos
* Fix non-idempotent heka bootstrap
* Updated doc/quickstart.rst - Part 1
* Remove Rsyslog entirely
* Tempest ubuntu binary container
* Make Heka collect Mistral logs
* Change Jinja2 expressions in heka.json.j2
* Pin Mesos to 0.27.1 version
* Remove duplicate code in nova extend\_start.sh
* Fix vagrant bootstrapping for ubuntu
* Remove unneeded deps
* Fix building centos kolla-toolbox
* Skip extend\_start.sh if KOLLA\_SKIP\_EXTEND\_START is defined
* cloud-archive contains newer version of haproxy
* Multiple hypervisor driver support for nova
* Add elasticsearch repo to gate
* Upgrade stub for elasticsearch
* Minor update add prechecks into workflow path
* Use external address in novncproxy and spice
* Fix Swift logging
* Run yum clean all in Heka Dockerfile
* Make cleanup-containers remove Heka volumes
* Playbook for glance upgrade
* Harmonise vagrant provider defaults
* Change ubuntu base\_image for vagrant to wily64
* Create "heka" group and add "heka" user to it
* Make cleanup-containers remove bootstrap\_heka
* Change Heka sudoers file mode bits
* Swift ubuntu binary container
* Add a precheck for MountFlags=shared
* fix neutron-dhcp-agent start failure
* Upgrade task for Swift
* Make Heka collect Magnum logs
* Make Heka collect Murano logs
* Make Heka collect Heat logs
* Make Heka collect Cinder logs
* Make Heka collect Swift logs
* Make Heka collect Neutron logs
* Make Heka collect Keystone logs
* Add Heka log decoder for Keystone/Apache
* Make Ansible write its logs into "kolla\_logs"
* Make Heka collect Glance logs
* Make Heka collect MariaDB logs
* Add Heka log decoder for MariaDB
* Make Heka collect Nova logs
* Add Heka log decoder for OpenStack
* Make Heka collect RabbitMQ logs
* Add Heka log decoder for RabbitMQ
* Make Heka collect HAProxy and Keepalived logs
* Add Heka to common role
* Add Heka log decoder infrastructure
* Upgrade cinder playbook
* Playbook for nova upgrade
* Add a Dockerfile for Heka
* Quick gate fix
* Upgrade common role
* Keep consistent with others for ironic containers
* Refined documentation regarding registry
* Launch VM in gate
* Add docs to explain why we disabling selinux
* Add double quotes in kolla\_enable\_sanity\_checks
* Also remove the volumes when cleaning up containers
* Fix typo in quickstart
* Set nova hypervisor to qemu in Vagrant
* Make Mistral deployable via ansible
* Tidy up README.rst
* Fix missing 14.04 info
* fix spelling problem in designate-sink ubuntu binary
* Updated from global requirements
* Move haproxy socket to volume
* Fix the mistral services name typo
* Fix kolla\_docker check\_volume
* Trove ubuntu binary container
* Fix the incorrectly removed dependent packages
* Adds support for cleaning up bootstrap containers in the toos/cleanup-containers script
* Update docs with information about MountFlags
* Use "optional" for ceph confs
* Reduce gate resource usage
* Fix missing ceph-common package in cinder
* Move socket binding to named\_volume
* Make a final check to validate mysql works
* install the openstack-designate-api in the base stage
* Install python-dogpile-cache for python-ironicclient
* Added note about root permissions, removed sudos
* Aodh ubuntu binary container
* Ensure that /var/lib/zookeeper is owned by user
* A few silly grammar fixes
* Add manila perms to /var/cache/manila
* Use variables to specify http or https when constructing URLs
* Use uppercase 'S' in word "OpenStack"
* fix the custom profile raise exception issue
* Ensuring the Mariadb bootstrap configured properly
* Fix keystone initial auth mechanism
* Install keystone-dist-paste.ini in /etc/keystone
* rabbitmq\_data container is removed
* Fix horizon startup failure
* Added Elasticearch and its deployment
* Remove the openstack\_release option in the globals.yml file
* Fix image plugin functionality for oslo.config
* Fix detect\_distro
* Fix non-root deploys
* Clarify Ansible installation for distros in docs
* Do not pull rabbitmq-data image
* Ensuring the openvswitch\_db is ready before creating bridges
* Make pep8 \*the\* linting interface
* Remove data docker image
* Trap error exit in deploy aio script
* Ceilometer ubuntu binary container
* Safely create directories
* Add missing upgrade stubs for kibana/mongodb
* Remove unnecessary patch for oslo.log
* Add all neutron agents to cleanup-containers script
* Switch to docker registry v2
* Fetching IP addresses for vagrant-hostmanager from libvirt
* Fix the required min docker version
* Fix Vagrant provisioning with docker 1.10
* Cleanup dependencies for cinder-base
* Cleanup dependencies for nova-base
* Cleanup dependencies for neutron-base
* elevates privileges and grants access to /dev/mapper to cinder backup
* Increase ansible verbosity during gate deploy
* Designate ubuntu binary container
* Use Infra provided mirrors in gate
* Add retry function for Docker keyring
* Convert Neutron to thin containers
* Correct issue with virtualenv rootwrap
* Fix gate for docker 1.10
* Fix two missing toolbox references
* Fix the ugly base directory path
* Update kernel version in ubuntu-bootstrap.sh
* Make libvirt reestablish connection with qemu
* Revert "fix miss rabbitmq config when hostname include special character"
* Move the install base type check to kolla-build
* gnocchi is busted missing tooz for source
* Add double quotes in ceph\_cache\_mode
* Ubuntu custom apt repos
* Fix config help message
* Fix some words spellings
* Playbook for horizon upgrade
* Create nova-api database
* Rename kolla\_ansible to kolla\_toolbox
* Fix manila perms
* Remove unexisting data\_files in setup.cfg
* Playbook for upgrade mistral
* Fix wrong behavior when the source is a directory
* Validate that all the containers are started
* fix miss rabbitmq config when hostname include special character
* Playbook for upgrade murano
* Playbook for upgrade memcached
* Fix Swift for multinode P+ACO deployment
* Make kolla-toolbox container build on CentOS bin
* Fix missing swift proxy server image in pull action
* Removed unused containers from gate build
* Convert rabbitmq to named volume
* Detect and use physical disks for Swift storage
* Logging with Heka spec
* Use rdo magnum instead of sdake's copr for magnum
* Update all bootstraps to use Label
* Add labels to docker module
* Cleanup mariadb and make compatiable with mesos
* Update cleanup-containers to remove manila containers
* Update ceph-mon keyrings
* Remove the machine-id which cause nova-compute raise exception
* Use trusts in heat.conf
* Fix swift build issue
* reset $(hostname) to $(hostname -s) in ceph extend\_start.sh
* Enable find\_disks module to match by filesystem label
* Rework log output if pull fails
* Remove the libvirt socket
* Add the missed stub upgrade.yml
* Add an ansible role for mongodb
* Updated from global requirements
* Re-generate the compressed css and js on every horizon start
* Add the keyfile option to decrypt the passwords.yml
* Add the missed long option tags
* Update ring builder filenames in Swift config
* Add stub upgrade.yml
* Added Kibana and its deployment
* Add bootstrap task for ironic-pxe
* Fix ironic-pxe map-file location
* Add ca-certificates to required packages
* Fix swift regression caused by swift shared image change
* Separate exclusion list for source and binary types
* Remove our unused jobs that now run in linters
* Bump RDO delorean repositories to current-passed-ci for Mitaka
* Update keyserver for ubuntu
* Install keystonemiddleware for source build swift proxy server
* Revert "Pin the pip version to 7.1.2"
* Expose the ansible-playout tags parameter
* Remove unused docker\_pull\_policy in quickstart.rst
* Fix swift.conf.j2 so that merge\_configs can recognize
* Customizations for memcached
* Have curl follow redirects when downloading magnum repository
* add the kolla-build.conf generation doc
* Add binary support for Manila container
* Convert gate to file backend rather than partition
* Fix deprecated parameter name in nova.conf
* Cinder ubuntu binary container
* Delete \_\_init\_\_.py in tools
* kolla-ansible: refactor the command options
* Fix cinder create volume from image with kolla source build
* prechecks: check ansible version on deployment host
* Fix bug:xrange() issue with py3.x
* Update docker and docker-py reqs
* Fix permissions to /var/lib/nova/
* Import modules rather than objects
* Pin the pip version to 7.1.2
* Ironic ubuntu binary container
* use http instead of https for getting mariadb key
* Update docker-py reqs in gate setup
* remove option verbose define in defaults/main.yml
* Add debug option in config file
* prechecks: remove the docker max version check
* keep consistent with style of others
* refactor the cleanup containers
* kolla-ansible: add prechecks subcommand
* Add Dockerfiles for Mesos
* Adapt openrc file to use keystone v3
* Consistency changes in configs
* Updated from global requirements
* Use driver instead of deprecated notification\_driver in config
* Add manila container (source only)
* Revert "Capture the log in default"
* remove option verbose from config files
* Rename bootstrap.sh to centos-bootstrap.sh
* Pick up proxy buildargs from environment
* Expose the docker build\_arg to build.py
* add unittest code base
* Remove the not used setup\_docker.sh file
* Ensure /var/lib/cinder exists for cinder container
* Rename ceph-mon bootstrap container to avoid conflict
* Fix pid leftover after converting ceph to kolla\_docker
* Updated from global requirements
* Replace the deprecated rsyslog config style
* ironic-discoverd: fix ironic config file path
* ironic-conductor: install ipmitool for source deploy in centos
* Update the document to use kolla-ansible post-deploy
* Use dict.items() for adding Python 3 compatibility
* Use auth\_type instead of deprecated auth\_plugin
* Fix container config files directory path
* Fix ceph-mon existing cluster detection logic
* Add validate scrits to linters
* Fix wrong integration bridge configuration name in ml2 conf
* make the testr.conf required environment pass throught in tox
* Capture the log in default
* Fix centos AiO setup
* kolla-ansible: add post-deploy subcommand
* Share the same image between swift services
* Remove old config-external.sh
* Add missing ceph-rgw group for sample multinode inventory
* Limit the Ansible version up to <2.0.0
* Murano ubuntu binary container
* Put py34 first in the env order of tox
* Playbook for keystone upgrade
* Add kolla-ansible upgrade command
* Standardize bashate and add linters
* Update Ceph doc for RadosGW
* Add py27 py34 pypy unittest
* Ceph repo has been moved to download.ceph.org
* Add some additional debug to gate
* Added Mistral doc link in README.rst
* Fix missing jinja2 in source images for mesos
* Horizon ubuntu binary container
* Do not start and pull rsyncd on swift-proxy-server
* Add trove source url and location
* Docker run scripts with sh which doesn't support [[
* Fix the base-tag name in build.py script
* Fix some mistal mistakes
* Allow mistral role to pull images
* Remove the kolla-build.conf
* Fix the package source don't register issue
* openstack-cinder for centos-binary
* Updated from global requirements
* Fix broken local and global building
* Fix missing mountpoint in glance bootstrap
* Log information about successful push only if it really is
* Allow swift role to pull images
* Allow rabbitmq role to pull images
* Gen the image dependency in the Graphviz dot format
* make the kolla-ansible python3 compatible
* Fix centos-source trove image building
* Allow nova role to pull images
* Allow neutron role to pull images
* Allow murano role to pull images
* Allow memcached role to pull images
* Allow mariadb role to pull images
* Allow magnum role to pull images
* Allow keystone role to pull images
* Allow ironic role to pull images
* Allow horizon role to pull images
* Allow heat role to pull images
* Allow haproxy role to pull images
* Allow glance role to pull images
* Allow cinder role to pull images
* Remove unused heat\_registry\_\* variables
* Fix the kolla to find the docker image folder in virtualenv
* Generate the kolla-build.conf file using oslo\_config
* Do not truncate the error messages
* Simulate normal ansible behaviour with shared role
* Add nova ironic group into the sample multinode inventory file
* Fix broken nova-compute/nova-libvirt
* Replace xrange() with range() in six.moves
* Use range() from six.moves
* Fix neutron-server for centos-binary
* Fix typo in the doc
* Be more specific in regex used in sed
* Cleanup dependencies for neutron-base
* Cleanup dependencies for nova-base
* Cleanup dependencies for glance-base
* Cleanup dependencies for ironic-base
* Remove MariaDB-shared in openstack-base
* Ansible files for mistral containers
* Allow ceph role to pull images
* Allow common role to pull images
* Fix grammatical mistake, Changed character from "an" to "a"
* Make galeradb bootstraping robust
* Fix the docker may return a empty dict when pull images
* Update kolla\_docker documentation
* Set selinux to permissive in Vagrant
* Remove docker version pinning for vagrant envs
* Bump versions of os-client-config
* Documentation improvements
* Do not require 'name' when pulling image
* Support v1 and v2 registry - kolla\_docker
* Remove unused params for kolla\_docker
* Convert to named volumes instead of data container
* Unblock Docker pinning in gate
* Updated from global requirements
* Convert Ceph to kolla\_docker
* Convert Ironic to kolla\_docker
* Convert Swift to kolla\_docker
* Convert Nova to kolla\_docker
* Convert neutron to kolla\_docker
* Convert Murano to kolla\_docker
* Convert magnum to kolla\_docker
* Convert horizon to kolla\_docker
* Convert heat to kolla\_docker
* Convert cinder to kolla\_docker
* Convert rabbitmq to kolla\_docker
* Convert mariadb to kolla\_docker
* Convert memcache to kolla\_docker
* Convert haproxy to kolla\_docker
* Convert Keystone to kolla\_docker
* Convert Glance to kolla\_docker
* Convert common role to kolla\_docker
* Nova ubuntu binary container
* make the tox.ini indent uniform
* Neutron ubuntu binary container
* use oslo.config instead of raw argparse.ArgumentParser
* Glance ubuntu binary container
* Make the logging more safe
* Keystone ubuntu binary container
* Heat ubuntu binary container
* Base and openstack-base ubuntu binary containers
* change libvirt sock group to nova
* Add RadosGW container
* Enable nova fake driver in nova containers
* Add docker module in Kolla
* Python 3 deprecated the logger.warn method in favor of warning
* Create ironic-pxe container with ironic-base
* Added dockerfiles for mistral
* Fix version in master
* Push the image as soon as it is built successfully
* Fix pip install settings
* Add missing contraints
* Fix file permissions
* Adjust CMD for data and kolla-ansible
* Add container for nova-compute-ironic
* Fix logging params
* Update to quickstart for CentOS multinode
* import the gpg public key properly
* Make the yum repositories configurable in the base image
* Use c-style string interpolation for log messages in kolla-build
* Remove unneeded variables passed into keystone
* Pin shade and os-client-config
* Remove user 'ironic' from ironic-pxe
* Add the rhel in the base\_distro condition in swift dockerfile
* Convert to pymysql
* pep8 the ansible modules
* Simplify config creation
* Add trove to aux in build.py
* Use c-style string interpolation for log messages
* Add trove containers
* Simplify logic of set\_configs.py a little bit
* Create empty file by using os.mknod
* Remove wrong comment description
* Updated from global requirements
* Add kolla version to base container
* Fix retrieving api\_interface
* import the rpm gpg key
* Bump the ansible version to v2.0.0-0.7.rc2
* do not replace the systemd-container with systemd
* Alphabetically sort long list of parameters/arguments
* Move the admin account creation to register.yml
* Fast fail unsupported murano-base install types
* Fix MySQL-python build on Centos
* Remove ironic containers in the cleanup script
* Add setup.cfg to kolla tools pip data dir
* Add ZooKeeper module to kolla-ansible
* Do not purge yum-plugin-fastestmirror package
* Fetch ceph gpg key from more reliable mirror
* Add workaround to fix centos-binary-deploy gate
* Record version on container build
* Change nova-compute upgrade level to auto
* Fix owner of horizon docroot
* Catch exception when directory creation fails
* Improve ansible deployment failure reporting
* install python-cephlibs in venv for glance-base
* Skip gate FS optimization if no secondary disk
* add python-kazoo and python-six when using centos source install type
* Pass environment variables of proxy to tox
* Allow murano on a dedicated node in a HA setup
* Allow heat on a dedicated node in a HA setup
* Remove cinder containers in the cleanup script
* restart firewalld to apply firewall changes
* create path, \`/var/lib/nova\`, in nova-base
* Run libvirtd as root
* Update Vagrant's Ubuntu box provisioning script
* Add Python 3.x support in set\_configs.py
* Exclude .eggs from pep8 checks
* add ubuntu dependency for vagrant
* Fix typos in kolla/doc
* Add Aodh and Tempest to the list of provided images
* configure ovs bridge in openvswitch-db container
* Drop root for nova
* Add support for Aodh
* Set docker api version to auto
* adds tools/cleanup-containers regex support
* Sanity check for glance
* Sanity check for keystone
* Sanity check module
* Remove the meaningless comment line in base image Dockerfile
* Add support for copying files from a "zk://" source
* Drop root for cinder
* Fix the confused comment in the base image Dockerfile
* Install plugins in neutron-server if available
* Allow fetching plugins as part of the build
* Drop root for murano
* Output unique admin id of user and project list
* Remove openvswitch\_data container in the cleanup script
* Install yum-plugin-priorities on RHEL-derivatives
* Source installation in virtualenv
* Share tftpboot directory for ironic-conductor and pxe
* Add new image for tempest
* Unblock the gate for ceilometer-alarm failures
* Add required packages to ironic-conductor container
* Fix configuration for ironic-conductor
* Fix neutron ml2 configuration for Ironic
* Fix minor typos in ansible
* Add OVS-data container
* Pin specific version of Ceph
* Drop root for ironic
* Added ironic-common to ironic base container
* Add missing usermod for magnum
* Install magnum-common packages for binary builds
* Create openrc file on the deploy node
* Fix incorrect ansible variable
* Make the database json variable more readable
* Drop root for ceilometer
* Update ceilometer dockerfiles
* Fix bootstrap for services
* Remove hardcoded MAINTAINER in Dockerfiles
* Drop root for gnocchi
* Convert gate to Ansible setup
* Add error handler for unknown build type
* Dynamically find the extra partitioned block device
* Documentation on cache tier setup for ceph
* Remove the two different auth profiles
* Switch find\_disks to use a decent python lib
* Fix udev cinder issue
* Only start nova-data on the compute hosts
* Fix gate
* Fix /etc files location for ironic-base building from sources
* Fix ironic-api listen address
* Ensure config directory exists for container ironic-pxe
* Add rsyslog image to infra profile
* Updated quickstart guide for typos
* Updated image building guide for typos
* Updated Ceph guide for typos
* Updated from global requirements
* Updated from global requirements
* Allow to customize vagrant deployment
* Factor out definition of nodes in Vagrantfile
* Fix missing policy.json in Magnum
* Remove "../../etc/kolla" from synced folders in Vagrant
* Make vagrant bootstrap scripts args more obvious
* Improve README with list of supported projects and components
* Fixed log error messages from keystone to syslog
* Drop root for Magnum
* Remove old config-external.sh scripts for magnum
* Use pip upper-constraints in magnum-base
* Fix keystone settings for Magnum
* Fix issues in Glance filesystem backend
* Add support for loading kolla config from ENV
* Updated from global requirements
* Fix namespace regression for neutron
* Add Python 3.x support
* Spec: Deploy Kolla images using Mesos
* Add usermod to Zaqar container
* drop root on memcached
* Drop root for Zaqar service
* Add ZooKeeper support in kolla-ansible
* Updated from global requirements
* Update commands in kolla-build section
* Fix typo in Fedora section of quickstart
* Add playbook for hosts pre-deployment checks (ports, files)
* Remove unused tox jobs
* Add Ansible support for Magnum
* Revert "Drop root for Horizon service"
* Drop root privileges for rabbitmq
* Move USER operation after footer
* Get kolla path from settings when provisioning box
* Drop root privileges for mariadb
* Move the mariadb expect code to a script
* Drop root for Horizon service
* Install keystoneauthv1 in openstack-base image
* Drop root for heat
* install openstack-heat-common in heat-base
* Drop root for kolla-ansible
* Added Ubuntu support for Vagrant
* Rename jobs for Kolla
* Clean up horizon httpd pid files for RPM distros
* Drop root for designate
* Horizon rdo package requires python-keystoneauth1
* Fix --retries option to kolla-build
* Add a test case for load\_config
* Add registry information to quickstart.rst
* drop root for glance
* Base image changes for drop-root
* We now have a logs publisher
* Move data container to start.yml
* Remove unused cinder-data container
* Incorrect parsed variable name
* Fix validate-all-maintainer.sh to look for Dockerfile.j2
* Switch to RDO untested master repository
* Few improvements in the quickstart doc
* Few improvements in Kolla tools. Added Ubuntu support
* Update Centos7 docker commands
* Make RHEL build properly
* Use the absoluate path
* Remove mysql-devel cruft
* fix typo in README.rst
* Finish implementation of spice
* Add new gate for multinode
* Fix documentation links in the README
* bootstrap takes place on the wrong node
* Allow disabling of sysctl values
* Remove vip for rabbitmq
* Update kollaglue docker repository URL
* Clean up keystone httpd pid files for RPM distros
* Restrucutre gate scripts
* Add Docker in Docker container
* Add additional ntp information around ceph
* Tidy up quickstart.rst
* Adjust gate btrfs setup
* Remove unused setup\_fedora.sh
* Fix RHEL builds
* Adjust package name for Ubuntu Ironic
* Updated quickstart doc
* Ansible config for Spice console
* Small refactor for site.yml
* Make nova-spice5htmlproxy build on RDO
* Add missing murano-api to site.yml
* Use rabbitmq-clusterer when deploying
* Download, install, and enable rabbitmq\_cluster
* Add a template spec to make it a bit easier to write a new spec
* Fix broken link
* fix broken links after retitled document
* Tidy up index.rst
* Shorten up title in docs
* Fix spelling error
* Add proper section/subsection to philosophy
* Retitle several documents
* Implement Mitaka ODS Documentation structure
* Use default disk image size for centos/7
* Prevent virbr0 from being created by default
* HAProxy does not have murano-api configuration
* nova.conf: fix incorrect neutron credentials
* Use kolla\_internal\_address in the example rc file
* Make version requirements more visible
* heat containers depends on 'common' (rsyslog, log\_data, kolla-ansible)
* Update the super function name
* Removed unneeded tox things
* Add mariadb to the gate
* Fix broken galera
* Encode datadir for xtrabackup
* Use EL7 repostitory instead of EL6 for percona
* Add missing images to default build profile
* Automate setting up a cache tier
* Allow ceph pool names to be configurable
* Allow specifying erasure as the pool type
* Remove memcached container in cleanup-containers tool
* Add documentation around how to build behind a proxy
* Ironic binary shouldnt use upper-constraints
* Improve dry-ness of base dockerfile.j2
* Make Ceph install from Source on RPM
* Increase Ceph RPM gpg key timeout to 90 seconds
* In gate functional testing
* Fix typos in docstrings:
* Add build profiles to build.py
* Add nova-spicehtml5proxy console
* Update requirements to use tarball by default
* Use bool filter for ironic
* add "registry" flag to "tools/build.py"
* Fix syntax in kolla-build.conf example
* Use openstack/requirements for ironic
* Use openstack/requirements for horizon
* Use openstack/requirements for heat
* Use openstack/requirements for gnocchi
* Use openstack/requirements for glance
* Use openstack/requirements for designate
* Use openstack/requirements for cinder
* Use openstack/requirements for ceilometer
* Use openstack/requirements for keystone
* Use openstack/requirements for repeatable builds
* Use memcache for consoleauth and horizon
* Enable COMPRESS\_OFFLINE for Horizon
* Pin Docker version to 1.8.2
* Add tty to containers
* Cleanup outdated documentation
* update doc for root is needed when deploying
* Make Ceph work for RPM based distributions
* Pin docker to 1.8.2 in gate
* Fix issue with su and bad kernels
* Bump ansible to 1.9.2
* Update Vagrant docs
* Add small reminder to use latest vagrant
* Remove some outdated info from swift-guide
* Also copy over Swift builder files for rings
* Install tox in Vagrant
* Push images to registry by default in Vagrant
* Remove obsolete backport for oslo.log
* Fix up loc with change to devenv
* add missing \`kollaglue\` in image-building
* Update Vagrant directories in .gitignore
* Ignore the 'Disk Flags:' line in parted
* Glance round robin for default file backend
* Recommend enabling NTPD in the documenation
* Add ceph and ironic to index
* Add Ceph deployment document
* Neutron-server should be on control group
* Fix typos in developer documentation
* Fix typos in developer documentation
* Fix path of synced\_folder in Vagrantfile
* Swift JSON files looking for rings in the wrong place
* Copy over missing swift-rsyncd JSON config
* Fix incorrect filename in swift-account-reaper ansible task
* Move around the development environments
* Remove compose from the repostiory since its dead code
* Add a LOC counter
* update doc about local registry in image-building
* Remove an oslo.message 2.2.0 pin
* Fix up ironic Dockerfiles to build
* Fixes typo in openstack command
* Removing /dev/log on rsyslog start
* Fix wrong sysctl variable name (part 2)
* Install agent dependencies from source for CentOS
* Enable source for openstack-base for RPM distros
* Remove which from neutron-server
* Remove debug output in base image yum command
* Release version 1.0.0
* Pin rabbitmq to 3.5.5
* update doc about how to set up local registry
* Fix wrong sysctl variable name
* Fix incorrect dd param in cinder-guide.rst
* Updated haproxy config to include swift api
* put conatiner name to array in cleanup-containers
* Bring Kolla inline with FHS
* Common start.sh
* add "--template-only" flag for tools/build.py
* Set sysctl values
* PXE for Ironic for ubuntu
* Lock down ansible version
* Fix wrong option name in kolla-build.conf
* Make a openstack-common container for CentOS variants
* Fix ceph after config-external removal
* Make libvirt function on CentOS
* Neutron Agents json support
* Make oslo.log work correctly on RDO platforms
* Remove config-external for rsyslog
* Make oslo.log work properly with syslog
* Add Ansible support for Ironic
* Murano logging to rsyslog
* Rename ovs to openvswitch
* Convert ceph to json
* Allow conf files to be optional
* Heat doesn't need to specify python-oslo-reports
* Significant refactor of base image
* Implement a install\_type and install\_metatype
* Remove quotes from subshell call in bash script
* Unify commands in documentation
* Fixes inconsistency in ansible inventories
* remove set\_configs
* Create nova-libvirt directory before copying files
* Replace config-external - rsyslog
* Replace config-external - openvswitch
* Bind novnc to single interface
* bind haproxy to single interface
* Stop haproxy from listening on ports it shouldnt
* Improve cleanup script
* Remove all fail sections for Ubuntu
* Ceph bugfix for missing host
* Simplify instructions to install vagrant-libvirt
* Allow different defaults for different providers
* Upgrade packages when installing openstack-clients
* Make OpenStack use Ceph
* Fix removal of config-external
* Fix the repository to openstack
* Rename swift-readme.rst to swift-guide.rst
* Vagrant bootstrap incorrectly adds quotes to kolla-build.conf
* Add chown for /usr/share/kolla in Vagrant setup
* Remove config-external.sh
* Replace config-external - swift
* Replace config-external - murano
* Replace config-external - memcached
* Replace config-external - horizon
* Replace config-external - haproxy keepalived
* Fix git instruction in vagrant doc
* Remove fake DHCP server in Vagrantfile
* Swift logging to rsyslog
* Add pub key to the VM booted by vagrant
* Add missing when statments when copying JSON files in ansible
* Ceph Ansible support
* Heat logging to rsyslog
* Cinder logging to rsyslog
* Keystone logging to rsyslog
* Neutron logging to rsyslog
* Create nova-libvirt directory before copying files
* Nova logging to rsyslog
* Glance logging to rsyslog
* Ansible bits to rsyslog
* Replace config-external with a JSON file for Heat
* Replace config-external with a JSON file for Cinder
* Replace config-external with a JSON file for Neutron (thin)
* Replace config-external with a JSON file for Nova
* Add nova\_novncproxy port to haproxy configuration
* Add .vagrant dir to .gitignore
* Fix memcached user on Debian/Ubuntu based distro
* Remove pip install of pyscss in Horizon
* Update documentation for Vagrant environment
* Consolidate kolla-build configuration in one file
* Remove the keepalived tag in ansible
* Remove ceph as external repo
* Add missing dependency repository for Liberty for EL
* Fix a small bug of wrong path to validate-docker-execuate
* Add a customize deployment document
* Replace config-external with a JSON file for Glance
* Replace config-external with a JSON file for Keystone
* Replace config-external with a JSON file for Rabbitmq
* Spell corrections in Image building guide
* Spell corrections in dev quickstart guide
* Spell corrections in AIO doc
* Spelling corrections in cinder guide
* Fix ring bulder command examples in swift readme doc
* Refactor set\_configs.py
* Add sudo for RHEL builds
* Install which if its not installed in base
* Fix broken centos-source- build: add rdo repository
* Set namespace to point to local registry
* Implement configuration file for kolla-build
* Regression: git is required to build from source on ubuntu
* Expose HAProxy stats for management purpose
* Fixes a typo in the documentation Closes-Bug: #1496547
* Replace config-external with a JSON file for Galera
* Use Liberty cloudarchive repo for Ubuntu
* Remove ansible\_ssh\_user from Kolla configs
* Replace config-external with a JSON file
* Add vagrant-generated files to gitignore
* Default vagrant deployment to AIO
* Preconfigure Kolla to work out of the box
* Increase size of operator to allow building images
* Reuse kolla working dir from host in operator
* Use NFS sharing,  it's a lot faster
* Libvirt provider for Vagrant
* Allow configuring number of nodes in Vagrantfile
* Prepare for vagrant-based AIO dev environment
* Make kolla-ansible work in pip installed kolla
* Source type nova-compute and neutron-agents - no ovs-vsctl
* Update devenv scripts for kolla reference
* Update ha guide kolla repo reference
* Update all-in-one doc
* Update openstack repo in vagrant script
* Update vagrant doc to openstack repo
* Fix Kolla the repository to openstack
* Make novncproxy work on from source installs
* Make RHEL build from source
* Update .gitreview for project rename
* Source type nova compute container misses qemu-img on VM boot
* Ansible does not wait for virtual IP to appear
* First keepalived container is started with wrong priority
* build.py fails with error on AUFS
* Add deploy all in one node document
* Enable nova-libvirt to be updated
* Make nova use a data container
* Change default ansible\_ssh\_user to "kolla"
* Make kolla-build able to build source images
* Add AUTHORS, ChangeLog, doc/build/ to gitignore
* Fix rabbitmq from failure during startup
* Cleanup small todo in Vagrantfile
* Add rsyncd image and related Ansible for Swift
* Add missing node types to Vagrantfile
* Gather facts from the hosts before using them
* Add missing Swift services, also ansible configuration
* Correct name of source archive if reference contains '/'
* Add ansible support for Murano
* Make heat stack-create work
* Permit larger database connection count
* Properly check failed status
* Import not found for glance
* Check exit status of bootstrap containers
* Add support to the base image for RHEL
* Fix document references in documentation
* Set cinder auth\_strategy to keystone explicitely
* Add 'rhel' for RPM distros
* Remove -T option from build.py
* Add image-buliding.rst to index.rst
* Small spelling corrections in docs
* Rename Galera to MariaDB
* Use database\_user\_create in Heat bootstrap
* Allow arbitrary source archive name to be imported into Dockerfile
* Create openstack-base container
* Ansible register task for MariaDB incorrectly reports failure
* Reduce install size
* Rename docs dir to doc for publishing
* Add venv section in tox.ini
* Fix rabbitmq part 2
* Fix rabbitmq perms
* Copy config to /etc/kolla rather than symlink in Vagrantfile
* Setup ubuntu build gate
* Source based builds should get novnc from tarball (git/url)
* update the image-building document
* update gitignore for python and .testrepository
* Register internal\_url properly
* Expose exception objects via the as keyword
* Fix mysql permissions
* nova-libvirt requires a /sys/fs/cgroup bindmount
* rsyslog container
* Fix typo in task bootstrap task names
* make nova-libvirt is child of base
* Improve scripts with some check before kick rm command
* Remove dest\_filename from build.ini
* Fix KOLLA\_CONFIG\_STRATEGY in neutron agents
* Keystone container should use the openstackclient
* Ceph container
* Remove pam+noaudit
* Add Ansible support for Heat
* Remove cruft in tox.ini from docker\_templates
* Fix the wiki page link for Kolla
* Make Horizon work on centos+binary
* Remove deprecated --template option from gating
* Keystone container listens on port 80 by default
* Rename support to control in Vagrantfile
* Use external address in openrc-example
* Move docker\_templates to docker dir
* Remove maridb client from base image
* Add custom footer section to final image Dockefiles
* Remove docker directory
* Move scripts for zaqar to docker\_templates
* Move scripts for swift to docker\_templates
* Move scripts for rabbitmq to docker\_templates
* Move scripts for openvswitch to docker\_templates
* Move scripts for nova to docker\_templates
* Move scripts for neutron to docker\_templates
* Move scripts for murano to docker\_templates
* Move scripts for memcached to docker\_templates
* Move scripts for magnum to docker\_templates
* Move scripts for kolla-ansible to docker\_templates
* Move scripts for keystone to docker\_templates
* Move scripts for keepalive to docker\_templates
* Move scripts for horizon to docker\_templates
* Move scripts for heat to docker\_templates
* Move scripts for haproxy to docker\_templates
* Move scripts for gnocchi to docker\_templates
* Move scripts for glance to docker\_templates
* Move scripts for galera to docker\_templates
* Move scripts for designate to docker\_templates
* Move scripts for cinder to docker\_templates
* Move scripts for ceilometer to docker\_templates
* Move kolla-common to bsae directory
* Start of removal of docker directory
* Functional test Ubuntu source building
* Add developer docs automatic produce support
* Fixes issue in neutron base after recent change
* Fix neutron-agents regression
* Fixing CentOS quickstart docs
* Unify Centos and Ubuntu Source Install - Neutron
* Make logging more better
* Display neutron plugin options in globals.yml
* Remove CONFIG\_STRATEGY prefix
* Fixes matching issue build.py
* Unify Centos and Ubuntu Source Install - Murano
* Unify Centos and Ubuntu Source Install - Gnocchi
* Fixes any() in an if statement build-py
* Unify Centos and Ubuntu Source Install - Keystone
* Unify Centos and Ubuntu Source Install - Heat
* Unify Centos and Ubuntu Source Install - Swift
* Unify Centos and Ubuntu Source Install - Designate
* Unify Centos and Ubuntu Source Install - Horizon
* Unify Centos and Ubuntu Source Install - Nova
* Unify Centos and Ubuntu Source Install - Zaqar
* Unify Centos and Ubuntu Source Install - Cinder
* Unify Centos and Ubuntu Source Install - Ceilometer
* Unify Centos and Ubuntu Source Install - Magnum
* Unify Centos and Ubuntu Source Install - Glance
* Unify Centos and Ubuntu Source Install - Ironic
* Remove tiered building in build.py
* Setup the gate for cross-distro support
* Add ability to make tarballs from Git clones
* Implement Ansible role for Swift
* Install lvm in Cinder from-source containers
* Speedup Git Cloning Ansible Repository
* Fix the wrong instruction for pip
* Fail faster when docker isn't running
* Fix regression in build-script
* Update Haproxy for Horizon
* Modified build.py to run from installed location
* Make doc more readable and easy to follow
* Make Kolla installable via PIP
* Ubuntu - Haproxy
* Add ansible support for Horizon
* Ubuntu - Horizon
* Ubuntu - Sync directories
* Extension .md is changed to .rst
* Add a Cinder guide
* Make cinder work by removing udev+lvm integration
* Run cinder-volume with privileged access
* Prevents keystone from listening on port 80
* Ubuntu - Murano
* Ubuntu - Gnocchi
* Ubuntu - memcached
* Ubuntu - Mongodb
* Ironic From Source
* Build.py regex filtering
* WIP: Remove data containers and adjust compose files
* Wait for bootstrap containers on the same hosts they run
* Add retries to build.py
* Fix keystone for Ubuntu
* Ubuntu - Nova
* Uses the appropriate port value for Glance
* Record the distro and install\_type variables
* Use cinder-volumes as name of LVM VG
* Cinder reads non-Kolla generated config files
* automaton renamed to python-automaton
* Ubuntu - Neutron
* Ubuntu - Keepalived
* Ubuntu - OpenVSwitch
* Adjust pip install for kolla-ansible
* Fix Glance for Ubuntu
* Rework documentaton to actually get people rolling
* Add templated dockerfiles for ironic
* Add custom code to base docker templates
* Rabbitmq servers fail to start due to wrong permissions
* Add Ansible role for memcached
* Fix broken zaqar template
* Fix MariaDB for ubuntu
* Cinder ansible waits for bootstrap container on all hosts
* Run pandoc to convert the documentation
* Prepare for MD to RST conversion
* Added missing configuration to horizon docker template
* Workaround for existing keepalived.pid file
* Remove start.yml and bootstrap.yml
* Change default config location
* Allow Docker to make better use of cache
* Add kolla-ansible for ubuntu
* Fix RabbitMQ for Ubuntu
* Fix up base for ubuntu
* Fix group name in vagrant docs
* Add build from source and templating for Zaqar
* Add Dockerfile template for nova
* Use database\_user\_create in the register operation
* Load ip\_vs module for keepalived
* Fix binary builds for oraclelinux templates
* Fix missing line break in memcached template
* The requirements.txt file isn't correct
* Add Dockerfile template for Gnocchi
* Update support to control
* Update Getting Started link url in README.rst
* Remove Ansible abstraction for Neutron
* Libvirt is moving around the wrong config file
* Fix small typo in task name
* Remove barbican
* Remove defaults.yml from docs
* Add Dockerfile template for kolla-ansible
* Use one data container for all data volumes
* Move lots of global.yml options
* Move defaults.yml to group\_vars/all.yml
* Remove start.yml abstraction for kolla-ansible
* Add oslo\_versionedobjects dependency for neutron
* Cinder bootstrap container is not initializing the DB
* Remove Ansible abstraction for Nova
* nova-compute daemon misses libvirt python package on start
* Templatize Murano container
* Prepare for gating by distro, type, docker type
* Update Fedora magnum images to use fedora repo
* Change default install type to binary
* Remove compose from documenation
* Neutron base does not need python-neutron-client package
* Make openvswitch build from source
* Make cinder build from source
* Make heat build from source in the templates
* Make gnocchi-base build from source
* Fix gate source building
* Add mongodb to docker\_templates
* Add memcached to docker\_templates
* Add Dockerfile template for designate
* Add Dockerfile template for swift
* Fix heat docker templates
* Fix volumes\_from for the ansible playbooks
* Update readme to match current state
* Fix openvswitch template
* Add Dockerfile template for keepalived
* Fix up FROM line in galera
* Remove all old config-internal documentation
* Register neutron as the network service
* Add heat to docker\_templates
* Safely check for dictionary key presence
* Port openvswitch to docker\_templates
* Change tox targets to use new build.py
* Use inheritance for overriding of builder args
* Refactor where source builds place config files
* Add Dockerfile template for Magnum
* Remove bootstrap.yml abstraction for rabbitmq
* Implement source fetching for build.py
* All the Cinder services need to reference the correct config
* Murano install from source incorrectly places config
* Magnum install from source incorrectly places config
* Gnocchi install from source incorrectly places config
* Designate install from source incorrectly places config
* Ceilometer install from source incorrectly places config
* Barbican install from source incorrectly places config
* Cinder install from source incorrectly places config
* Fix heat configuration
* Cinder-backup's config-external is missing #!/bin/bash
* Remove bootstrap.yml abstraction for mariadb
* Removed config-internal check.sh for cinder
* Add Dockerfile template for neutron
* Add Dockerfile template for Cinder
* Change the tox targtes to match naming
* Remove bootstrap.yml abstraction for haproxy
* Fixes typo in nova.conf
* Add Dockerfile template for haproxy
* Add Dockerfile template for Ceilometer
* Update mariadb confs and ports
* Ansible Cinder needs to create the v2 endpoint
* Cinder-backup is not being configured because config-external spelling error
* Rename cinder-app to cinder to be more consistent
* Add new test script for parallel builds
* Glance cannot store images due to incomplete configuration
* Add Dockerfile template for glance
* Glance-registry is missing a messaging config
* Add Dockerfile template for mariadb
* Add Dockerfile template for horizon
* Add Dockerfile template for keystone
* Add ansible support for Cinder
* Add Dockerfile template for rabbitmq
* Improve logging and prepare for gate
* Glance bootstrap container mounts wrong config folder
* Glance source based containers cannot write to /var/log/glance
* Fix oslo.messaging in neutron-server
* Glance source based container misses 'glance' user
* Update neutron confs and ports
* Glance bootstrap container does not create tables and runs forever
* Added initial template for base image
* Update nova.conf and ports
* Add centos-src-build tox gate
* Use docker-engine in setup\_gate
* Fix missing config in horizon source image
* Implement Murano source images
* Remove tox -egenconfig since its not needed for cinder
* Ansible should wait bootstrap container on first host
* Update rabbitmq confs and ports
* Update glance confs and ports
* Removed config-internal check.sh for neutron
* Remove config-internal for glance
* Removed config-internal check.sh for glance
* Remove config-internal for Horizon
* Remove most kolla-common.sh code
* Remove config-internal from neutron agent start files
* Remove config-internal from cinder-backup
* Clean up comment in rabbitmq
* Remove config-internal from ceilometer
* Remove config-internal from galera
* Remove mariadb container
* Remove crux from base Dockerfiles
* Update test\_images.py to have the correct exclusion list
* Revert a8cc61ef so horizon will build
* Remove Ansible abstraction for Keystone
* Remove config-internal from glance
* Remove config-internal from galera
* Remove docker-compose container
* Remove Ansible abstraction for Glance
* Remove config-internal from designate
* Remove config-internal from cinder
* Remove config-internal from ceilometer
* Fixes group name for keepalived.conf
* Remove config-internal from Barbican
* Remove validate-min-env-vars gating
* Remove config-internal for neutron
* Remove config-internal for nova
* Remove config-internal for Heat
* Remove config-internal for gnocchi
* Remove config-internal for haproxy
* Remove config-internal for keepalived
* Remove config-internal for keystone
* Remove config-internal for Magnum
* Remove config-internal for memcached
* Remove config-internal for openvswitch
* Remove config-internal for zaqar
* Remove config-internal for swift
* Remove config-internal for rabbitmq
* Update Ansible docs to remove requirements
* Start docker without -H to make chgrp work on socket
* Glance api and Glance registry shouldn't share tags
* Revert "Merge "Updated all tags for Liberty2""
* Change ansible to search for latest tag
* update config-external.sh in galera,keystone,rabbitmq,swift
* Updated some requirements about docker
* Ceilometer config-ceilometer.sh file without backslash
* Reduce dependencies on the dest nodes
* Update the documentation for Ansible
* Add check\_script for haproxy in keepalived
* Set curl as the default source install method
* Adds push to build script
* Fedora - Install from source for Designate
* Install git for ubuntu source base
* Add missing vars for Keystone
* Re-add executable bit to tools/genenv
* Fix dev-quickstart.md - use pip to install openstack clients
* Fixed small typo in package list
* Fedora - Install from source for Gnocchi
* Fedora - Install from source for Swift
* Fixes tags and when conditional for HAProxy
* Fix incorrect config-external in horizon
* Include oslo\_reports in installation of heat
* Temporary remove gnocchi from kolla-compose & functional tests
* Remove service\_hosts.sh
* Add linuxbridge as option to ansible
* Updated all tags for Liberty2
* Add build from source for Swift
* Add some missing containers for fedora
* Removes unneeded variables
* Fix missing quotes in tools/genenv
* Adds an example openrc file
* Fixes race condition in ansible playbooks
* Use sleep during database bootstrap
* Initial kolla-ansible command - deploy support only
* Removed unneeded pip installs
* Update inventory examples for Ansible
* Remove the explicit chown root
* Vagrantfile and docs
* Add missing slash if docker registry is specified
* Fix some spelling and formatting errors in the Cinder doc
* Fedora - Install from source for Horizon
* Fedora - Install from source for Nova
* Temporary change the nova tar url
* Implement Swift Containers
* Fedora - Install from source for Ceilometer
* Fedora - Install from source for Magnum
* Fedora - Install from source for Neutron
* Add a doc for Cinder
* Update dev-quickstart doc
* Properly use groups throught Ansible
* Rename role name to service name
* Forces metadata to bind to single interface
* Add keepalived to ansible
* Fedora - Install from source for Heat
* Fedora - Install from source for Cinder
* Fedora - Install from source for Glance
* Fedora - Install from source for Keystone
* Add fedora base image for build from source
* Remove not required echo
* Update service helper scripts for variable changes
* Remove /opt/kolla directory creation base images
* Cinder requires the automaton package to be installed
* Remove psuedo-legalize as it is no longer valid
* Ansible install of HAProxy
* Add Ubuntu base image for build from source
* Add build from source for gnocchi
* Removes hashing from merge\_configs.py
* Make variables in OVS container configurable
* Implement kolla-compose script
* Tells rabbitmq to listen on single ip
* Adds glance and nova data volume
* Don't try to chown root:root /tmp/kolla\_mariadb\_cluster
* Add build from source for Nova
* Exclude barbican from the build to fix gate
* Add build from source for Barbican
* Add build from source for Horizon
* Update existing source based builds default to the master tarball
* Add build from source for Designate
* Add build from source for Ceilometer
* Update init-runonce
* Fix compute permissions and start params
* Adding cinder source image
* Properly use all configs with neutron
* Copy ml2\_conf.ini to correct location
* Allows neutron-agents l3 agent to communicate with OVS
* Adds the appropriate tools to addin the ovs bridge
* sudoers script was not properly running
* Update horizon dockerfile for dependencies
* Glance installation from source
* Removed unused hautoproxy code
* Removes Host Cleanup from Container Cleanup Script
* Add Gnocchi service to kolla
* Add memcached image (required by Swift)
* Add build from source for Neutron
* Install tooz for designate pool manager
* Remove PIP cache for Magnum
* Remove PIP cache for Heat
* Remove RDO dependency from source images
* HAProxy container
* Remove docker-py so docker-compose can grab the right version
* Add get\_or\_create\_domain for designate sink
* Document dependencies for Ansible deploys
* Removed all validate-contents tests from pep8 test
* Ansible Neutron support
* Install python-pip
* Allow libvirt to be configured externally
* Fix checking out custom refs in gen-source-tar
* Remove workaround for lp1456360 in devenv
* Only use default values for MY\_IP/MY\_DEV in genenv if not set
* Correct spacing in glance compose
* Add build from source for Magnum
* Parttially implement ceilometer container code
* Add missing symlinks in neutron-base
* Updated directory structure to make it consistent
* Change docker ADD file instruction to COPY
* Add pid\_mode to libvirt
* Add new Nova requirement 'futurist' to base
* Start tgtd in cinder-volume container
* Update executable permissions on scripts
* Install cachetools via pip in base image
* Add build from source for Heat
* Fix symlinks to config-{internal,external}.sh
* Fixes login failure to Horizon dashboard
* Improve build.py
* Update scripts to  check if docker is usable for $USER
* Move keepalived common files to common dir
* fix possible symlink attack with ansible
* Turn off oslo\_conccurrency locking in volume driver
* Adding tgt config to cinder-volume container
* Disable ipv6 in gate
* Ansible Nova w/ libvirt support
* Add temporary Ansible keystone modules
* filter ansible/library from tox.ini
* Fix Horizon config-internal.sh permissions
* Fixes an issue with AIO and galera clusters
* Enable pep8 tests
* Remove requirement for root user in scripts
* Fixes the last of the hacking based pep8 errors
* Fixed additional OpenStack pep8 issues
* Properly wait for Openstack services to be ready
* Add oslo.reports as a global dependency
* Change permissions on cinder config-internal/external
* Add +x to Magnum's config-internal.sh scripts
* Install ebtables in neutron-linuxbridge
* Fix the delorean repo url
* Fixed all remaining pep8 failures in the codebase
* Fix grammatical errors in asible docs
* Add source base image for oraclelinux
* Add Keystone image for Ubuntu
* Add RabbitMQ image for Ubuntu
* Add source keystone image for oraclelinux
* horizon start scripts need update for cmd & args
* Add config-internal/config-external to OpenvSwitch containers
* Add config-internal/config-external to Zaqar containers
* Add config-internal/config-external to Magnum containers
* Add config-internal/config-external for Ceilometer
* Add config-internal/config-external for barbican
* Ansible Glance support
* Keystone installation from source
* Update centos-source-base from symlink to a real layer
* Add config-internal/config-external to Designate containers
* Add config-internal/config-external for cinder
* Add oslo package into base image
* Fix permissions on log directory for keystone
* Document docker\_pull\_policy in Ansible docs
* Fixed pep8 failures in all tools/ scripts
* Add new build script
* Fixing tox tests - split out validation tests
* Fix incorrect database\_address variable in globals.yml
* make merge\_configs idempotent
* Add config-internal/config-external for horizon
* Have bootstrap script create the initial endpoint
* Change restart policy for bootstrap container
* Add min env vars doc validation to pep8 gate
* Sort variables and remove duplicates for min env doc
* Make tools/min-env.sh portable
* Add validation script for min env vars documentation
* Add config-internal/config-external to Neutron containers
* Fix CONFIG\_STRATEGY var in bash scripts
* Add new script to fetch tarballs for source installation
* Add base Nova image for Ubuntu
* Updated keystone for wsgi in config-external
* Ansible Rabbitmq support
* Improve the Kolla documentation
* Ansible Mariadb w/ Galera support
* Add --no-install-recommends option to Ubuntu image
* Add config-internal/config-external to Glance containers
* Add config-internal/config-external to Nova-compute containers
* Add config-internal/config-external to Swift containers
* Add config-internal/config-external to Heat containers
* Add config-internal/config-external to Nova-controller containers
* Add link validation to pep8 gate
* Add validation script for broken symlinks
* Remove duplicate PUBLIC\_IP entry from tools/genenv
* Removing kollaglue/centos-rdo-zaqar from excluded\_images
* Add initial config function and keystone support
* Add source base container link for centos
* Convert keystone from eventlet to httpd
* Correct FROM line in openvswitch-agent
* Install oslo.service via pip
* Add base image for Ubuntu
* Properly set MAGNUM\_API\_SERVICE\_PORT
* Partially revert thin neutron containers
* Liberty requires Cinder to use the v2 API
* Document installation of docker-compose 1.3.0
* Add missing Magnum vars
* Add missing openstack.env vars and export to heat
* The CINDER\_LVM\_LO\_VOLUME\_SIZE var had a typo
* The Cinder API container requires python-keystone package
* Remove log files from required vars in Cinder
* Pin docker-compose version in requirements
* Add oslo\_service package to heat
* Allow /dev/pts proper permissions so cinder and libvirt work
* Do not run all vars through check\_required\_vars
* Add missing dependency oslo policy
* Add neutron-openvswitch-agent contianer
* Add warnings about running on F22 and later
* Have test retry building failed images
* Glance missing oslo.i18n
* Move glance-data container to the correct place
* Fix build link for ovs container
* Correct dev-quickstart installation directions kUse was using yum to install docker 1.7.0.  This wanted to install all of the fedora 23 dependencies.  Instead, simply use RPM to install via http with the --nodeps option.  This works because we don't really need selinux since we don't support an selinux operational model
* Add retry parameter to build-docker-image
* Check if tools/genenv binary dependencies are met
* Add more checks to the glance containers
* centos-rdo-neutron-base fails to build
* Fixes MariaDB to support Heat
* Configure Heat service domain
* Auto generate minimal environment variables doc
* Change fat neutron container into thin containers
* RabbitMQ container with HA support
* Fix docker-1.7.0 binary download link
* Add option to not run db sync
* Move Designate-Sink start.sh to docker/common
* Keepalived container
* Minor doc fixups in ansible-deployment.md
* Move ansible/README.md under docs/
* Add base image for oraclelinux
* Fix broken cinder symlinks for fedora
* Minor doc fixups in dev-quickstart.md
* Unbreak the gate
* Add --prefix to override .buildconf
* Add openvswitch container
* Fix Heat container env vars and dependencies
* Fixed non-bashate compliance indentation in mariadb script
* Fixed non-bashate compliant method signature
* Fixed non-bashate compliant file, missing newline at end
* Fix broken cinder symlinks for rhel
* Add cinder into the docker compose setup
* Symlink all non Dockerfile resources in images
* Create keystone user in start.sh if it doesn't exist
* Fix 'unsupported locale setting' errors in init-runonce
* Add designate-sink service
* Galera container
* Fixed indentation issues to meet bashate compliance
* Fixed indenting issue to meet bashate compliance
* Set up glance to use a data container
* Cinder container
* Spec to Add Support for High Availability
* Ansible multi-node specification
* Make swift bashate compliant
* Make get-image.sh bashate compliant
* Separate base images into different folders
* Make nova-controller start.sh bashate compliant
* Make neutron-server start.sh bashate compliant
* Make config-dhcp-agent.sh bashate compliant
* Make config-sudoers.sh bashate compliant
* Make config-linuxbridge-agent.sh bashate compliant
* Make config-l3-agent.sh bashate compliant
* Make config-neutron.sh bashate compliant
* Make config-nova-compute bashate compliant
* Make mysql-entrypoint.sh bashate compliant
* Make keystone start.sh bashate compliant
* Make mariadb config-mysql.sh bashate compliant
* Make rabbitmq start.sh bashate compliant
* Make nova-libvirt's start.sh bashate compliant
* Make config-nova.sh pass bashate gate
* Ignore .tox directory to remove some bashate failures
* Make config-glance.sh bashate compliant
* Remove 1000 bashate failures by ignoring .git directory
* Make magnum demo start bashate compliant
* Make update-build-links bashate compliant
* Make setup\_docker.sh bashate compliant
* Make kolla script bashate compliant
* Autogenerated value for DESIGNATE\_POOLMAN\_POOLID
* Add the Designate DNSaaS services
* Fail image build when build script is missing
* fix ansible libary passing error arguments
* Make crux compatible with delorean packaging
* Change documentation to recommend Docker 1.7.0-dev
* Make clenaup-containers bashate compliant
* Make build-all-docker-iamges bashate compliant
* Remove unnecessary dependencies
* Clean up the image functional test
* Force developers not to run build-docker-image as root
* Use latest delorean repo location
* Always provide a tag when building with build-all-docker-images
* Switch Fedora base image to fedora:21
* Updates Heat template to Support Magnum
* fix subnet-create call for demo-net
* Restructure builds to allow more flexibility
* Add functional tests to tox
* Allow private docker registries
* Improves Heat Demo Functionality
* Fixes Nova NoVNC
* fix net-create call for public1 in tools/init-runonce
* add restart and destroy subcommands to tools/kolla
* Set release tag to 'latest' for development branch
* Fix image build for barbican
* Add heat-api-cfn to heat-api-engine yml
* Make a demo for Magnum
* Add Magnum Containers as a Service to Kolla
* Additional option to cleanup even failed containers
* Move Horizon to / and make it work in the first place
* Fix setup script misspelling and pkill flag
* linuxbridge  check.sh not right
* Fixes Nova NOVNC and Consoleauth Startup Failure
* Add kilo tag to keystone compose file
* Updates cleanup-containers
* Nova deprecated proxying options in the DEFAULT group
* Make neutron work with Kilo
* Add lock\_path and instances\_path to config
* Move dnsmasq-neutron.conf to /etc/neutron/dnsmasq
* The Neutron agents need their configuration directory specified
* The neutron dockerfile needs an update for Kilo
* Glance has some undefined dependencies in Kilo packaging
* Make nova read config files for Kilo
* Port to Kilo
* Add a novnc container running the novnc-proxy
* Readd Zaqar for Juno series since that was where it was introduced
* Port to Juno
* Change nova net config to work properly with Neutron for Juno and later
* Port to icehouse
* Remove Zaqar for Icehouse
* Setup nova networking properly for Icehouse
* Add heat-api-cfn
* Make neutron-server upgrade the database to head
* Add auth role to ansible
* Add setup Docker script
* Initial support for taggable dependencies
* remove cirros download from post\_start in tools/kolla
* neutron subnet-create requires args at the end
* Make the demo use the default key mykey
* Preserve file attributes when copying image dirs for build
* Consolidate tools/conf-\* scripts in tools/init-runonce
* Add support for configuring via Neutron networking
* Add a conf-novanet to configure nova
* Add a demo using Heat
* Change the default shell to bash
* Tidy up dev quickstart
* Rename quickstart guide
* Change irc channel
* Check compose cmd result
* Kolla runs process on rabbit, not rabbitmq
* Do not bindmount nova-compute directories
* Removes existing network namespaces for neutron-agents container
* Adds Mariadb-client to the Heat template
* Disables firewalld for Heat-deployed Fedora instances
* Introduce \`tools/kolla\` to interact with kolla
* Add workaround to work with cirros image
* Updates Docker Client in Heat Template
* Neutron doa in current form
* Adds OpenStack Clients to Heat Template
* genenv generated invalid variable
* Adds a Status Script
* Adds Neutron to Start/Stop Scripts
* Update developer documentation
* remove wait\_for from glance-api
* CentOS 7.1 image doesn't work with libvirt
* Fix validate-all-yaml.sh to check for files with yml extension
* Sets debug logging to false
* Sets Neutron log\_dir=/var/log/neutron as default
* Changes Default Image Prefix
* Fixes Spacing in Neutron Agents Compose File
* Removes check\_required\_vars for Log Files
* Adds Neutron Agents Support
* Updates Heat template Compose and Kolla Repositories
* Adds neutron-server to neutron container-set
* Updates Docker bin in Heat template
* Adds Initial Logging Support
* Remove EXPOSE options from Dockerfiles
* Remove building of pam+noaudit and place in copr instead
* libvirtd provides was removed from centos7.1
* Allow the Kolla directory to be configurable
* Improve developer documentation
* Remove mkdir of shared dir
* Check for SELinux in enforcing mode and exit if found
* Add a tools/pull tool
* Add and use ansible module for docker-compose
* Deal with CentOS 7.1 breakage
* Load appropriate modules for libvirt
* Simplify \`wait\_for\` calls
* Allow check\_for\_\* functions to be consumed by wait\_for
* Adds vxlan kernel module to Heat template
* Add documentation for running with ansible tags
* Test for presence of /dev/kvm before setting permissions
* Add libvirt-driver-lxc to nova-libvirt
* Initial commit for adding ansible support
* Loads ebtables from inside the containers
* Tell mariadb to restart
* Put docker binary in one place
* Replace ; with && in Dockerfile
* Partially Implements: Container set compute-operation-neutron
* Improve developer docs to turn off libvirt
* Work around Ubuntu 14.04 Kernel bug with --net=host
* Add doc for the minimal environment vars required per container
* Add some documentation around running the exec\_replace driver
* Extends Nova Metadata Service Parameterization and Composition
* Refactor nova-network
* Adds Rabbit and MariaDB TCP ports to Heat template
* Updates Dev Doc for M3 Release
* Updates Heat Template for M3 Release
* Fixes bug where heat container was not getting heat meta data
* Make mariadb use a data container without a bindmount
* Make nova-compute-network use a data volume container
* Add a stop command to shut down Kolla AIO
* Improve developer docs around docker-compose and docker-dev
* Check for root privilege in start.sh
* Use -L flag in curl
* Cleanup leftovers after wait\_for was merged into kolla-common.sh
* Have genenv offer some hepful hints about FLAT\_INTERFACE
* Refactors nwfilter
* Add ADMIN\_USER\_PASSWORD to genenv tool
* Don't kill keystone, but instead wait for it to finish at the end
* Make the Horizon dashboard work properly
* Improve Heat integration
* Add pid: host to libvirt
* Implements: blueprint Implement a database container set
* Fixes Keystone openrc and sets / for scripts
* Fix \`wait\_for\` function in kolla-common.sh
* Move genenv.sh and start.sh to tools directory
* Remove reference to k8s directory from README
* Always restart glance services
* Remove traces of kubernetes
* Use keystone authentication with Glance
* Check for root privilege in start.sh
* Make genenv.sh create an environment that will actually start keystone
* mariadb-server requires the hostname userspace command
* Properly format code blocks in integration guide
* Correct glance-api-registry format
* Update start.sh
* Make rabbitmq container work with it's proper hostname set
* Implements: blueprint heat-fig-update
* Add a "admin" user via crux to keystone container
* Fix typos in kolla/specs/containerize-openstack.rst
* Fix typos in kolla/docs
* The wait\_for function needs to be added into all the images
* Implements: blueprint create dev quickstack
* Fix an error in the nwfilter definition
* Add an integration guide to Kolla
* Fig config for glance
* Nova boot will fail if the host doesn't have libvirt installed
* Complete docker compose setup
* Change keystone yml file to always restart
* rabbitmq yml file
* Implements: blueprint container-set-api-control
* New nova compute and nova network yml file for docker compose
* docker compose file for nova api, conductor and scheduler
* Add keystone docker-compose file
* Glance containers need to be changed so they work without kubernetes
* Allow changing base image
* Make this work with Andre's build script changes
* Implement nova-compute-nova-net
* A functional libvirt + nova\_compute + nova\_network
* Have build scripts work in copies of kolla
* Remove prefix from centos-rdo-base when building image
* Fix image dependencies in build-all-docker-images
* Closes-Bug: 1425631
* Remove l3\_ovs\_wip tag from Dockerfiles
* Make keystone work with CentOS 7 image
* Make swift files point at correct base package
* All of the agents try to install yum
* Quote array index with -n so -n works properly
* Split OpenStack controller and OpenStack API
* Revise OpenStack control container set
* Revise HA Control container-set
* Add network operation container sets
* Implements: blueprint update-rabbit-container
* Implements: blueprint rabbit-container-set
* Implements: blueprint heat-fig-update
* Add CentOS base OS
* Support multiple different types of base OSes
* Fixed nested lists in container spec
* Allow symlinks in the container build
* Implements: blueprint heat-template
* Implements: Blueprint update-image-build-script
* Containerize OpenStack based upon SPC and fig
* Check for nova DB availability in dependent containers
* Fix validate-maintainer.sh script
* Various fixes to pre-commit hook
* Cleanup required variables checks for all containers
* Make scripts work on latest Atomic images
* Pass cleanup scripts arguments to docker
* Improvements to build-all-docker-images script
* Cleanup of images and containers needs a '-f' flag to force shutdown
* Rabbitmq service is looking for 'rabbitmq-master' instead of 'rabbitmq'
* Update the README to reflect new additions to kolla
* Start and stop scripts are outdated after Kubernetes update
* Add script to build all docker images in the correct order
* Make build script respond to \`-h\` option
* Set higher precedence for .buildconf file in image directory
* Base all images on kollaglue ones
* Lock Fedora-based image to specific versions
* Enable usage of containers outside of Kubernetes
* Fix use of undefined KEYSTONE\_SERVICE\_HOST in Ceilometer
* Reduce code duplication in kolla-common.sh
* Remove unused libvirt-service.json file
* Add gitignore file
* Fixed Neutron Service Proxy and Simplified Naming
* Allow building docker image from anywhere
* Remove duplicate write of openrc
* Cleanup variable checks in glance-registry/start.sh
* Prefer the use PUBLIC\_IP over MY\_IP
* Check for all required variables in keystone start.sh
* Properly format markdown in README.md
* Fix to not fork mongod so mongodb container works as expected
* Adds Neutron Networking Support
* Horizon container implementation
* Implement zaqar container
* Adds support for Functional Nova-Network
* Add support for mongodb container
* Add Ceilometer service support
* Containerizing barbican service
* add maintainer check to tests
* Update MAINTAINER in Dockerfiles to Kolla Project
* workarounds for nova networking
* fix typo in nova-network/start.sh
* Only create bridge in nova-network
* Add missing libvirt-start.sh
* Tidy up README.md
* Add heat service to tools/start scripts
* Implement containers for heat-engine and heat-api
* Change to using flat nova networking from neutron
* Use hostPort to lock 1 nova-compute/nova-network per node
* Fixes k8s neutron pod image source and formatting
* Add nova-novncproxy as a kube service
* fix script name in nova-controller images
* introduce a common base for compute and controller
* Docker image and process cleaup tool
* remove glance-pod.json
* fix nova auth configuration
* Properly create endpoints for Nova services
* Make nova-compute work properly with libvirt
* Remove nova-base since there is only 1 image for nova-compute
* configure nova database connection
* fix sql typo in nova-conductor start script
* Run nova-api as privileged so it can muck with iptables
* add /check.sh script to nova-api image
* fix typo in crudini command
* Adds Neutron Server Support
* correct missing backslash in config-nova-controller.sh
* Wrong shell script specified in start.sh
* Make shell scripts executible
* renamed nova-controller -> nova-ctr-base
* introduce scheduler to common configuration
* introduce conductor to common configuration
* Nova has an undeclared dependency on python-cinderclient
* have start.sh source in common configuration script
* fix nova-controller pod
* changes to base nova configuration
* Add nova-libvirt to started services
* Add replication controllers to start and stop scripts
* modify tox config to use new validation code
* add better validation checks (part 1)
* Convert nova-compute-replication to yaml
* Expose ports needed by the nova-controller
* nova-compute-service doesn't expose a port
* Start nova-controller services and pods
* Have qemu uri point to correct place
* do not perform database or keystone setup in nova-compute
* Add kube services
* Update nova-controller's container ports
* Nova-controller needs a start script
* Config will be done by the controller
* Minor fixes for the nova-controller Dockerfile
* Nova-api should not set up the database
* Nova-controller config setup
* batch operations in nova-compute dockerfile
* fix nova-base dockerfile
* log to stdout/stderr
* add kubernetes volumes to glance pod
* arrange for image storage on a volume
* added simple health check scripts
* keystone pod needs KEYSTONE\_DB\_PASSWORD
* glance images need keystone password
* glance: cleanup; use kolla-common; exit on errors
* keystone: exit on errors; cleanup
* rabbitmq: exit on errors
* add kolla-common shell library to base image
* properly quote password in keystone start script
* include mariadb and crux in base image
* clean yum cache after package install
* normalize start script name for rabbitmq
* Rename nova-libvirt to libvirt
* update start/stop scripts
* convert all configs to yaml
* correct various issues with glance images and configs
* Closes-Bug: 1379442
* Update start/stop scripts with updated paths/names
* Closes-Bug: 1379513
* remove erroneous bind\_host from config
* clean up base Dockerfile
* update existing keystone objects
* Add a replicationController for nova-compute so it runs on each minion
* Modify rabbitmq pod to point to right image
* Reorganize k8s structure
* Updated base image in Dockerfile and changed CMD to reference correct file
* Change sdake/image to kollaglue/image
* Modify start.sh for nova-compute/nova-compute
* chmod +x nova-compute/nova-libvirt/start.sh
* chmod +x start.sh for nova-compute/nova-compute
* Get to a functional nova-libvirt start
* Modify nova-compute pod to operate properly
* Add service files for libvirt and compute
* fix issues with glance scripts
* do not add image prefix when building
* Remove -master from README.md
* renamed keystone services
* Initial setup for nova-controller
* use renamed mariadb services
* remove "master" from mariadb k8s configs
* Remove the trailing space in README.md
* Validate JSON
* added hautoproxy auto-configuring haproxy
* use "crux" for creating users/endpoints
* add openssl to base image
* fix issues with build-docker-image
* introduce a new build mechanism
* Updating the README to show starting services before pods
* Updates to glance start scripts, db and user/role creation - adding db sync and db creation as utf8 - fixing user and role creation
* Rename validate-json target as pep8 and improve it
* Only push with the build script with -p
* Remove whitespace errors in mariadb JSON
* Swift: Remove trailing JSON commas that don't parse
* Heat: Remove JSON trailing commas that don't parse
* rabbitmq: remove trailing commas in tabs so JSON parses
* glance: remove JSON trailing commas that don't parse
* Keystone: remove extra commas and tabs in JSON
* Using new fedora base image from kollaglue
* Keystone: Do a service and endpoint create
* Add validate-json tox target
* Initial libvirt and nova-compute structure
* mariadb: Set container port in pod to 3306
* fix mariadb Dockerfile
* fix keystone dockerfile
* updating the README with documentation on launching keystone
* Restart container until mariadb is available
* Change "redhat" to "kolla" in the keystone authentication
* update readme with project name
* Add a .gitreview to point to stackforge's gerrit
* updating build and start scripts for glance
* Use pki\_setup to set up keystone properly
* Setup pki\_setup on initial setup of keystone
* Point to fedora-rdo-\* for image names
* Modify start/top to start master keystone service
* Add a start and stop command
* Add a start and stop command
* Pull mariadb and keystone images from the kollaglue organization
* Make keystone use stderr
* Adds the push step for each repo to the master build
* Add a push script for each of the separate daemons
* Make build tools build with kollaglue login
* Configure cinder to use keystone
* Exec rabbitmq using entrypoint; Expose RabbitMQ port
* Improve README.md
* Fix building of swift images
* Fix building of glance images
* Provide script to build docker images
* Add ASL license
* Add link to heat-kubernetes
* removed openstack-selinux, which is probably unnecessary inside a container
* Add heat api and engine docker boilerplates
* Add swift boilerplate
* The cinder image build started cinder during building
* Base images from Fedora 20 + RDO Icehouse
* Tidy up README.md
* Fix cinder's log file
* Incorporate crudini into cinder's start.sh
* Update README.md
* parameterize ADMIN\_TENANT\_NAME
* added a bunch of glance stuff
* generate database passwod if one is not provided
* start work on glance image
* added a couple additional deps
* Add rhel-osp-base Dockerfile
* added kube configs
* added rabbitmq
* Preliminary docker file for cinder
* removed '-e' from bash command line
* json does not like single quotes
* fixed typo in var name
* fixed openssl invocation
* talk to db remotely
* just go away
* it turns out that openstack-db is terrible
* re-create dockerfile that was on server and not committed
* need unique service ids
* set a default admin token
* fixed to work with recently fixed mysql service discovery
* added kubernetes .json files
* updated based on official mysql image
* updated based on official mysql image
* lots o changes
* so I can rebase
* Add MariaDB for RHEL OSP Dockerfile and bits
* adding things
* Initial commit
